# Module `occGL` - Wrapper library for occGL Generated using swig 1.3.31

Wrapper library for occGL Generated using swig 1.3.31

#### Maintainer:

Swig 1.3.31

## Index

- Constant `GL.2.BYTES` - C constant turned into a VAL INT
- Constant `GL.2D` - C constant turned into a VAL INT
- Constant `GL.3.BYTES` - C constant turned into a VAL INT
- Constant `GL.3D` - C constant turned into a VAL INT
- Constant `GL.3D.COLOR` - C constant turned into a VAL INT
- Constant `GL.3D.COLOR.TEXTURE` - C constant turned into a VAL INT
- Constant `GL.4.BYTES` - C constant turned into a VAL INT
- Constant `GL.4D.COLOR.TEXTURE` - C constant turned into a VAL INT
- Constant `GL.ACCUM` - C constant turned into a VAL INT
- Constant `GL.ACCUM.ALPHA.BITS` - C constant turned into a VAL INT
- Constant `GL.ACCUM.BLUE.BITS` - C constant turned into a VAL INT
- Constant `GL.ACCUM.BUFFER.BIT` - C constant turned into a VAL INT
- Constant `GL.ACCUM.CLEAR.VALUE` - C constant turned into a VAL INT
- Constant `GL.ACCUM.GREEN.BITS` - C constant turned into a VAL INT
- Constant `GL.ACCUM.RED.BITS` - C constant turned into a VAL INT
- Constant `GL.ACTIVE.TEXTURE` - C constant turned into a VAL INT
- Constant `GL.ADD` - C constant turned into a VAL INT
- Constant `GL.ADD.SIGNED` - C constant turned into a VAL INT
- Constant `GL.ALIASED.LINE.WIDTH.RANGE` - C constant turned into a VAL INT
- Constant `GL.ALIASED.POINT.SIZE.RANGE` - C constant turned into a VAL INT
- Constant `GL.ALL.ATTRIB.BITS` - C constant turned into a VAL INT
- Constant `GL.ALL.CLIENT.ATTRIB.BITS` - C constant turned into a VAL INT
- Constant `GL.ALPHA` - C constant turned into a VAL INT
- Constant `GL.ALPHA.BIAS` - C constant turned into a VAL INT
- Constant `GL.ALPHA.BITS` - C constant turned into a VAL INT
- Constant `GL.ALPHA.SCALE` - C constant turned into a VAL INT
- Constant `GL.ALPHA.TEST` - C constant turned into a VAL INT
- Constant `GL.ALPHA.TEST.FUNC` - C constant turned into a VAL INT
- Constant `GL.ALPHA.TEST.REF` - C constant turned into a VAL INT
- Constant `GL.ALPHA12` - C constant turned into a VAL INT
- Constant `GL.ALPHA16` - C constant turned into a VAL INT
- Constant `GL.ALPHA4` - C constant turned into a VAL INT
- Constant `GL.ALPHA8` - C constant turned into a VAL INT
- Constant `GL.ALWAYS` - C constant turned into a VAL INT
- Constant `GL.AMBIENT` - C constant turned into a VAL INT
- Constant `GL.AMBIENT.AND.DIFFUSE` - C constant turned into a VAL INT
- Constant `GL.AND` - C constant turned into a VAL INT
- Constant `GL.AND.INVERTED` - C constant turned into a VAL INT
- Constant `GL.AND.REVERSE` - C constant turned into a VAL INT
- Constant `GL.APPLE.client.storage` - C constant turned into a VAL INT
- Constant `GL.APPLE.ycbcr.422` - C constant turned into a VAL INT
- Constant `GL.ARB.imaging` - C constant turned into a VAL INT
- Constant `GL.ATTRIB.STACK.DEPTH` - C constant turned into a VAL INT
- Constant `GL.AUTO.NORMAL` - C constant turned into a VAL INT
- Constant `GL.AUX.BUFFERS` - C constant turned into a VAL INT
- Constant `GL.AUX0` - C constant turned into a VAL INT
- Constant `GL.AUX1` - C constant turned into a VAL INT
- Constant `GL.AUX2` - C constant turned into a VAL INT
- Constant `GL.AUX3` - C constant turned into a VAL INT
- Constant `GL.BACK` - C constant turned into a VAL INT
- Constant `GL.BACK.LEFT` - C constant turned into a VAL INT
- Constant `GL.BACK.RIGHT` - C constant turned into a VAL INT
- Constant `GL.BGR` - C constant turned into a VAL INT
- Constant `GL.BGRA` - C constant turned into a VAL INT
- Constant `GL.BITMAP` - C constant turned into a VAL INT
- Constant `GL.BITMAP.TOKEN` - C constant turned into a VAL INT
- Constant `GL.BLEND` - C constant turned into a VAL INT
- Constant `GL.BLEND.COLOR` - C constant turned into a VAL INT
- Constant `GL.BLEND.DST` - C constant turned into a VAL INT
- Constant `GL.BLEND.EQUATION` - C constant turned into a VAL INT
- Constant `GL.BLEND.SRC` - C constant turned into a VAL INT
- Constant `GL.BLUE` - C constant turned into a VAL INT
- Constant `GL.BLUE.BIAS` - C constant turned into a VAL INT
- Constant `GL.BLUE.BITS` - C constant turned into a VAL INT
- Constant `GL.BLUE.SCALE` - C constant turned into a VAL INT
- Constant `GL.BYTE` - C constant turned into a VAL INT
- Constant `GL.C3F.V3F` - C constant turned into a VAL INT
- Constant `GL.C4F.N3F.V3F` - C constant turned into a VAL INT
- Constant `GL.C4UB.V2F` - C constant turned into a VAL INT
- Constant `GL.C4UB.V3F` - C constant turned into a VAL INT
- Constant `GL.CCW` - C constant turned into a VAL INT
- Constant `GL.CLAMP` - C constant turned into a VAL INT
- Constant `GL.CLAMP.TO.BORDER` - C constant turned into a VAL INT
- Constant `GL.CLAMP.TO.EDGE` - C constant turned into a VAL INT
- Constant `GL.CLEAR` - C constant turned into a VAL INT
- Constant `GL.CLIENT.ACTIVE.TEXTURE` - C constant turned into a VAL INT
- Constant `GL.CLIENT.ALL.ATTRIB.BITS` - C constant turned into a VAL INT
- Constant `GL.CLIENT.ATTRIB.STACK.DEPTH` - C constant turned into a VAL INT
- Constant `GL.CLIENT.PIXEL.STORE.BIT` - C constant turned into a VAL INT
- Constant `GL.CLIENT.VERTEX.ARRAY.BIT` - C constant turned into a VAL INT
- Constant `GL.CLIP.PLANE0` - C constant turned into a VAL INT
- Constant `GL.CLIP.PLANE1` - C constant turned into a VAL INT
- Constant `GL.CLIP.PLANE2` - C constant turned into a VAL INT
- Constant `GL.CLIP.PLANE3` - C constant turned into a VAL INT
- Constant `GL.CLIP.PLANE4` - C constant turned into a VAL INT
- Constant `GL.CLIP.PLANE5` - C constant turned into a VAL INT
- Constant `GL.COEFF` - C constant turned into a VAL INT
- Constant `GL.COLOR` - C constant turned into a VAL INT
- Constant `GL.COLOR.ARRAY` - C constant turned into a VAL INT
- Constant `GL.COLOR.ARRAY.POINTER` - C constant turned into a VAL INT
- Constant `GL.COLOR.ARRAY.SIZE` - C constant turned into a VAL INT
- Constant `GL.COLOR.ARRAY.STRIDE` - C constant turned into a VAL INT
- Constant `GL.COLOR.ARRAY.TYPE` - C constant turned into a VAL INT
- Constant `GL.COLOR.BUFFER.BIT` - C constant turned into a VAL INT
- Constant `GL.COLOR.CLEAR.VALUE` - C constant turned into a VAL INT
- Constant `GL.COLOR.INDEX` - C constant turned into a VAL INT
- Constant `GL.COLOR.INDEXES` - C constant turned into a VAL INT
- Constant `GL.COLOR.LOGIC.OP` - C constant turned into a VAL INT
- Constant `GL.COLOR.MATERIAL` - C constant turned into a VAL INT
- Constant `GL.COLOR.MATERIAL.FACE` - C constant turned into a VAL INT
- Constant `GL.COLOR.MATERIAL.PARAMETER` - C constant turned into a VAL INT
- Constant `GL.COLOR.MATRIX` - C constant turned into a VAL INT
- Constant `GL.COLOR.MATRIX.STACK.DEPTH` - C constant turned into a VAL INT
- Constant `GL.COLOR.TABLE` - C constant turned into a VAL INT
- Constant `GL.COLOR.TABLE.ALPHA.SIZE` - C constant turned into a VAL INT
- Constant `GL.COLOR.TABLE.BIAS` - C constant turned into a VAL INT
- Constant `GL.COLOR.TABLE.BLUE.SIZE` - C constant turned into a VAL INT
- Constant `GL.COLOR.TABLE.FORMAT` - C constant turned into a VAL INT
- Constant `GL.COLOR.TABLE.GREEN.SIZE` - C constant turned into a VAL INT
- Constant `GL.COLOR.TABLE.INTENSITY.SIZE` - C constant turned into a VAL INT
- Constant `GL.COLOR.TABLE.LUMINANCE.SIZE` - C constant turned into a VAL INT
- Constant `GL.COLOR.TABLE.RED.SIZE` - C constant turned into a VAL INT
- Constant `GL.COLOR.TABLE.SCALE` - C constant turned into a VAL INT
- Constant `GL.COLOR.TABLE.WIDTH` - C constant turned into a VAL INT
- Constant `GL.COLOR.WRITEMASK` - C constant turned into a VAL INT
- Constant `GL.COMBINE` - C constant turned into a VAL INT
- Constant `GL.COMBINE.ALPHA` - C constant turned into a VAL INT
- Constant `GL.COMBINE.RGB` - C constant turned into a VAL INT
- Constant `GL.COMPILE` - C constant turned into a VAL INT
- Constant `GL.COMPILE.AND.EXECUTE` - C constant turned into a VAL INT
- Constant `GL.COMPRESSED.ALPHA` - C constant turned into a VAL INT
- Constant `GL.COMPRESSED.INTENSITY` - C constant turned into a VAL INT
- Constant `GL.COMPRESSED.LUMINANCE` - C constant turned into a VAL INT
- Constant `GL.COMPRESSED.LUMINANCE.ALPHA` - C constant turned into a VAL INT
- Constant `GL.COMPRESSED.RGB` - C constant turned into a VAL INT
- Constant `GL.COMPRESSED.RGBA` - C constant turned into a VAL INT
- Constant `GL.COMPRESSED.TEXTURE.FORMATS` - C constant turned into a VAL INT
- Constant `GL.CONSTANT` - C constant turned into a VAL INT
- Constant `GL.CONSTANT.ALPHA` - C constant turned into a VAL INT
- Constant `GL.CONSTANT.ATTENUATION` - C constant turned into a VAL INT
- Constant `GL.CONSTANT.BORDER` - C constant turned into a VAL INT
- Constant `GL.CONSTANT.COLOR` - C constant turned into a VAL INT
- Constant `GL.CONVOLUTION.1D` - C constant turned into a VAL INT
- Constant `GL.CONVOLUTION.2D` - C constant turned into a VAL INT
- Constant `GL.CONVOLUTION.BORDER.COLOR` - C constant turned into a VAL INT
- Constant `GL.CONVOLUTION.BORDER.MODE` - C constant turned into a VAL INT
- Constant `GL.CONVOLUTION.FILTER.BIAS` - C constant turned into a VAL INT
- Constant `GL.CONVOLUTION.FILTER.SCALE` - C constant turned into a VAL INT
- Constant `GL.CONVOLUTION.FORMAT` - C constant turned into a VAL INT
- Constant `GL.CONVOLUTION.HEIGHT` - C constant turned into a VAL INT
- Constant `GL.CONVOLUTION.WIDTH` - C constant turned into a VAL INT
- Constant `GL.COPY` - C constant turned into a VAL INT
- Constant `GL.COPY.INVERTED` - C constant turned into a VAL INT
- Constant `GL.COPY.PIXEL.TOKEN` - C constant turned into a VAL INT
- Constant `GL.CULL.FACE` - C constant turned into a VAL INT
- Constant `GL.CULL.FACE.MODE` - C constant turned into a VAL INT
- Constant `GL.CURRENT.BIT` - C constant turned into a VAL INT
- Constant `GL.CURRENT.COLOR` - C constant turned into a VAL INT
- Constant `GL.CURRENT.INDEX` - C constant turned into a VAL INT
- Constant `GL.CURRENT.NORMAL` - C constant turned into a VAL INT
- Constant `GL.CURRENT.RASTER.COLOR` - C constant turned into a VAL INT
- Constant `GL.CURRENT.RASTER.DISTANCE` - C constant turned into a VAL INT
- Constant `GL.CURRENT.RASTER.INDEX` - C constant turned into a VAL INT
- Constant `GL.CURRENT.RASTER.POSITION` - C constant turned into a VAL INT
- Constant `GL.CURRENT.RASTER.POSITION.VALID` - C constant turned into a VAL INT
- Constant `GL.CURRENT.RASTER.TEXTURE.COORDS` - C constant turned into a VAL INT
- Constant `GL.CURRENT.TEXTURE.COORDS` - C constant turned into a VAL INT
- Constant `GL.CW` - C constant turned into a VAL INT
- Constant `GL.DECAL` - C constant turned into a VAL INT
- Constant `GL.DECR` - C constant turned into a VAL INT
- Constant `GL.DEPTH` - C constant turned into a VAL INT
- Constant `GL.DEPTH.BIAS` - C constant turned into a VAL INT
- Constant `GL.DEPTH.BITS` - C constant turned into a VAL INT
- Constant `GL.DEPTH.BUFFER.BIT` - C constant turned into a VAL INT
- Constant `GL.DEPTH.CLEAR.VALUE` - C constant turned into a VAL INT
- Constant `GL.DEPTH.COMPONENT` - C constant turned into a VAL INT
- Constant `GL.DEPTH.FUNC` - C constant turned into a VAL INT
- Constant `GL.DEPTH.RANGE` - C constant turned into a VAL INT
- Constant `GL.DEPTH.SCALE` - C constant turned into a VAL INT
- Constant `GL.DEPTH.TEST` - C constant turned into a VAL INT
- Constant `GL.DEPTH.WRITEMASK` - C constant turned into a VAL INT
- Constant `GL.DIFFUSE` - C constant turned into a VAL INT
- Constant `GL.DITHER` - C constant turned into a VAL INT
- Constant `GL.DOMAIN` - C constant turned into a VAL INT
- Constant `GL.DONT.CARE` - C constant turned into a VAL INT
- Constant `GL.DOT3.RGB` - C constant turned into a VAL INT
- Constant `GL.DOT3.RGBA` - C constant turned into a VAL INT
- Constant `GL.DOUBLE` - C constant turned into a VAL INT
- Constant `GL.DOUBLEBUFFER` - C constant turned into a VAL INT
- Constant `GL.DRAW.BUFFER` - C constant turned into a VAL INT
- Constant `GL.DRAW.PIXEL.TOKEN` - C constant turned into a VAL INT
- Constant `GL.DST.ALPHA` - C constant turned into a VAL INT
- Constant `GL.DST.COLOR` - C constant turned into a VAL INT
- Constant `GL.EDGE.FLAG` - C constant turned into a VAL INT
- Constant `GL.EDGE.FLAG.ARRAY` - C constant turned into a VAL INT
- Constant `GL.EDGE.FLAG.ARRAY.POINTER` - C constant turned into a VAL INT
- Constant `GL.EDGE.FLAG.ARRAY.STRIDE` - C constant turned into a VAL INT
- Constant `GL.EMISSION` - C constant turned into a VAL INT
- Constant `GL.ENABLE.BIT` - C constant turned into a VAL INT
- Constant `GL.EQUAL` - C constant turned into a VAL INT
- Constant `GL.EQUIV` - C constant turned into a VAL INT
- Constant `GL.EVAL.BIT` - C constant turned into a VAL INT
- Constant `GL.EXP` - C constant turned into a VAL INT
- Constant `GL.EXP2` - C constant turned into a VAL INT
- Constant `GL.EXTENSIONS` - C constant turned into a VAL INT
- Constant `GL.EYE.LINEAR` - C constant turned into a VAL INT
- Constant `GL.EYE.PLANE` - C constant turned into a VAL INT
- Constant `GL.FALSE` - C constant turned into a VAL INT
- Constant `GL.FASTEST` - C constant turned into a VAL INT
- Constant `GL.FEEDBACK` - C constant turned into a VAL INT
- Constant `GL.FEEDBACK.BUFFER.POINTER` - C constant turned into a VAL INT
- Constant `GL.FEEDBACK.BUFFER.SIZE` - C constant turned into a VAL INT
- Constant `GL.FEEDBACK.BUFFER.TYPE` - C constant turned into a VAL INT
- Constant `GL.FILL` - C constant turned into a VAL INT
- Constant `GL.FLAT` - C constant turned into a VAL INT
- Constant `GL.FLOAT` - C constant turned into a VAL INT
- Constant `GL.FOG` - C constant turned into a VAL INT
- Constant `GL.FOG.BIT` - C constant turned into a VAL INT
- Constant `GL.FOG.COLOR` - C constant turned into a VAL INT
- Constant `GL.FOG.DENSITY` - C constant turned into a VAL INT
- Constant `GL.FOG.END` - C constant turned into a VAL INT
- Constant `GL.FOG.HINT` - C constant turned into a VAL INT
- Constant `GL.FOG.INDEX` - C constant turned into a VAL INT
- Constant `GL.FOG.MODE` - C constant turned into a VAL INT
- Constant `GL.FOG.START` - C constant turned into a VAL INT
- Constant `GL.FRONT` - C constant turned into a VAL INT
- Constant `GL.FRONT.AND.BACK` - C constant turned into a VAL INT
- Constant `GL.FRONT.FACE` - C constant turned into a VAL INT
- Constant `GL.FRONT.LEFT` - C constant turned into a VAL INT
- Constant `GL.FRONT.RIGHT` - C constant turned into a VAL INT
- Constant `GL.FUNC.ADD` - C constant turned into a VAL INT
- Constant `GL.FUNC.REVERSE.SUBTRACT` - C constant turned into a VAL INT
- Constant `GL.FUNC.SUBTRACT` - C constant turned into a VAL INT
- Constant `GL.GEQUAL` - C constant turned into a VAL INT
- Constant `GL.GREATER` - C constant turned into a VAL INT
- Constant `GL.GREEN` - C constant turned into a VAL INT
- Constant `GL.GREEN.BIAS` - C constant turned into a VAL INT
- Constant `GL.GREEN.BITS` - C constant turned into a VAL INT
- Constant `GL.GREEN.SCALE` - C constant turned into a VAL INT
- Constant `GL.HINT.BIT` - C constant turned into a VAL INT
- Constant `GL.HISTOGRAM` - C constant turned into a VAL INT
- Constant `GL.HISTOGRAM.ALPHA.SIZE` - C constant turned into a VAL INT
- Constant `GL.HISTOGRAM.BLUE.SIZE` - C constant turned into a VAL INT
- Constant `GL.HISTOGRAM.FORMAT` - C constant turned into a VAL INT
- Constant `GL.HISTOGRAM.GREEN.SIZE` - C constant turned into a VAL INT
- Constant `GL.HISTOGRAM.LUMINANCE.SIZE` - C constant turned into a VAL INT
- Constant `GL.HISTOGRAM.RED.SIZE` - C constant turned into a VAL INT
- Constant `GL.HISTOGRAM.SINK` - C constant turned into a VAL INT
- Constant `GL.HISTOGRAM.WIDTH` - C constant turned into a VAL INT
- Constant `GL.INCR` - C constant turned into a VAL INT
- Constant `GL.INDEX.ARRAY` - C constant turned into a VAL INT
- Constant `GL.INDEX.ARRAY.POINTER` - C constant turned into a VAL INT
- Constant `GL.INDEX.ARRAY.STRIDE` - C constant turned into a VAL INT
- Constant `GL.INDEX.ARRAY.TYPE` - C constant turned into a VAL INT
- Constant `GL.INDEX.BITS` - C constant turned into a VAL INT
- Constant `GL.INDEX.CLEAR.VALUE` - C constant turned into a VAL INT
- Constant `GL.INDEX.LOGIC.OP` - C constant turned into a VAL INT
- Constant `GL.INDEX.MODE` - C constant turned into a VAL INT
- Constant `GL.INDEX.OFFSET` - C constant turned into a VAL INT
- Constant `GL.INDEX.SHIFT` - C constant turned into a VAL INT
- Constant `GL.INDEX.WRITEMASK` - C constant turned into a VAL INT
- Constant `GL.INT` - C constant turned into a VAL INT
- Constant `GL.INTENSITY` - C constant turned into a VAL INT
- Constant `GL.INTENSITY12` - C constant turned into a VAL INT
- Constant `GL.INTENSITY16` - C constant turned into a VAL INT
- Constant `GL.INTENSITY4` - C constant turned into a VAL INT
- Constant `GL.INTENSITY8` - C constant turned into a VAL INT
- Constant `GL.INTERPOLATE` - C constant turned into a VAL INT
- Constant `GL.INVALID.ENUM` - C constant turned into a VAL INT
- Constant `GL.INVALID.OPERATION` - C constant turned into a VAL INT
- Constant `GL.INVALID.VALUE` - C constant turned into a VAL INT
- Constant `GL.INVERT` - C constant turned into a VAL INT
- Constant `GL.KEEP` - C constant turned into a VAL INT
- Constant `GL.LEFT` - C constant turned into a VAL INT
- Constant `GL.LEQUAL` - C constant turned into a VAL INT
- Constant `GL.LESS` - C constant turned into a VAL INT
- Constant `GL.LIGHT.MODEL.AMBIENT` - C constant turned into a VAL INT
- Constant `GL.LIGHT.MODEL.COLOR.CONTROL` - C constant turned into a VAL INT
- Constant `GL.LIGHT.MODEL.LOCAL.VIEWER` - C constant turned into a VAL INT
- Constant `GL.LIGHT.MODEL.TWO.SIDE` - C constant turned into a VAL INT
- Constant `GL.LIGHT0` - C constant turned into a VAL INT
- Constant `GL.LIGHT1` - C constant turned into a VAL INT
- Constant `GL.LIGHT2` - C constant turned into a VAL INT
- Constant `GL.LIGHT3` - C constant turned into a VAL INT
- Constant `GL.LIGHT4` - C constant turned into a VAL INT
- Constant `GL.LIGHT5` - C constant turned into a VAL INT
- Constant `GL.LIGHT6` - C constant turned into a VAL INT
- Constant `GL.LIGHT7` - C constant turned into a VAL INT
- Constant `GL.LIGHTING` - C constant turned into a VAL INT
- Constant `GL.LIGHTING.BIT` - C constant turned into a VAL INT
- Constant `GL.LINE` - C constant turned into a VAL INT
- Constant `GL.LINE.BIT` - C constant turned into a VAL INT
- Constant `GL.LINE.LOOP` - C constant turned into a VAL INT
- Constant `GL.LINE.RESET.TOKEN` - C constant turned into a VAL INT
- Constant `GL.LINE.SMOOTH` - C constant turned into a VAL INT
- Constant `GL.LINE.SMOOTH.HINT` - C constant turned into a VAL INT
- Constant `GL.LINE.STIPPLE` - C constant turned into a VAL INT
- Constant `GL.LINE.STIPPLE.PATTERN` - C constant turned into a VAL INT
- Constant `GL.LINE.STIPPLE.REPEAT` - C constant turned into a VAL INT
- Constant `GL.LINE.STRIP` - C constant turned into a VAL INT
- Constant `GL.LINE.TOKEN` - C constant turned into a VAL INT
- Constant `GL.LINE.WIDTH` - C constant turned into a VAL INT
- Constant `GL.LINE.WIDTH.GRANULARITY` - C constant turned into a VAL INT
- Constant `GL.LINE.WIDTH.RANGE` - C constant turned into a VAL INT
- Constant `GL.LINEAR` - C constant turned into a VAL INT
- Constant `GL.LINEAR.ATTENUATION` - C constant turned into a VAL INT
- Constant `GL.LINEAR.MIPMAP.LINEAR` - C constant turned into a VAL INT
- Constant `GL.LINEAR.MIPMAP.NEAREST` - C constant turned into a VAL INT
- Constant `GL.LINES` - C constant turned into a VAL INT
- Constant `GL.LIST.BASE` - C constant turned into a VAL INT
- Constant `GL.LIST.BIT` - C constant turned into a VAL INT
- Constant `GL.LIST.INDEX` - C constant turned into a VAL INT
- Constant `GL.LIST.MODE` - C constant turned into a VAL INT
- Constant `GL.LOAD` - C constant turned into a VAL INT
- Constant `GL.LOGIC.OP` - C constant turned into a VAL INT
- Constant `GL.LOGIC.OP.MODE` - C constant turned into a VAL INT
- Constant `GL.LUMINANCE` - C constant turned into a VAL INT
- Constant `GL.LUMINANCE.ALPHA` - C constant turned into a VAL INT
- Constant `GL.LUMINANCE12` - C constant turned into a VAL INT
- Constant `GL.LUMINANCE12.ALPHA12` - C constant turned into a VAL INT
- Constant `GL.LUMINANCE12.ALPHA4` - C constant turned into a VAL INT
- Constant `GL.LUMINANCE16` - C constant turned into a VAL INT
- Constant `GL.LUMINANCE16.ALPHA16` - C constant turned into a VAL INT
- Constant `GL.LUMINANCE4` - C constant turned into a VAL INT
- Constant `GL.LUMINANCE4.ALPHA4` - C constant turned into a VAL INT
- Constant `GL.LUMINANCE6.ALPHA2` - C constant turned into a VAL INT
- Constant `GL.LUMINANCE8` - C constant turned into a VAL INT
- Constant `GL.LUMINANCE8.ALPHA8` - C constant turned into a VAL INT
- Constant `GL.MAP.COLOR` - C constant turned into a VAL INT
- Constant `GL.MAP.STENCIL` - C constant turned into a VAL INT
- Constant `GL.MAP1.COLOR.4` - C constant turned into a VAL INT
- Constant `GL.MAP1.GRID.DOMAIN` - C constant turned into a VAL INT
- Constant `GL.MAP1.GRID.SEGMENTS` - C constant turned into a VAL INT
- Constant `GL.MAP1.INDEX` - C constant turned into a VAL INT
- Constant `GL.MAP1.NORMAL` - C constant turned into a VAL INT
- Constant `GL.MAP1.TEXTURE.COORD.1` - C constant turned into a VAL INT
- Constant `GL.MAP1.TEXTURE.COORD.2` - C constant turned into a VAL INT
- Constant `GL.MAP1.TEXTURE.COORD.3` - C constant turned into a VAL INT
- Constant `GL.MAP1.TEXTURE.COORD.4` - C constant turned into a VAL INT
- Constant `GL.MAP1.VERTEX.3` - C constant turned into a VAL INT
- Constant `GL.MAP1.VERTEX.4` - C constant turned into a VAL INT
- Constant `GL.MAP2.COLOR.4` - C constant turned into a VAL INT
- Constant `GL.MAP2.GRID.DOMAIN` - C constant turned into a VAL INT
- Constant `GL.MAP2.GRID.SEGMENTS` - C constant turned into a VAL INT
- Constant `GL.MAP2.INDEX` - C constant turned into a VAL INT
- Constant `GL.MAP2.NORMAL` - C constant turned into a VAL INT
- Constant `GL.MAP2.TEXTURE.COORD.1` - C constant turned into a VAL INT
- Constant `GL.MAP2.TEXTURE.COORD.2` - C constant turned into a VAL INT
- Constant `GL.MAP2.TEXTURE.COORD.3` - C constant turned into a VAL INT
- Constant `GL.MAP2.TEXTURE.COORD.4` - C constant turned into a VAL INT
- Constant `GL.MAP2.VERTEX.3` - C constant turned into a VAL INT
- Constant `GL.MAP2.VERTEX.4` - C constant turned into a VAL INT
- Constant `GL.MATRIX.MODE` - C constant turned into a VAL INT
- Constant `GL.MAX` - C constant turned into a VAL INT
- Constant `GL.MAX.3D.TEXTURE.SIZE` - C constant turned into a VAL INT
- Constant `GL.MAX.ATTRIB.STACK.DEPTH` - C constant turned into a VAL INT
- Constant `GL.MAX.CLIENT.ATTRIB.STACK.DEPTH` - C constant turned into a VAL INT
- Constant `GL.MAX.CLIP.PLANES` - C constant turned into a VAL INT
- Constant `GL.MAX.COLOR.MATRIX.STACK.DEPTH` - C constant turned into a VAL INT
- Constant `GL.MAX.CONVOLUTION.HEIGHT` - C constant turned into a VAL INT
- Constant `GL.MAX.CONVOLUTION.WIDTH` - C constant turned into a VAL INT
- Constant `GL.MAX.CUBE.MAP.TEXTURE.SIZE` - C constant turned into a VAL INT
- Constant `GL.MAX.ELEMENTS.INDICES` - C constant turned into a VAL INT
- Constant `GL.MAX.ELEMENTS.VERTICES` - C constant turned into a VAL INT
- Constant `GL.MAX.EVAL.ORDER` - C constant turned into a VAL INT
- Constant `GL.MAX.LIGHTS` - C constant turned into a VAL INT
- Constant `GL.MAX.LIST.NESTING` - C constant turned into a VAL INT
- Constant `GL.MAX.MODELVIEW.STACK.DEPTH` - C constant turned into a VAL INT
- Constant `GL.MAX.NAME.STACK.DEPTH` - C constant turned into a VAL INT
- Constant `GL.MAX.PIXEL.MAP.TABLE` - C constant turned into a VAL INT
- Constant `GL.MAX.PROJECTION.STACK.DEPTH` - C constant turned into a VAL INT
- Constant `GL.MAX.TEXTURE.SIZE` - C constant turned into a VAL INT
- Constant `GL.MAX.TEXTURE.STACK.DEPTH` - C constant turned into a VAL INT
- Constant `GL.MAX.TEXTURE.UNITS` - C constant turned into a VAL INT
- Constant `GL.MAX.VIEWPORT.DIMS` - C constant turned into a VAL INT
- Constant `GL.MESA.pack.invert` - C constant turned into a VAL INT
- Constant `GL.MESA.ycbcr.texture` - C constant turned into a VAL INT
- Constant `GL.MIN` - C constant turned into a VAL INT
- Constant `GL.MINMAX` - C constant turned into a VAL INT
- Constant `GL.MINMAX.FORMAT` - C constant turned into a VAL INT
- Constant `GL.MINMAX.SINK` - C constant turned into a VAL INT
- Constant `GL.MODELVIEW` - C constant turned into a VAL INT
- Constant `GL.MODELVIEW.MATRIX` - C constant turned into a VAL INT
- Constant `GL.MODELVIEW.STACK.DEPTH` - C constant turned into a VAL INT
- Constant `GL.MODULATE` - C constant turned into a VAL INT
- Constant `GL.MULT` - C constant turned into a VAL INT
- Constant `GL.MULTISAMPLE` - C constant turned into a VAL INT
- Constant `GL.MULTISAMPLE.BIT` - C constant turned into a VAL INT
- Constant `GL.N3F.V3F` - C constant turned into a VAL INT
- Constant `GL.NAME.STACK.DEPTH` - C constant turned into a VAL INT
- Constant `GL.NAND` - C constant turned into a VAL INT
- Constant `GL.NEAREST` - C constant turned into a VAL INT
- Constant `GL.NEAREST.MIPMAP.LINEAR` - C constant turned into a VAL INT
- Constant `GL.NEAREST.MIPMAP.NEAREST` - C constant turned into a VAL INT
- Constant `GL.NEVER` - C constant turned into a VAL INT
- Constant `GL.NICEST` - C constant turned into a VAL INT
- Constant `GL.NO.ERROR` - C constant turned into a VAL INT
- Constant `GL.NONE` - C constant turned into a VAL INT
- Constant `GL.NOOP` - C constant turned into a VAL INT
- Constant `GL.NOR` - C constant turned into a VAL INT
- Constant `GL.NORMAL.ARRAY` - C constant turned into a VAL INT
- Constant `GL.NORMAL.ARRAY.POINTER` - C constant turned into a VAL INT
- Constant `GL.NORMAL.ARRAY.STRIDE` - C constant turned into a VAL INT
- Constant `GL.NORMAL.ARRAY.TYPE` - C constant turned into a VAL INT
- Constant `GL.NORMAL.MAP` - C constant turned into a VAL INT
- Constant `GL.NORMALIZE` - C constant turned into a VAL INT
- Constant `GL.NOTEQUAL` - C constant turned into a VAL INT
- Constant `GL.NUM.COMPRESSED.TEXTURE.FORMATS` - C constant turned into a VAL INT
- Constant `GL.OBJECT.LINEAR` - C constant turned into a VAL INT
- Constant `GL.OBJECT.PLANE` - C constant turned into a VAL INT
- Constant `GL.ONE` - C constant turned into a VAL INT
- Constant `GL.ONE.MINUS.CONSTANT.ALPHA` - C constant turned into a VAL INT
- Constant `GL.ONE.MINUS.CONSTANT.COLOR` - C constant turned into a VAL INT
- Constant `GL.ONE.MINUS.DST.ALPHA` - C constant turned into a VAL INT
- Constant `GL.ONE.MINUS.DST.COLOR` - C constant turned into a VAL INT
- Constant `GL.ONE.MINUS.SRC.ALPHA` - C constant turned into a VAL INT
- Constant `GL.ONE.MINUS.SRC.COLOR` - C constant turned into a VAL INT
- Constant `GL.OPERAND0.ALPHA` - C constant turned into a VAL INT
- Constant `GL.OPERAND0.RGB` - C constant turned into a VAL INT
- Constant `GL.OPERAND1.ALPHA` - C constant turned into a VAL INT
- Constant `GL.OPERAND1.RGB` - C constant turned into a VAL INT
- Constant `GL.OPERAND2.ALPHA` - C constant turned into a VAL INT
- Constant `GL.OPERAND2.RGB` - C constant turned into a VAL INT
- Constant `GL.OR` - C constant turned into a VAL INT
- Constant `GL.OR.INVERTED` - C constant turned into a VAL INT
- Constant `GL.OR.REVERSE` - C constant turned into a VAL INT
- Constant `GL.ORDER` - C constant turned into a VAL INT
- Constant `GL.OUT.OF.MEMORY` - C constant turned into a VAL INT
- Constant `GL.PACK.ALIGNMENT` - C constant turned into a VAL INT
- Constant `GL.PACK.IMAGE.HEIGHT` - C constant turned into a VAL INT
- Constant `GL.PACK.INVERT.MESA` - C constant turned into a VAL INT
- Constant `GL.PACK.LSB.FIRST` - C constant turned into a VAL INT
- Constant `GL.PACK.ROW.LENGTH` - C constant turned into a VAL INT
- Constant `GL.PACK.SKIP.IMAGES` - C constant turned into a VAL INT
- Constant `GL.PACK.SKIP.PIXELS` - C constant turned into a VAL INT
- Constant `GL.PACK.SKIP.ROWS` - C constant turned into a VAL INT
- Constant `GL.PACK.SWAP.BYTES` - C constant turned into a VAL INT
- Constant `GL.PASS.THROUGH.TOKEN` - C constant turned into a VAL INT
- Constant `GL.PERSPECTIVE.CORRECTION.HINT` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.A.TO.A` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.A.TO.A.SIZE` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.B.TO.B` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.B.TO.B.SIZE` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.G.TO.G` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.G.TO.G.SIZE` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.I.TO.A` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.I.TO.A.SIZE` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.I.TO.B` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.I.TO.B.SIZE` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.I.TO.G` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.I.TO.G.SIZE` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.I.TO.I` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.I.TO.I.SIZE` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.I.TO.R` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.I.TO.R.SIZE` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.R.TO.R` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.R.TO.R.SIZE` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.S.TO.S` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MAP.S.TO.S.SIZE` - C constant turned into a VAL INT
- Constant `GL.PIXEL.MODE.BIT` - C constant turned into a VAL INT
- Constant `GL.POINT` - C constant turned into a VAL INT
- Constant `GL.POINT.BIT` - C constant turned into a VAL INT
- Constant `GL.POINT.SIZE` - C constant turned into a VAL INT
- Constant `GL.POINT.SIZE.GRANULARITY` - C constant turned into a VAL INT
- Constant `GL.POINT.SIZE.RANGE` - C constant turned into a VAL INT
- Constant `GL.POINT.SMOOTH` - C constant turned into a VAL INT
- Constant `GL.POINT.SMOOTH.HINT` - C constant turned into a VAL INT
- Constant `GL.POINT.TOKEN` - C constant turned into a VAL INT
- Constant `GL.POINTS` - C constant turned into a VAL INT
- Constant `GL.POLYGON` - C constant turned into a VAL INT
- Constant `GL.POLYGON.BIT` - C constant turned into a VAL INT
- Constant `GL.POLYGON.MODE` - C constant turned into a VAL INT
- Constant `GL.POLYGON.OFFSET.FACTOR` - C constant turned into a VAL INT
- Constant `GL.POLYGON.OFFSET.FILL` - C constant turned into a VAL INT
- Constant `GL.POLYGON.OFFSET.LINE` - C constant turned into a VAL INT
- Constant `GL.POLYGON.OFFSET.POINT` - C constant turned into a VAL INT
- Constant `GL.POLYGON.OFFSET.UNITS` - C constant turned into a VAL INT
- Constant `GL.POLYGON.SMOOTH` - C constant turned into a VAL INT
- Constant `GL.POLYGON.SMOOTH.HINT` - C constant turned into a VAL INT
- Constant `GL.POLYGON.STIPPLE` - C constant turned into a VAL INT
- Constant `GL.POLYGON.STIPPLE.BIT` - C constant turned into a VAL INT
- Constant `GL.POLYGON.TOKEN` - C constant turned into a VAL INT
- Constant `GL.POSITION` - C constant turned into a VAL INT
- Constant `GL.POST.COLOR.MATRIX.ALPHA.BIAS` - C constant turned into a VAL INT
- Constant `GL.POST.COLOR.MATRIX.ALPHA.SCALE` - C constant turned into a VAL INT
- Constant `GL.POST.COLOR.MATRIX.BLUE.BIAS` - C constant turned into a VAL INT
- Constant `GL.POST.COLOR.MATRIX.BLUE.SCALE` - C constant turned into a VAL INT
- Constant `GL.POST.COLOR.MATRIX.COLOR.TABLE` - C constant turned into a VAL INT
- Constant `GL.POST.COLOR.MATRIX.GREEN.BIAS` - C constant turned into a VAL INT
- Constant `GL.POST.COLOR.MATRIX.GREEN.SCALE` - C constant turned into a VAL INT
- Constant `GL.POST.COLOR.MATRIX.RED.BIAS` - C constant turned into a VAL INT
- Constant `GL.POST.COLOR.MATRIX.RED.SCALE` - C constant turned into a VAL INT
- Constant `GL.POST.CONVOLUTION.ALPHA.BIAS` - C constant turned into a VAL INT
- Constant `GL.POST.CONVOLUTION.ALPHA.SCALE` - C constant turned into a VAL INT
- Constant `GL.POST.CONVOLUTION.BLUE.BIAS` - C constant turned into a VAL INT
- Constant `GL.POST.CONVOLUTION.BLUE.SCALE` - C constant turned into a VAL INT
- Constant `GL.POST.CONVOLUTION.COLOR.TABLE` - C constant turned into a VAL INT
- Constant `GL.POST.CONVOLUTION.GREEN.BIAS` - C constant turned into a VAL INT
- Constant `GL.POST.CONVOLUTION.GREEN.SCALE` - C constant turned into a VAL INT
- Constant `GL.POST.CONVOLUTION.RED.BIAS` - C constant turned into a VAL INT
- Constant `GL.POST.CONVOLUTION.RED.SCALE` - C constant turned into a VAL INT
- Constant `GL.PREVIOUS` - C constant turned into a VAL INT
- Constant `GL.PRIMARY.COLOR` - C constant turned into a VAL INT
- Constant `GL.PROJECTION` - C constant turned into a VAL INT
- Constant `GL.PROJECTION.MATRIX` - C constant turned into a VAL INT
- Constant `GL.PROJECTION.STACK.DEPTH` - C constant turned into a VAL INT
- Constant `GL.PROXY.COLOR.TABLE` - C constant turned into a VAL INT
- Constant `GL.PROXY.HISTOGRAM` - C constant turned into a VAL INT
- Constant `GL.PROXY.POST.COLOR.MATRIX.COLOR.TABLE` - C constant turned into a VAL INT
- Constant `GL.PROXY.POST.CONVOLUTION.COLOR.TABLE` - C constant turned into a VAL INT
- Constant `GL.PROXY.TEXTURE.1D` - C constant turned into a VAL INT
- Constant `GL.PROXY.TEXTURE.2D` - C constant turned into a VAL INT
- Constant `GL.PROXY.TEXTURE.3D` - C constant turned into a VAL INT
- Constant `GL.PROXY.TEXTURE.CUBE.MAP` - C constant turned into a VAL INT
- Constant `GL.Q` - C constant turned into a VAL INT
- Constant `GL.QUAD.STRIP` - C constant turned into a VAL INT
- Constant `GL.QUADRATIC.ATTENUATION` - C constant turned into a VAL INT
- Constant `GL.QUADS` - C constant turned into a VAL INT
- Constant `GL.R` - C constant turned into a VAL INT
- Constant `GL.R3.G3.B2` - C constant turned into a VAL INT
- Constant `GL.READ.BUFFER` - C constant turned into a VAL INT
- Constant `GL.RED` - C constant turned into a VAL INT
- Constant `GL.RED.BIAS` - C constant turned into a VAL INT
- Constant `GL.RED.BITS` - C constant turned into a VAL INT
- Constant `GL.RED.SCALE` - C constant turned into a VAL INT
- Constant `GL.REDUCE` - C constant turned into a VAL INT
- Constant `GL.REFLECTION.MAP` - C constant turned into a VAL INT
- Constant `GL.RENDER` - C constant turned into a VAL INT
- Constant `GL.RENDER.MODE` - C constant turned into a VAL INT
- Constant `GL.RENDERER` - C constant turned into a VAL INT
- Constant `GL.REPEAT` - C constant turned into a VAL INT
- Constant `GL.REPLACE` - C constant turned into a VAL INT
- Constant `GL.REPLICATE.BORDER` - C constant turned into a VAL INT
- Constant `GL.RESCALE.NORMAL` - C constant turned into a VAL INT
- Constant `GL.RETURN` - C constant turned into a VAL INT
- Constant `GL.RGB` - C constant turned into a VAL INT
- Constant `GL.RGB.SCALE` - C constant turned into a VAL INT
- Constant `GL.RGB10` - C constant turned into a VAL INT
- Constant `GL.RGB10.A2` - C constant turned into a VAL INT
- Constant `GL.RGB12` - C constant turned into a VAL INT
- Constant `GL.RGB16` - C constant turned into a VAL INT
- Constant `GL.RGB4` - C constant turned into a VAL INT
- Constant `GL.RGB5` - C constant turned into a VAL INT
- Constant `GL.RGB5.A1` - C constant turned into a VAL INT
- Constant `GL.RGB8` - C constant turned into a VAL INT
- Constant `GL.RGBA` - C constant turned into a VAL INT
- Constant `GL.RGBA.MODE` - C constant turned into a VAL INT
- Constant `GL.RGBA12` - C constant turned into a VAL INT
- Constant `GL.RGBA16` - C constant turned into a VAL INT
- Constant `GL.RGBA2` - C constant turned into a VAL INT
- Constant `GL.RGBA4` - C constant turned into a VAL INT
- Constant `GL.RGBA8` - C constant turned into a VAL INT
- Constant `GL.RIGHT` - C constant turned into a VAL INT
- Constant `GL.S` - C constant turned into a VAL INT
- Constant `GL.SAMPLE.ALPHA.TO.COVERAGE` - C constant turned into a VAL INT
- Constant `GL.SAMPLE.ALPHA.TO.ONE` - C constant turned into a VAL INT
- Constant `GL.SAMPLE.BUFFERS` - C constant turned into a VAL INT
- Constant `GL.SAMPLE.COVERAGE` - C constant turned into a VAL INT
- Constant `GL.SAMPLE.COVERAGE.INVERT` - C constant turned into a VAL INT
- Constant `GL.SAMPLE.COVERAGE.VALUE` - C constant turned into a VAL INT
- Constant `GL.SAMPLES` - C constant turned into a VAL INT
- Constant `GL.SCISSOR.BIT` - C constant turned into a VAL INT
- Constant `GL.SCISSOR.BOX` - C constant turned into a VAL INT
- Constant `GL.SCISSOR.TEST` - C constant turned into a VAL INT
- Constant `GL.SELECT` - C constant turned into a VAL INT
- Constant `GL.SELECTION.BUFFER.POINTER` - C constant turned into a VAL INT
- Constant `GL.SELECTION.BUFFER.SIZE` - C constant turned into a VAL INT
- Constant `GL.SEPARABLE.2D` - C constant turned into a VAL INT
- Constant `GL.SEPARATE.SPECULAR.COLOR` - C constant turned into a VAL INT
- Constant `GL.SET` - C constant turned into a VAL INT
- Constant `GL.SHADE.MODEL` - C constant turned into a VAL INT
- Constant `GL.SHININESS` - C constant turned into a VAL INT
- Constant `GL.SHORT` - C constant turned into a VAL INT
- Constant `GL.SINGLE.COLOR` - C constant turned into a VAL INT
- Constant `GL.SMOOTH` - C constant turned into a VAL INT
- Constant `GL.SMOOTH.LINE.WIDTH.GRANULARITY` - C constant turned into a VAL INT
- Constant `GL.SMOOTH.LINE.WIDTH.RANGE` - C constant turned into a VAL INT
- Constant `GL.SMOOTH.POINT.SIZE.GRANULARITY` - C constant turned into a VAL INT
- Constant `GL.SMOOTH.POINT.SIZE.RANGE` - C constant turned into a VAL INT
- Constant `GL.SOURCE0.ALPHA` - C constant turned into a VAL INT
- Constant `GL.SOURCE0.RGB` - C constant turned into a VAL INT
- Constant `GL.SOURCE1.ALPHA` - C constant turned into a VAL INT
- Constant `GL.SOURCE1.RGB` - C constant turned into a VAL INT
- Constant `GL.SOURCE2.ALPHA` - C constant turned into a VAL INT
- Constant `GL.SOURCE2.RGB` - C constant turned into a VAL INT
- Constant `GL.SPECULAR` - C constant turned into a VAL INT
- Constant `GL.SPHERE.MAP` - C constant turned into a VAL INT
- Constant `GL.SPOT.CUTOFF` - C constant turned into a VAL INT
- Constant `GL.SPOT.DIRECTION` - C constant turned into a VAL INT
- Constant `GL.SPOT.EXPONENT` - C constant turned into a VAL INT
- Constant `GL.SRC.ALPHA` - C constant turned into a VAL INT
- Constant `GL.SRC.ALPHA.SATURATE` - C constant turned into a VAL INT
- Constant `GL.SRC.COLOR` - C constant turned into a VAL INT
- Constant `GL.STACK.OVERFLOW` - C constant turned into a VAL INT
- Constant `GL.STACK.UNDERFLOW` - C constant turned into a VAL INT
- Constant `GL.STENCIL` - C constant turned into a VAL INT
- Constant `GL.STENCIL.BITS` - C constant turned into a VAL INT
- Constant `GL.STENCIL.BUFFER.BIT` - C constant turned into a VAL INT
- Constant `GL.STENCIL.CLEAR.VALUE` - C constant turned into a VAL INT
- Constant `GL.STENCIL.FAIL` - C constant turned into a VAL INT
- Constant `GL.STENCIL.FUNC` - C constant turned into a VAL INT
- Constant `GL.STENCIL.INDEX` - C constant turned into a VAL INT
- Constant `GL.STENCIL.PASS.DEPTH.FAIL` - C constant turned into a VAL INT
- Constant `GL.STENCIL.PASS.DEPTH.PASS` - C constant turned into a VAL INT
- Constant `GL.STENCIL.REF` - C constant turned into a VAL INT
- Constant `GL.STENCIL.TEST` - C constant turned into a VAL INT
- Constant `GL.STENCIL.VALUE.MASK` - C constant turned into a VAL INT
- Constant `GL.STENCIL.WRITEMASK` - C constant turned into a VAL INT
- Constant `GL.STEREO` - C constant turned into a VAL INT
- Constant `GL.SUBPIXEL.BITS` - C constant turned into a VAL INT
- Constant `GL.SUBTRACT` - C constant turned into a VAL INT
- Constant `GL.T` - C constant turned into a VAL INT
- Constant `GL.T2F.C3F.V3F` - C constant turned into a VAL INT
- Constant `GL.T2F.C4F.N3F.V3F` - C constant turned into a VAL INT
- Constant `GL.T2F.C4UB.V3F` - C constant turned into a VAL INT
- Constant `GL.T2F.N3F.V3F` - C constant turned into a VAL INT
- Constant `GL.T2F.V3F` - C constant turned into a VAL INT
- Constant `GL.T4F.C4F.N3F.V4F` - C constant turned into a VAL INT
- Constant `GL.T4F.V4F` - C constant turned into a VAL INT
- Constant `GL.TABLE.TOO.LARGE` - C constant turned into a VAL INT
- Constant `GL.TEXTURE` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.1D` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.2D` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.3D` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.ALPHA.SIZE` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.BASE.LEVEL` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.BINDING.1D` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.BINDING.2D` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.BINDING.3D` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.BINDING.CUBE.MAP` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.BIT` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.BLUE.SIZE` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.BORDER` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.BORDER.COLOR` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.COMPONENTS` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.COMPRESSED` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.COMPRESSED.IMAGE.SIZE` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.COMPRESSION.HINT` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.COORD.ARRAY` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.COORD.ARRAY.POINTER` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.COORD.ARRAY.SIZE` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.COORD.ARRAY.STRIDE` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.COORD.ARRAY.TYPE` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.CUBE.MAP` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.CUBE.MAP.NEGATIVE.X` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.CUBE.MAP.NEGATIVE.Y` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.CUBE.MAP.NEGATIVE.Z` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.CUBE.MAP.POSITIVE.X` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.CUBE.MAP.POSITIVE.Y` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.CUBE.MAP.POSITIVE.Z` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.DEPTH` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.ENV` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.ENV.COLOR` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.ENV.MODE` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.GEN.MODE` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.GEN.Q` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.GEN.R` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.GEN.S` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.GEN.T` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.GREEN.SIZE` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.HEIGHT` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.INTENSITY.SIZE` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.INTERNAL.FORMAT` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.LUMINANCE.SIZE` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.MAG.FILTER` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.MATRIX` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.MAX.LEVEL` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.MAX.LOD` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.MIN.FILTER` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.MIN.LOD` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.PRIORITY` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.RED.SIZE` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.RESIDENT` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.STACK.DEPTH` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.WIDTH` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.WRAP.R` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.WRAP.S` - C constant turned into a VAL INT
- Constant `GL.TEXTURE.WRAP.T` - C constant turned into a VAL INT
- Constant `GL.TEXTURE0` - C constant turned into a VAL INT
- Constant `GL.TEXTURE1` - C constant turned into a VAL INT
- Constant `GL.TEXTURE10` - C constant turned into a VAL INT
- Constant `GL.TEXTURE11` - C constant turned into a VAL INT
- Constant `GL.TEXTURE12` - C constant turned into a VAL INT
- Constant `GL.TEXTURE13` - C constant turned into a VAL INT
- Constant `GL.TEXTURE14` - C constant turned into a VAL INT
- Constant `GL.TEXTURE15` - C constant turned into a VAL INT
- Constant `GL.TEXTURE16` - C constant turned into a VAL INT
- Constant `GL.TEXTURE17` - C constant turned into a VAL INT
- Constant `GL.TEXTURE18` - C constant turned into a VAL INT
- Constant `GL.TEXTURE19` - C constant turned into a VAL INT
- Constant `GL.TEXTURE2` - C constant turned into a VAL INT
- Constant `GL.TEXTURE20` - C constant turned into a VAL INT
- Constant `GL.TEXTURE21` - C constant turned into a VAL INT
- Constant `GL.TEXTURE22` - C constant turned into a VAL INT
- Constant `GL.TEXTURE23` - C constant turned into a VAL INT
- Constant `GL.TEXTURE24` - C constant turned into a VAL INT
- Constant `GL.TEXTURE25` - C constant turned into a VAL INT
- Constant `GL.TEXTURE26` - C constant turned into a VAL INT
- Constant `GL.TEXTURE27` - C constant turned into a VAL INT
- Constant `GL.TEXTURE28` - C constant turned into a VAL INT
- Constant `GL.TEXTURE29` - C constant turned into a VAL INT
- Constant `GL.TEXTURE3` - C constant turned into a VAL INT
- Constant `GL.TEXTURE30` - C constant turned into a VAL INT
- Constant `GL.TEXTURE31` - C constant turned into a VAL INT
- Constant `GL.TEXTURE4` - C constant turned into a VAL INT
- Constant `GL.TEXTURE5` - C constant turned into a VAL INT
- Constant `GL.TEXTURE6` - C constant turned into a VAL INT
- Constant `GL.TEXTURE7` - C constant turned into a VAL INT
- Constant `GL.TEXTURE8` - C constant turned into a VAL INT
- Constant `GL.TEXTURE9` - C constant turned into a VAL INT
- Constant `GL.TRANSFORM.BIT` - C constant turned into a VAL INT
- Constant `GL.TRANSPOSE.COLOR.MATRIX` - C constant turned into a VAL INT
- Constant `GL.TRANSPOSE.MODELVIEW.MATRIX` - C constant turned into a VAL INT
- Constant `GL.TRANSPOSE.PROJECTION.MATRIX` - C constant turned into a VAL INT
- Constant `GL.TRANSPOSE.TEXTURE.MATRIX` - C constant turned into a VAL INT
- Constant `GL.TRIANGLE.FAN` - C constant turned into a VAL INT
- Constant `GL.TRIANGLE.STRIP` - C constant turned into a VAL INT
- Constant `GL.TRIANGLES` - C constant turned into a VAL INT
- Constant `GL.TRUE` - C constant turned into a VAL INT
- Constant `GL.UNPACK.ALIGNMENT` - C constant turned into a VAL INT
- Constant `GL.UNPACK.CLIENT.STORAGE.APPLE` - C constant turned into a VAL INT
- Constant `GL.UNPACK.IMAGE.HEIGHT` - C constant turned into a VAL INT
- Constant `GL.UNPACK.LSB.FIRST` - C constant turned into a VAL INT
- Constant `GL.UNPACK.ROW.LENGTH` - C constant turned into a VAL INT
- Constant `GL.UNPACK.SKIP.IMAGES` - C constant turned into a VAL INT
- Constant `GL.UNPACK.SKIP.PIXELS` - C constant turned into a VAL INT
- Constant `GL.UNPACK.SKIP.ROWS` - C constant turned into a VAL INT
- Constant `GL.UNPACK.SWAP.BYTES` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.BYTE` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.BYTE.2.3.3.REV` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.BYTE.3.3.2` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.INT` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.INT.10.10.10.2` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.INT.2.10.10.10.REV` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.INT.8.8.8.8` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.INT.8.8.8.8.REV` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.SHORT` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.SHORT.1.5.5.5.REV` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.SHORT.4.4.4.4` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.SHORT.4.4.4.4.REV` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.SHORT.5.5.5.1` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.SHORT.5.6.5` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.SHORT.5.6.5.REV` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.SHORT.8.8.APPLE` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.SHORT.8.8.MESA` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.SHORT.8.8.REV.APPLE` - C constant turned into a VAL INT
- Constant `GL.UNSIGNED.SHORT.8.8.REV.MESA` - C constant turned into a VAL INT
- Constant `GL.V2F` - C constant turned into a VAL INT
- Constant `GL.V3F` - C constant turned into a VAL INT
- Constant `GL.VENDOR` - C constant turned into a VAL INT
- Constant `GL.VERSION` - C constant turned into a VAL INT
- Constant `GL.VERSION.1.1` - C constant turned into a VAL INT
- Constant `GL.VERSION.1.2` - C constant turned into a VAL INT
- Constant `GL.VERSION.1.3` - C constant turned into a VAL INT
- Constant `GL.VERTEX.ARRAY` - C constant turned into a VAL INT
- Constant `GL.VERTEX.ARRAY.POINTER` - C constant turned into a VAL INT
- Constant `GL.VERTEX.ARRAY.SIZE` - C constant turned into a VAL INT
- Constant `GL.VERTEX.ARRAY.STRIDE` - C constant turned into a VAL INT
- Constant `GL.VERTEX.ARRAY.TYPE` - C constant turned into a VAL INT
- Constant `GL.VIEWPORT` - C constant turned into a VAL INT
- Constant `GL.VIEWPORT.BIT` - C constant turned into a VAL INT
- Constant `GL.XOR` - C constant turned into a VAL INT
- Constant `GL.YCBCR.422.APPLE` - C constant turned into a VAL INT
- Constant `GL.YCBCR.MESA` - C constant turned into a VAL INT
- Constant `GL.ZERO` - C constant turned into a VAL INT
- Constant `GL.ZOOM.X` - C constant turned into a VAL INT
- Constant `GL.ZOOM.Y` - C constant turned into a VAL INT
- Constant `GLU.AUTO.LOAD.MATRIX` - C constant turned into a VAL INT
- Constant `GLU.BEGIN` - C constant turned into a VAL INT
- Constant `GLU.CCW` - C constant turned into a VAL INT
- Constant `GLU.CULLING` - C constant turned into a VAL INT
- Constant `GLU.CW` - C constant turned into a VAL INT
- Constant `GLU.DISPLAY.MODE` - C constant turned into a VAL INT
- Constant `GLU.DOMAIN.DISTANCE` - C constant turned into a VAL INT
- Constant `GLU.EDGE.FLAG` - C constant turned into a VAL INT
- Constant `GLU.END` - C constant turned into a VAL INT
- Constant `GLU.ERROR` - C constant turned into a VAL INT
- Constant `GLU.EXT.nurbs.tessellator` - C constant turned into a VAL INT
- Constant `GLU.EXT.object.space.tess` - C constant turned into a VAL INT
- Constant `GLU.EXTENSIONS` - C constant turned into a VAL INT
- Constant `GLU.EXTERIOR` - C constant turned into a VAL INT
- Constant `GLU.FALSE` - C constant turned into a VAL INT
- Constant `GLU.FILL` - C constant turned into a VAL INT
- Constant `GLU.FLAT` - C constant turned into a VAL INT
- Constant `GLU.INSIDE` - C constant turned into a VAL INT
- Constant `GLU.INTERIOR` - C constant turned into a VAL INT
- Constant `GLU.INVALID.ENUM` - C constant turned into a VAL INT
- Constant `GLU.INVALID.OPERATION` - C constant turned into a VAL INT
- Constant `GLU.INVALID.VALUE` - C constant turned into a VAL INT
- Constant `GLU.LINE` - C constant turned into a VAL INT
- Constant `GLU.MAP1.TRIM.2` - C constant turned into a VAL INT
- Constant `GLU.MAP1.TRIM.3` - C constant turned into a VAL INT
- Constant `GLU.NONE` - C constant turned into a VAL INT
- Constant `GLU.NURBS.BEGIN` - C constant turned into a VAL INT
- Constant `GLU.NURBS.BEGIN.DATA` - C constant turned into a VAL INT
- Constant `GLU.NURBS.BEGIN.DATA.EXT` - C constant turned into a VAL INT
- Constant `GLU.NURBS.BEGIN.EXT` - C constant turned into a VAL INT
- Constant `GLU.NURBS.COLOR` - C constant turned into a VAL INT
- Constant `GLU.NURBS.COLOR.DATA` - C constant turned into a VAL INT
- Constant `GLU.NURBS.COLOR.DATA.EXT` - C constant turned into a VAL INT
- Constant `GLU.NURBS.COLOR.EXT` - C constant turned into a VAL INT
- Constant `GLU.NURBS.END` - C constant turned into a VAL INT
- Constant `GLU.NURBS.END.DATA` - C constant turned into a VAL INT
- Constant `GLU.NURBS.END.DATA.EXT` - C constant turned into a VAL INT
- Constant `GLU.NURBS.END.EXT` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR1` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR10` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR11` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR12` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR13` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR14` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR15` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR16` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR17` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR18` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR19` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR2` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR20` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR21` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR22` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR23` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR24` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR25` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR26` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR27` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR28` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR29` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR3` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR30` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR31` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR32` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR33` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR34` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR35` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR36` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR37` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR4` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR5` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR6` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR7` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR8` - C constant turned into a VAL INT
- Constant `GLU.NURBS.ERROR9` - C constant turned into a VAL INT
- Constant `GLU.NURBS.MODE` - C constant turned into a VAL INT
- Constant `GLU.NURBS.MODE.EXT` - C constant turned into a VAL INT
- Constant `GLU.NURBS.NORMAL` - C constant turned into a VAL INT
- Constant `GLU.NURBS.NORMAL.DATA` - C constant turned into a VAL INT
- Constant `GLU.NURBS.NORMAL.DATA.EXT` - C constant turned into a VAL INT
- Constant `GLU.NURBS.NORMAL.EXT` - C constant turned into a VAL INT
- Constant `GLU.NURBS.RENDERER` - C constant turned into a VAL INT
- Constant `GLU.NURBS.RENDERER.EXT` - C constant turned into a VAL INT
- Constant `GLU.NURBS.TESSELLATOR` - C constant turned into a VAL INT
- Constant `GLU.NURBS.TESSELLATOR.EXT` - C constant turned into a VAL INT
- Constant `GLU.NURBS.TEX.COORD.DATA.EXT` - C constant turned into a VAL INT
- Constant `GLU.NURBS.TEX.COORD.EXT` - C constant turned into a VAL INT
- Constant `GLU.NURBS.TEXTURE.COORD` - C constant turned into a VAL INT
- Constant `GLU.NURBS.TEXTURE.COORD.DATA` - C constant turned into a VAL INT
- Constant `GLU.NURBS.VERTEX` - C constant turned into a VAL INT
- Constant `GLU.NURBS.VERTEX.DATA` - C constant turned into a VAL INT
- Constant `GLU.NURBS.VERTEX.DATA.EXT` - C constant turned into a VAL INT
- Constant `GLU.NURBS.VERTEX.EXT` - C constant turned into a VAL INT
- Constant `GLU.OBJECT.PARAMETRIC.ERROR` - C constant turned into a VAL INT
- Constant `GLU.OBJECT.PARAMETRIC.ERROR.EXT` - C constant turned into a VAL INT
- Constant `GLU.OBJECT.PATH.LENGTH` - C constant turned into a VAL INT
- Constant `GLU.OBJECT.PATH.LENGTH.EXT` - C constant turned into a VAL INT
- Constant `GLU.OUT.OF.MEMORY` - C constant turned into a VAL INT
- Constant `GLU.OUTLINE.PATCH` - C constant turned into a VAL INT
- Constant `GLU.OUTLINE.POLYGON` - C constant turned into a VAL INT
- Constant `GLU.OUTSIDE` - C constant turned into a VAL INT
- Constant `GLU.PARAMETRIC.ERROR` - C constant turned into a VAL INT
- Constant `GLU.PARAMETRIC.TOLERANCE` - C constant turned into a VAL INT
- Constant `GLU.PATH.LENGTH` - C constant turned into a VAL INT
- Constant `GLU.POINT` - C constant turned into a VAL INT
- Constant `GLU.SAMPLING.METHOD` - C constant turned into a VAL INT
- Constant `GLU.SAMPLING.TOLERANCE` - C constant turned into a VAL INT
- Constant `GLU.SILHOUETTE` - C constant turned into a VAL INT
- Constant `GLU.SMOOTH` - C constant turned into a VAL INT
- Constant `GLU.TESS.BEGIN` - C constant turned into a VAL INT
- Constant `GLU.TESS.BEGIN.DATA` - C constant turned into a VAL INT
- Constant `GLU.TESS.BOUNDARY.ONLY` - C constant turned into a VAL INT
- Constant `GLU.TESS.COMBINE` - C constant turned into a VAL INT
- Constant `GLU.TESS.COMBINE.DATA` - C constant turned into a VAL INT
- Constant `GLU.TESS.COORD.TOO.LARGE` - C constant turned into a VAL INT
- Constant `GLU.TESS.EDGE.FLAG` - C constant turned into a VAL INT
- Constant `GLU.TESS.EDGE.FLAG.DATA` - C constant turned into a VAL INT
- Constant `GLU.TESS.END` - C constant turned into a VAL INT
- Constant `GLU.TESS.END.DATA` - C constant turned into a VAL INT
- Constant `GLU.TESS.ERROR` - C constant turned into a VAL INT
- Constant `GLU.TESS.ERROR.DATA` - C constant turned into a VAL INT
- Constant `GLU.TESS.ERROR1` - C constant turned into a VAL INT
- Constant `GLU.TESS.ERROR2` - C constant turned into a VAL INT
- Constant `GLU.TESS.ERROR3` - C constant turned into a VAL INT
- Constant `GLU.TESS.ERROR4` - C constant turned into a VAL INT
- Constant `GLU.TESS.ERROR5` - C constant turned into a VAL INT
- Constant `GLU.TESS.ERROR6` - C constant turned into a VAL INT
- Constant `GLU.TESS.ERROR7` - C constant turned into a VAL INT
- Constant `GLU.TESS.ERROR8` - C constant turned into a VAL INT
- Constant `GLU.TESS.MISSING.BEGIN.CONTOUR` - C constant turned into a VAL INT
- Constant `GLU.TESS.MISSING.BEGIN.POLYGON` - C constant turned into a VAL INT
- Constant `GLU.TESS.MISSING.END.CONTOUR` - C constant turned into a VAL INT
- Constant `GLU.TESS.MISSING.END.POLYGON` - C constant turned into a VAL INT
- Constant `GLU.TESS.NEED.COMBINE.CALLBACK` - C constant turned into a VAL INT
- Constant `GLU.TESS.TOLERANCE` - C constant turned into a VAL INT
- Constant `GLU.TESS.VERTEX` - C constant turned into a VAL INT
- Constant `GLU.TESS.VERTEX.DATA` - C constant turned into a VAL INT
- Constant `GLU.TESS.WINDING.ABS.GEQ.TWO` - C constant turned into a VAL INT
- Constant `GLU.TESS.WINDING.NEGATIVE` - C constant turned into a VAL INT
- Constant `GLU.TESS.WINDING.NONZERO` - C constant turned into a VAL INT
- Constant `GLU.TESS.WINDING.ODD` - C constant turned into a VAL INT
- Constant `GLU.TESS.WINDING.POSITIVE` - C constant turned into a VAL INT
- Constant `GLU.TESS.WINDING.RULE` - C constant turned into a VAL INT
- Constant `GLU.TRUE` - C constant turned into a VAL INT
- Constant `GLU.U.STEP` - C constant turned into a VAL INT
- Constant `GLU.UNKNOWN` - C constant turned into a VAL INT
- Constant `GLU.V.STEP` - C constant turned into a VAL INT
- Constant `GLU.VERSION` - C constant turned into a VAL INT
- Constant `GLU.VERSION.1.1` - C constant turned into a VAL INT
- Constant `GLU.VERSION.1.2` - C constant turned into a VAL INT
- Constant `GLU.VERSION.1.3` - C constant turned into a VAL INT
- Constant `GLU.VERTEX` - C constant turned into a VAL INT
- Data type `GLUnurbs` - This is a pointer to the C struct GLUnurbs
- Data type `GLUnurbsObj` - This is a pointer to the C struct GLUnurbsObj
- Data type `GLUquadric` - This is a pointer to the C struct GLUquadric
- Data type `GLUquadricObj` - This is a pointer to the C struct GLUquadricObj
- Data type `GLUtesselator` - This is a pointer to the C struct GLUtesselator
- Data type `GLUtesselatorObj` - This is a pointer to the C struct GLUtesselatorObj
- Data type `GLUtriangulatorObj` - This is a pointer to the C struct GLUtriangulatorObj
- Process `glAccum` - FFI interface to C function
- Process `glAlphaFunc` - FFI interface to C function
- Process `glAreTexturesResident` - FFI interface to C function
- Process `glArrayElement` - FFI interface to C function
- Process `glBegin` - FFI interface to C function
- Process `glBindTexture` - FFI interface to C function
- Process `glBitmap` - FFI interface to C function
- Process `glBlendFunc` - FFI interface to C function
- Process `glCallList` - FFI interface to C function
- Process `glCallLists` - FFI interface to C function
- Process `glClear` - FFI interface to C function
- Process `glClearAccum` - FFI interface to C function
- Process `glClearColor` - FFI interface to C function
- Process `glClearDepth` - FFI interface to C function
- Process `glClearIndex` - FFI interface to C function
- Process `glClearStencil` - FFI interface to C function
- Process `glClipPlane` - FFI interface to C function
- Process `glColor3b` - FFI interface to C function
- Process `glColor3bv` - FFI interface to C function
- Process `glColor3d` - FFI interface to C function
- Process `glColor3dv` - FFI interface to C function
- Process `glColor3f` - FFI interface to C function
- Process `glColor3fv` - FFI interface to C function
- Process `glColor3i` - FFI interface to C function
- Process `glColor3iv` - FFI interface to C function
- Process `glColor3s` - FFI interface to C function
- Process `glColor3sv` - FFI interface to C function
- Process `glColor3ub` - FFI interface to C function
- Process `glColor3ubv` - FFI interface to C function
- Process `glColor3ui` - FFI interface to C function
- Process `glColor3uiv` - FFI interface to C function
- Process `glColor3us` - FFI interface to C function
- Process `glColor3usv` - FFI interface to C function
- Process `glColor4b` - FFI interface to C function
- Process `glColor4bv` - FFI interface to C function
- Process `glColor4d` - FFI interface to C function
- Process `glColor4dv` - FFI interface to C function
- Process `glColor4f` - FFI interface to C function
- Process `glColor4fv` - FFI interface to C function
- Process `glColor4i` - FFI interface to C function
- Process `glColor4iv` - FFI interface to C function
- Process `glColor4s` - FFI interface to C function
- Process `glColor4sv` - FFI interface to C function
- Process `glColor4ub` - FFI interface to C function
- Process `glColor4ubv` - FFI interface to C function
- Process `glColor4ui` - FFI interface to C function
- Process `glColor4uiv` - FFI interface to C function
- Process `glColor4us` - FFI interface to C function
- Process `glColor4usv` - FFI interface to C function
- Process `glColorMask` - FFI interface to C function
- Process `glColorMaterial` - FFI interface to C function
- Process `glColorPointer` - FFI interface to C function
- Process `glCopyPixels` - FFI interface to C function
- Process `glCopyTexImage1D` - FFI interface to C function
- Process `glCopyTexImage2D` - FFI interface to C function
- Process `glCopyTexSubImage1D` - FFI interface to C function
- Process `glCopyTexSubImage2D` - FFI interface to C function
- Process `glCullFace` - FFI interface to C function
- Process `glDeleteLists` - FFI interface to C function
- Process `glDeleteTextures` - FFI interface to C function
- Process `glDepthFunc` - FFI interface to C function
- Process `glDepthMask` - FFI interface to C function
- Process `glDepthRange` - FFI interface to C function
- Process `glDisable` - FFI interface to C function
- Process `glDisableClientState` - FFI interface to C function
- Process `glDrawArrays` - FFI interface to C function
- Process `glDrawBuffer` - FFI interface to C function
- Process `glDrawElements` - FFI interface to C function
- Process `glDrawPixels` - FFI interface to C function
- Process `glEdgeFlag` - FFI interface to C function
- Process `glEdgeFlagPointer` - FFI interface to C function
- Process `glEdgeFlagv` - FFI interface to C function
- Process `glEnable` - FFI interface to C function
- Process `glEnableClientState` - FFI interface to C function
- Process `glEnd` - FFI interface to C function
- Process `glEndList` - FFI interface to C function
- Process `glEvalCoord1d` - FFI interface to C function
- Process `glEvalCoord1dv` - FFI interface to C function
- Process `glEvalCoord1f` - FFI interface to C function
- Process `glEvalCoord1fv` - FFI interface to C function
- Process `glEvalCoord2d` - FFI interface to C function
- Process `glEvalCoord2dv` - FFI interface to C function
- Process `glEvalCoord2f` - FFI interface to C function
- Process `glEvalCoord2fv` - FFI interface to C function
- Process `glEvalMesh1` - FFI interface to C function
- Process `glEvalMesh2` - FFI interface to C function
- Process `glEvalPoint1` - FFI interface to C function
- Process `glEvalPoint2` - FFI interface to C function
- Process `glFeedbackBuffer` - FFI interface to C function
- Process `glFinish` - FFI interface to C function
- Process `glFlush` - FFI interface to C function
- Process `glFogf` - FFI interface to C function
- Process `glFogfv` - FFI interface to C function
- Process `glFogi` - FFI interface to C function
- Process `glFogiv` - FFI interface to C function
- Process `glFrontFace` - FFI interface to C function
- Process `glFrustum` - FFI interface to C function
- Process `glGenLists` - FFI interface to C function
- Process `glGenTextures` - FFI interface to C function
- Process `glGetBooleanv` - FFI interface to C function
- Process `glGetClipPlane` - FFI interface to C function
- Process `glGetDoublev` - FFI interface to C function
- Process `glGetError` - FFI interface to C function
- Process `glGetFloatv` - FFI interface to C function
- Process `glGetIntegerv` - FFI interface to C function
- Process `glGetLightfv` - FFI interface to C function
- Process `glGetLightiv` - FFI interface to C function
- Process `glGetMapdv` - FFI interface to C function
- Process `glGetMapfv` - FFI interface to C function
- Process `glGetMapiv` - FFI interface to C function
- Process `glGetMaterialfv` - FFI interface to C function
- Process `glGetMaterialiv` - FFI interface to C function
- Process `glGetPixelMapfv` - FFI interface to C function
- Process `glGetPixelMapuiv` - FFI interface to C function
- Process `glGetPixelMapusv` - FFI interface to C function
- Process `glGetPointerv` - FFI interface to C function
- Process `glGetPolygonStipple` - FFI interface to C function
- Process `glGetString` - FFI interface to C function
- Process `glGetTexEnvfv` - FFI interface to C function
- Process `glGetTexEnviv` - FFI interface to C function
- Process `glGetTexGendv` - FFI interface to C function
- Process `glGetTexGenfv` - FFI interface to C function
- Process `glGetTexGeniv` - FFI interface to C function
- Process `glGetTexImage` - FFI interface to C function
- Process `glGetTexLevelParameterfv` - FFI interface to C function
- Process `glGetTexLevelParameteriv` - FFI interface to C function
- Process `glGetTexParameterfv` - FFI interface to C function
- Process `glGetTexParameteriv` - FFI interface to C function
- Process `glHint` - FFI interface to C function
- Process `glIndexMask` - FFI interface to C function
- Process `glIndexPointer` - FFI interface to C function
- Process `glIndexd` - FFI interface to C function
- Process `glIndexdv` - FFI interface to C function
- Process `glIndexf` - FFI interface to C function
- Process `glIndexfv` - FFI interface to C function
- Process `glIndexi` - FFI interface to C function
- Process `glIndexiv` - FFI interface to C function
- Process `glIndexs` - FFI interface to C function
- Process `glIndexsv` - FFI interface to C function
- Process `glIndexub` - FFI interface to C function
- Process `glIndexubv` - FFI interface to C function
- Process `glInitNames` - FFI interface to C function
- Process `glInterleavedArrays` - FFI interface to C function
- Process `glIsEnabled` - FFI interface to C function
- Process `glIsList` - FFI interface to C function
- Process `glIsTexture` - FFI interface to C function
- Process `glLightModelf` - FFI interface to C function
- Process `glLightModelfv` - FFI interface to C function
- Process `glLightModeli` - FFI interface to C function
- Process `glLightModeliv` - FFI interface to C function
- Process `glLightf` - FFI interface to C function
- Process `glLightfv` - FFI interface to C function
- Process `glLighti` - FFI interface to C function
- Process `glLightiv` - FFI interface to C function
- Process `glLineStipple` - FFI interface to C function
- Process `glLineWidth` - FFI interface to C function
- Process `glListBase` - FFI interface to C function
- Process `glLoadIdentity` - FFI interface to C function
- Process `glLoadMatrixd` - FFI interface to C function
- Process `glLoadMatrixf` - FFI interface to C function
- Process `glLoadName` - FFI interface to C function
- Process `glLogicOp` - FFI interface to C function
- Process `glMap1d` - FFI interface to C function
- Process `glMap1f` - FFI interface to C function
- Process `glMap2d` - FFI interface to C function
- Process `glMap2f` - FFI interface to C function
- Process `glMapGrid1d` - FFI interface to C function
- Process `glMapGrid1f` - FFI interface to C function
- Process `glMapGrid2d` - FFI interface to C function
- Process `glMapGrid2f` - FFI interface to C function
- Process `glMaterialf` - FFI interface to C function
- Process `glMaterialfv` - FFI interface to C function
- Process `glMateriali` - FFI interface to C function
- Process `glMaterialiv` - FFI interface to C function
- Process `glMatrixMode` - FFI interface to C function
- Process `glMultMatrixd` - FFI interface to C function
- Process `glMultMatrixf` - FFI interface to C function
- Process `glNewList` - FFI interface to C function
- Process `glNormal3b` - FFI interface to C function
- Process `glNormal3bv` - FFI interface to C function
- Process `glNormal3d` - FFI interface to C function
- Process `glNormal3dv` - FFI interface to C function
- Process `glNormal3f` - FFI interface to C function
- Process `glNormal3fv` - FFI interface to C function
- Process `glNormal3i` - FFI interface to C function
- Process `glNormal3iv` - FFI interface to C function
- Process `glNormal3s` - FFI interface to C function
- Process `glNormal3sv` - FFI interface to C function
- Process `glNormalPointer` - FFI interface to C function
- Process `glOrtho` - FFI interface to C function
- Process `glPassThrough` - FFI interface to C function
- Process `glPixelMapfv` - FFI interface to C function
- Process `glPixelMapuiv` - FFI interface to C function
- Process `glPixelMapusv` - FFI interface to C function
- Process `glPixelStoref` - FFI interface to C function
- Process `glPixelStorei` - FFI interface to C function
- Process `glPixelTransferf` - FFI interface to C function
- Process `glPixelTransferi` - FFI interface to C function
- Process `glPixelZoom` - FFI interface to C function
- Process `glPointSize` - FFI interface to C function
- Process `glPolygonMode` - FFI interface to C function
- Process `glPolygonOffset` - FFI interface to C function
- Process `glPolygonStipple` - FFI interface to C function
- Process `glPopAttrib` - FFI interface to C function
- Process `glPopClientAttrib` - FFI interface to C function
- Process `glPopMatrix` - FFI interface to C function
- Process `glPopName` - FFI interface to C function
- Process `glPrioritizeTextures` - FFI interface to C function
- Process `glPushAttrib` - FFI interface to C function
- Process `glPushClientAttrib` - FFI interface to C function
- Process `glPushMatrix` - FFI interface to C function
- Process `glPushName` - FFI interface to C function
- Process `glRasterPos2d` - FFI interface to C function
- Process `glRasterPos2dv` - FFI interface to C function
- Process `glRasterPos2f` - FFI interface to C function
- Process `glRasterPos2fv` - FFI interface to C function
- Process `glRasterPos2i` - FFI interface to C function
- Process `glRasterPos2iv` - FFI interface to C function
- Process `glRasterPos2s` - FFI interface to C function
- Process `glRasterPos2sv` - FFI interface to C function
- Process `glRasterPos3d` - FFI interface to C function
- Process `glRasterPos3dv` - FFI interface to C function
- Process `glRasterPos3f` - FFI interface to C function
- Process `glRasterPos3fv` - FFI interface to C function
- Process `glRasterPos3i` - FFI interface to C function
- Process `glRasterPos3iv` - FFI interface to C function
- Process `glRasterPos3s` - FFI interface to C function
- Process `glRasterPos3sv` - FFI interface to C function
- Process `glRasterPos4d` - FFI interface to C function
- Process `glRasterPos4dv` - FFI interface to C function
- Process `glRasterPos4f` - FFI interface to C function
- Process `glRasterPos4fv` - FFI interface to C function
- Process `glRasterPos4i` - FFI interface to C function
- Process `glRasterPos4iv` - FFI interface to C function
- Process `glRasterPos4s` - FFI interface to C function
- Process `glRasterPos4sv` - FFI interface to C function
- Process `glReadBuffer` - FFI interface to C function
- Process `glReadPixels` - FFI interface to C function
- Process `glRectd` - FFI interface to C function
- Process `glRectdv` - FFI interface to C function
- Process `glRectf` - FFI interface to C function
- Process `glRectfv` - FFI interface to C function
- Process `glRecti` - FFI interface to C function
- Process `glRectiv` - FFI interface to C function
- Process `glRects` - FFI interface to C function
- Process `glRectsv` - FFI interface to C function
- Process `glRenderMode` - FFI interface to C function
- Process `glRotated` - FFI interface to C function
- Process `glRotatef` - FFI interface to C function
- Process `glScaled` - FFI interface to C function
- Process `glScalef` - FFI interface to C function
- Process `glScissor` - FFI interface to C function
- Process `glSelectBuffer` - FFI interface to C function
- Process `glShadeModel` - FFI interface to C function
- Process `glStencilFunc` - FFI interface to C function
- Process `glStencilMask` - FFI interface to C function
- Process `glStencilOp` - FFI interface to C function
- Process `glTexCoord1d` - FFI interface to C function
- Process `glTexCoord1dv` - FFI interface to C function
- Process `glTexCoord1f` - FFI interface to C function
- Process `glTexCoord1fv` - FFI interface to C function
- Process `glTexCoord1i` - FFI interface to C function
- Process `glTexCoord1iv` - FFI interface to C function
- Process `glTexCoord1s` - FFI interface to C function
- Process `glTexCoord1sv` - FFI interface to C function
- Process `glTexCoord2d` - FFI interface to C function
- Process `glTexCoord2dv` - FFI interface to C function
- Process `glTexCoord2f` - FFI interface to C function
- Process `glTexCoord2fv` - FFI interface to C function
- Process `glTexCoord2i` - FFI interface to C function
- Process `glTexCoord2iv` - FFI interface to C function
- Process `glTexCoord2s` - FFI interface to C function
- Process `glTexCoord2sv` - FFI interface to C function
- Process `glTexCoord3d` - FFI interface to C function
- Process `glTexCoord3dv` - FFI interface to C function
- Process `glTexCoord3f` - FFI interface to C function
- Process `glTexCoord3fv` - FFI interface to C function
- Process `glTexCoord3i` - FFI interface to C function
- Process `glTexCoord3iv` - FFI interface to C function
- Process `glTexCoord3s` - FFI interface to C function
- Process `glTexCoord3sv` - FFI interface to C function
- Process `glTexCoord4d` - FFI interface to C function
- Process `glTexCoord4dv` - FFI interface to C function
- Process `glTexCoord4f` - FFI interface to C function
- Process `glTexCoord4fv` - FFI interface to C function
- Process `glTexCoord4i` - FFI interface to C function
- Process `glTexCoord4iv` - FFI interface to C function
- Process `glTexCoord4s` - FFI interface to C function
- Process `glTexCoord4sv` - FFI interface to C function
- Process `glTexCoordPointer` - FFI interface to C function
- Process `glTexEnvf` - FFI interface to C function
- Process `glTexEnvfv` - FFI interface to C function
- Process `glTexEnvi` - FFI interface to C function
- Process `glTexEnviv` - FFI interface to C function
- Process `glTexGend` - FFI interface to C function
- Process `glTexGendv` - FFI interface to C function
- Process `glTexGenf` - FFI interface to C function
- Process `glTexGenfv` - FFI interface to C function
- Process `glTexGeni` - FFI interface to C function
- Process `glTexGeniv` - FFI interface to C function
- Process `glTexImage1D` - FFI interface to C function
- Process `glTexImage2D` - FFI interface to C function
- Process `glTexParameterf` - FFI interface to C function
- Process `glTexParameterfv` - FFI interface to C function
- Process `glTexParameteri` - FFI interface to C function
- Process `glTexParameteriv` - FFI interface to C function
- Process `glTexSubImage1D` - FFI interface to C function
- Process `glTexSubImage2D` - FFI interface to C function
- Process `glTranslated` - FFI interface to C function
- Process `glTranslatef` - FFI interface to C function
- Process `glVertex2d` - FFI interface to C function
- Process `glVertex2dv` - FFI interface to C function
- Process `glVertex2f` - FFI interface to C function
- Process `glVertex2fv` - FFI interface to C function
- Process `glVertex2i` - FFI interface to C function
- Process `glVertex2iv` - FFI interface to C function
- Process `glVertex2s` - FFI interface to C function
- Process `glVertex2sv` - FFI interface to C function
- Process `glVertex3d` - FFI interface to C function
- Process `glVertex3dv` - FFI interface to C function
- Process `glVertex3f` - FFI interface to C function
- Process `glVertex3fv` - FFI interface to C function
- Process `glVertex3i` - FFI interface to C function
- Process `glVertex3iv` - FFI interface to C function
- Process `glVertex3s` - FFI interface to C function
- Process `glVertex3sv` - FFI interface to C function
- Process `glVertex4d` - FFI interface to C function
- Process `glVertex4dv` - FFI interface to C function
- Process `glVertex4f` - FFI interface to C function
- Process `glVertex4fv` - FFI interface to C function
- Process `glVertex4i` - FFI interface to C function
- Process `glVertex4iv` - FFI interface to C function
- Process `glVertex4s` - FFI interface to C function
- Process `glVertex4sv` - FFI interface to C function
- Process `glVertexPointer` - FFI interface to C function
- Process `glViewport` - FFI interface to C function
- Process `gluBeginCurve` - FFI interface to C function
- Process `gluBeginPolygon` - FFI interface to C function
- Process `gluBeginSurface` - FFI interface to C function
- Process `gluBeginTrim` - FFI interface to C function
- Process `gluCylinder` - FFI interface to C function
- Process `gluDeleteNurbsRenderer` - FFI interface to C function
- Process `gluDeleteQuadric` - FFI interface to C function
- Process `gluDeleteTess` - FFI interface to C function
- Process `gluDisk` - FFI interface to C function
- Process `gluEndCurve` - FFI interface to C function
- Process `gluEndPolygon` - FFI interface to C function
- Process `gluEndSurface` - FFI interface to C function
- Process `gluEndTrim` - FFI interface to C function
- Process `gluErrorString` - FFI interface to C function
- Process `gluGetNurbsProperty` - FFI interface to C function
- Process `gluGetString` - FFI interface to C function
- Process `gluGetTessProperty` - FFI interface to C function
- Process `gluLoadSamplingMatrices` - FFI interface to C function
- Process `gluLookAt` - FFI interface to C function
- Process `gluNewNurbsRenderer` - FFI interface to C function
- Process `gluNewQuadric` - FFI interface to C function
- Process `gluNewTess` - FFI interface to C function
- Process `gluNextContour` - FFI interface to C function
- Process `gluNurbsCurve` - FFI interface to C function
- Process `gluNurbsProperty` - FFI interface to C function
- Process `gluNurbsSurface` - FFI interface to C function
- Process `gluOrtho2D` - FFI interface to C function
- Process `gluPartialDisk` - FFI interface to C function
- Process `gluPerspective` - FFI interface to C function
- Process `gluPickMatrix` - FFI interface to C function
- Process `gluProject` - FFI interface to C function
- Process `gluPwlCurve` - FFI interface to C function
- Process `gluQuadricDrawStyle` - FFI interface to C function
- Process `gluQuadricNormals` - FFI interface to C function
- Process `gluQuadricOrientation` - FFI interface to C function
- Process `gluQuadricTexture` - FFI interface to C function
- Process `gluScaleImage` - FFI interface to C function
- Process `gluSphere` - FFI interface to C function
- Process `gluTessBeginContour` - FFI interface to C function
- Process `gluTessBeginPolygon` - FFI interface to C function
- Process `gluTessEndContour` - FFI interface to C function
- Process `gluTessEndPolygon` - FFI interface to C function
- Process `gluTessNormal` - FFI interface to C function
- Process `gluTessProperty` - FFI interface to C function
- Process `gluTessVertex` - FFI interface to C function
- Process `gluUnProject` - FFI interface to C function

## Declarations

### `occGL.inc`:16Constant `GL.VERSION.1.1`

`VAL INT GL.VERSION.1.1`

C constant turned into a VAL INT

### `occGL.inc`:18Constant `GL.VERSION.1.2`

`VAL INT GL.VERSION.1.2`

C constant turned into a VAL INT

### `occGL.inc`:20Constant `GL.VERSION.1.3`

`VAL INT GL.VERSION.1.3`

C constant turned into a VAL INT

### `occGL.inc`:22Constant `GL.ARB.imaging`

`VAL INT GL.ARB.imaging`

C constant turned into a VAL INT

### `occGL.inc`:24Constant `GL.FALSE`

`VAL INT GL.FALSE`

C constant turned into a VAL INT

### `occGL.inc`:26Constant `GL.TRUE`

`VAL INT GL.TRUE`

C constant turned into a VAL INT

### `occGL.inc`:28Constant `GL.BYTE`

`VAL INT GL.BYTE`

C constant turned into a VAL INT

### `occGL.inc`:30Constant `GL.UNSIGNED.BYTE`

`VAL INT GL.UNSIGNED.BYTE`

C constant turned into a VAL INT

### `occGL.inc`:32Constant `GL.SHORT`

`VAL INT GL.SHORT`

C constant turned into a VAL INT

### `occGL.inc`:34Constant `GL.UNSIGNED.SHORT`

`VAL INT GL.UNSIGNED.SHORT`

C constant turned into a VAL INT

### `occGL.inc`:36Constant `GL.INT`

`VAL INT GL.INT`

C constant turned into a VAL INT

### `occGL.inc`:38Constant `GL.UNSIGNED.INT`

`VAL INT GL.UNSIGNED.INT`

C constant turned into a VAL INT

### `occGL.inc`:40Constant `GL.FLOAT`

`VAL INT GL.FLOAT`

C constant turned into a VAL INT

### `occGL.inc`:42Constant `GL.DOUBLE`

`VAL INT GL.DOUBLE`

C constant turned into a VAL INT

### `occGL.inc`:44Constant `GL.2.BYTES`

`VAL INT GL.2.BYTES`

C constant turned into a VAL INT

### `occGL.inc`:46Constant `GL.3.BYTES`

`VAL INT GL.3.BYTES`

C constant turned into a VAL INT

### `occGL.inc`:48Constant `GL.4.BYTES`

`VAL INT GL.4.BYTES`

C constant turned into a VAL INT

### `occGL.inc`:50Constant `GL.POINTS`

`VAL INT GL.POINTS`

C constant turned into a VAL INT

### `occGL.inc`:52Constant `GL.LINES`

`VAL INT GL.LINES`

C constant turned into a VAL INT

### `occGL.inc`:54Constant `GL.LINE.LOOP`

`VAL INT GL.LINE.LOOP`

C constant turned into a VAL INT

### `occGL.inc`:56Constant `GL.LINE.STRIP`

`VAL INT GL.LINE.STRIP`

C constant turned into a VAL INT

### `occGL.inc`:58Constant `GL.TRIANGLES`

`VAL INT GL.TRIANGLES`

C constant turned into a VAL INT

### `occGL.inc`:60Constant `GL.TRIANGLE.STRIP`

`VAL INT GL.TRIANGLE.STRIP`

C constant turned into a VAL INT

### `occGL.inc`:62Constant `GL.TRIANGLE.FAN`

`VAL INT GL.TRIANGLE.FAN`

C constant turned into a VAL INT

### `occGL.inc`:64Constant `GL.QUADS`

`VAL INT GL.QUADS`

C constant turned into a VAL INT

### `occGL.inc`:66Constant `GL.QUAD.STRIP`

`VAL INT GL.QUAD.STRIP`

C constant turned into a VAL INT

### `occGL.inc`:68Constant `GL.POLYGON`

`VAL INT GL.POLYGON`

C constant turned into a VAL INT

### `occGL.inc`:70Constant `GL.VERTEX.ARRAY`

`VAL INT GL.VERTEX.ARRAY`

C constant turned into a VAL INT

### `occGL.inc`:72Constant `GL.NORMAL.ARRAY`

`VAL INT GL.NORMAL.ARRAY`

C constant turned into a VAL INT

### `occGL.inc`:74Constant `GL.COLOR.ARRAY`

`VAL INT GL.COLOR.ARRAY`

C constant turned into a VAL INT

### `occGL.inc`:76Constant `GL.INDEX.ARRAY`

`VAL INT GL.INDEX.ARRAY`

C constant turned into a VAL INT

### `occGL.inc`:78Constant `GL.TEXTURE.COORD.ARRAY`

`VAL INT GL.TEXTURE.COORD.ARRAY`

C constant turned into a VAL INT

### `occGL.inc`:80Constant `GL.EDGE.FLAG.ARRAY`

`VAL INT GL.EDGE.FLAG.ARRAY`

C constant turned into a VAL INT

### `occGL.inc`:82Constant `GL.VERTEX.ARRAY.SIZE`

`VAL INT GL.VERTEX.ARRAY.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:84Constant `GL.VERTEX.ARRAY.TYPE`

`VAL INT GL.VERTEX.ARRAY.TYPE`

C constant turned into a VAL INT

### `occGL.inc`:86Constant `GL.VERTEX.ARRAY.STRIDE`

`VAL INT GL.VERTEX.ARRAY.STRIDE`

C constant turned into a VAL INT

### `occGL.inc`:88Constant `GL.NORMAL.ARRAY.TYPE`

`VAL INT GL.NORMAL.ARRAY.TYPE`

C constant turned into a VAL INT

### `occGL.inc`:90Constant `GL.NORMAL.ARRAY.STRIDE`

`VAL INT GL.NORMAL.ARRAY.STRIDE`

C constant turned into a VAL INT

### `occGL.inc`:92Constant `GL.COLOR.ARRAY.SIZE`

`VAL INT GL.COLOR.ARRAY.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:94Constant `GL.COLOR.ARRAY.TYPE`

`VAL INT GL.COLOR.ARRAY.TYPE`

C constant turned into a VAL INT

### `occGL.inc`:96Constant `GL.COLOR.ARRAY.STRIDE`

`VAL INT GL.COLOR.ARRAY.STRIDE`

C constant turned into a VAL INT

### `occGL.inc`:98Constant `GL.INDEX.ARRAY.TYPE`

`VAL INT GL.INDEX.ARRAY.TYPE`

C constant turned into a VAL INT

### `occGL.inc`:100Constant `GL.INDEX.ARRAY.STRIDE`

`VAL INT GL.INDEX.ARRAY.STRIDE`

C constant turned into a VAL INT

### `occGL.inc`:102Constant `GL.TEXTURE.COORD.ARRAY.SIZE`

`VAL INT GL.TEXTURE.COORD.ARRAY.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:104Constant `GL.TEXTURE.COORD.ARRAY.TYPE`

`VAL INT GL.TEXTURE.COORD.ARRAY.TYPE`

C constant turned into a VAL INT

### `occGL.inc`:106Constant `GL.TEXTURE.COORD.ARRAY.STRIDE`

`VAL INT GL.TEXTURE.COORD.ARRAY.STRIDE`

C constant turned into a VAL INT

### `occGL.inc`:108Constant `GL.EDGE.FLAG.ARRAY.STRIDE`

`VAL INT GL.EDGE.FLAG.ARRAY.STRIDE`

C constant turned into a VAL INT

### `occGL.inc`:110Constant `GL.VERTEX.ARRAY.POINTER`

`VAL INT GL.VERTEX.ARRAY.POINTER`

C constant turned into a VAL INT

### `occGL.inc`:112Constant `GL.NORMAL.ARRAY.POINTER`

`VAL INT GL.NORMAL.ARRAY.POINTER`

C constant turned into a VAL INT

### `occGL.inc`:114Constant `GL.COLOR.ARRAY.POINTER`

`VAL INT GL.COLOR.ARRAY.POINTER`

C constant turned into a VAL INT

### `occGL.inc`:116Constant `GL.INDEX.ARRAY.POINTER`

`VAL INT GL.INDEX.ARRAY.POINTER`

C constant turned into a VAL INT

### `occGL.inc`:118Constant `GL.TEXTURE.COORD.ARRAY.POINTER`

`VAL INT GL.TEXTURE.COORD.ARRAY.POINTER`

C constant turned into a VAL INT

### `occGL.inc`:120Constant `GL.EDGE.FLAG.ARRAY.POINTER`

`VAL INT GL.EDGE.FLAG.ARRAY.POINTER`

C constant turned into a VAL INT

### `occGL.inc`:122Constant `GL.V2F`

`VAL INT GL.V2F`

C constant turned into a VAL INT

### `occGL.inc`:124Constant `GL.V3F`

`VAL INT GL.V3F`

C constant turned into a VAL INT

### `occGL.inc`:126Constant `GL.C4UB.V2F`

`VAL INT GL.C4UB.V2F`

C constant turned into a VAL INT

### `occGL.inc`:128Constant `GL.C4UB.V3F`

`VAL INT GL.C4UB.V3F`

C constant turned into a VAL INT

### `occGL.inc`:130Constant `GL.C3F.V3F`

`VAL INT GL.C3F.V3F`

C constant turned into a VAL INT

### `occGL.inc`:132Constant `GL.N3F.V3F`

`VAL INT GL.N3F.V3F`

C constant turned into a VAL INT

### `occGL.inc`:134Constant `GL.C4F.N3F.V3F`

`VAL INT GL.C4F.N3F.V3F`

C constant turned into a VAL INT

### `occGL.inc`:136Constant `GL.T2F.V3F`

`VAL INT GL.T2F.V3F`

C constant turned into a VAL INT

### `occGL.inc`:138Constant `GL.T4F.V4F`

`VAL INT GL.T4F.V4F`

C constant turned into a VAL INT

### `occGL.inc`:140Constant `GL.T2F.C4UB.V3F`

`VAL INT GL.T2F.C4UB.V3F`

C constant turned into a VAL INT

### `occGL.inc`:142Constant `GL.T2F.C3F.V3F`

`VAL INT GL.T2F.C3F.V3F`

C constant turned into a VAL INT

### `occGL.inc`:144Constant `GL.T2F.N3F.V3F`

`VAL INT GL.T2F.N3F.V3F`

C constant turned into a VAL INT

### `occGL.inc`:146Constant `GL.T2F.C4F.N3F.V3F`

`VAL INT GL.T2F.C4F.N3F.V3F`

C constant turned into a VAL INT

### `occGL.inc`:148Constant `GL.T4F.C4F.N3F.V4F`

`VAL INT GL.T4F.C4F.N3F.V4F`

C constant turned into a VAL INT

### `occGL.inc`:150Constant `GL.MATRIX.MODE`

`VAL INT GL.MATRIX.MODE`

C constant turned into a VAL INT

### `occGL.inc`:152Constant `GL.MODELVIEW`

`VAL INT GL.MODELVIEW`

C constant turned into a VAL INT

### `occGL.inc`:154Constant `GL.PROJECTION`

`VAL INT GL.PROJECTION`

C constant turned into a VAL INT

### `occGL.inc`:156Constant `GL.TEXTURE`

`VAL INT GL.TEXTURE`

C constant turned into a VAL INT

### `occGL.inc`:158Constant `GL.POINT.SMOOTH`

`VAL INT GL.POINT.SMOOTH`

C constant turned into a VAL INT

### `occGL.inc`:160Constant `GL.POINT.SIZE`

`VAL INT GL.POINT.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:162Constant `GL.POINT.SIZE.GRANULARITY`

`VAL INT GL.POINT.SIZE.GRANULARITY`

C constant turned into a VAL INT

### `occGL.inc`:164Constant `GL.POINT.SIZE.RANGE`

`VAL INT GL.POINT.SIZE.RANGE`

C constant turned into a VAL INT

### `occGL.inc`:166Constant `GL.LINE.SMOOTH`

`VAL INT GL.LINE.SMOOTH`

C constant turned into a VAL INT

### `occGL.inc`:168Constant `GL.LINE.STIPPLE`

`VAL INT GL.LINE.STIPPLE`

C constant turned into a VAL INT

### `occGL.inc`:170Constant `GL.LINE.STIPPLE.PATTERN`

`VAL INT GL.LINE.STIPPLE.PATTERN`

C constant turned into a VAL INT

### `occGL.inc`:172Constant `GL.LINE.STIPPLE.REPEAT`

`VAL INT GL.LINE.STIPPLE.REPEAT`

C constant turned into a VAL INT

### `occGL.inc`:174Constant `GL.LINE.WIDTH`

`VAL INT GL.LINE.WIDTH`

C constant turned into a VAL INT

### `occGL.inc`:176Constant `GL.LINE.WIDTH.GRANULARITY`

`VAL INT GL.LINE.WIDTH.GRANULARITY`

C constant turned into a VAL INT

### `occGL.inc`:178Constant `GL.LINE.WIDTH.RANGE`

`VAL INT GL.LINE.WIDTH.RANGE`

C constant turned into a VAL INT

### `occGL.inc`:180Constant `GL.POINT`

`VAL INT GL.POINT`

C constant turned into a VAL INT

### `occGL.inc`:182Constant `GL.LINE`

`VAL INT GL.LINE`

C constant turned into a VAL INT

### `occGL.inc`:184Constant `GL.FILL`

`VAL INT GL.FILL`

C constant turned into a VAL INT

### `occGL.inc`:186Constant `GL.CW`

`VAL INT GL.CW`

C constant turned into a VAL INT

### `occGL.inc`:188Constant `GL.CCW`

`VAL INT GL.CCW`

C constant turned into a VAL INT

### `occGL.inc`:190Constant `GL.FRONT`

`VAL INT GL.FRONT`

C constant turned into a VAL INT

### `occGL.inc`:192Constant `GL.BACK`

`VAL INT GL.BACK`

C constant turned into a VAL INT

### `occGL.inc`:194Constant `GL.POLYGON.MODE`

`VAL INT GL.POLYGON.MODE`

C constant turned into a VAL INT

### `occGL.inc`:196Constant `GL.POLYGON.SMOOTH`

`VAL INT GL.POLYGON.SMOOTH`

C constant turned into a VAL INT

### `occGL.inc`:198Constant `GL.POLYGON.STIPPLE`

`VAL INT GL.POLYGON.STIPPLE`

C constant turned into a VAL INT

### `occGL.inc`:200Constant `GL.EDGE.FLAG`

`VAL INT GL.EDGE.FLAG`

C constant turned into a VAL INT

### `occGL.inc`:202Constant `GL.CULL.FACE`

`VAL INT GL.CULL.FACE`

C constant turned into a VAL INT

### `occGL.inc`:204Constant `GL.CULL.FACE.MODE`

`VAL INT GL.CULL.FACE.MODE`

C constant turned into a VAL INT

### `occGL.inc`:206Constant `GL.FRONT.FACE`

`VAL INT GL.FRONT.FACE`

C constant turned into a VAL INT

### `occGL.inc`:208Constant `GL.POLYGON.OFFSET.FACTOR`

`VAL INT GL.POLYGON.OFFSET.FACTOR`

C constant turned into a VAL INT

### `occGL.inc`:210Constant `GL.POLYGON.OFFSET.UNITS`

`VAL INT GL.POLYGON.OFFSET.UNITS`

C constant turned into a VAL INT

### `occGL.inc`:212Constant `GL.POLYGON.OFFSET.POINT`

`VAL INT GL.POLYGON.OFFSET.POINT`

C constant turned into a VAL INT

### `occGL.inc`:214Constant `GL.POLYGON.OFFSET.LINE`

`VAL INT GL.POLYGON.OFFSET.LINE`

C constant turned into a VAL INT

### `occGL.inc`:216Constant `GL.POLYGON.OFFSET.FILL`

`VAL INT GL.POLYGON.OFFSET.FILL`

C constant turned into a VAL INT

### `occGL.inc`:218Constant `GL.COMPILE`

`VAL INT GL.COMPILE`

C constant turned into a VAL INT

### `occGL.inc`:220Constant `GL.COMPILE.AND.EXECUTE`

`VAL INT GL.COMPILE.AND.EXECUTE`

C constant turned into a VAL INT

### `occGL.inc`:222Constant `GL.LIST.BASE`

`VAL INT GL.LIST.BASE`

C constant turned into a VAL INT

### `occGL.inc`:224Constant `GL.LIST.INDEX`

`VAL INT GL.LIST.INDEX`

C constant turned into a VAL INT

### `occGL.inc`:226Constant `GL.LIST.MODE`

`VAL INT GL.LIST.MODE`

C constant turned into a VAL INT

### `occGL.inc`:228Constant `GL.NEVER`

`VAL INT GL.NEVER`

C constant turned into a VAL INT

### `occGL.inc`:230Constant `GL.LESS`

`VAL INT GL.LESS`

C constant turned into a VAL INT

### `occGL.inc`:232Constant `GL.EQUAL`

`VAL INT GL.EQUAL`

C constant turned into a VAL INT

### `occGL.inc`:234Constant `GL.LEQUAL`

`VAL INT GL.LEQUAL`

C constant turned into a VAL INT

### `occGL.inc`:236Constant `GL.GREATER`

`VAL INT GL.GREATER`

C constant turned into a VAL INT

### `occGL.inc`:238Constant `GL.NOTEQUAL`

`VAL INT GL.NOTEQUAL`

C constant turned into a VAL INT

### `occGL.inc`:240Constant `GL.GEQUAL`

`VAL INT GL.GEQUAL`

C constant turned into a VAL INT

### `occGL.inc`:242Constant `GL.ALWAYS`

`VAL INT GL.ALWAYS`

C constant turned into a VAL INT

### `occGL.inc`:244Constant `GL.DEPTH.TEST`

`VAL INT GL.DEPTH.TEST`

C constant turned into a VAL INT

### `occGL.inc`:246Constant `GL.DEPTH.BITS`

`VAL INT GL.DEPTH.BITS`

C constant turned into a VAL INT

### `occGL.inc`:248Constant `GL.DEPTH.CLEAR.VALUE`

`VAL INT GL.DEPTH.CLEAR.VALUE`

C constant turned into a VAL INT

### `occGL.inc`:250Constant `GL.DEPTH.FUNC`

`VAL INT GL.DEPTH.FUNC`

C constant turned into a VAL INT

### `occGL.inc`:252Constant `GL.DEPTH.RANGE`

`VAL INT GL.DEPTH.RANGE`

C constant turned into a VAL INT

### `occGL.inc`:254Constant `GL.DEPTH.WRITEMASK`

`VAL INT GL.DEPTH.WRITEMASK`

C constant turned into a VAL INT

### `occGL.inc`:256Constant `GL.DEPTH.COMPONENT`

`VAL INT GL.DEPTH.COMPONENT`

C constant turned into a VAL INT

### `occGL.inc`:258Constant `GL.LIGHTING`

`VAL INT GL.LIGHTING`

C constant turned into a VAL INT

### `occGL.inc`:260Constant `GL.LIGHT0`

`VAL INT GL.LIGHT0`

C constant turned into a VAL INT

### `occGL.inc`:262Constant `GL.LIGHT1`

`VAL INT GL.LIGHT1`

C constant turned into a VAL INT

### `occGL.inc`:264Constant `GL.LIGHT2`

`VAL INT GL.LIGHT2`

C constant turned into a VAL INT

### `occGL.inc`:266Constant `GL.LIGHT3`

`VAL INT GL.LIGHT3`

C constant turned into a VAL INT

### `occGL.inc`:268Constant `GL.LIGHT4`

`VAL INT GL.LIGHT4`

C constant turned into a VAL INT

### `occGL.inc`:270Constant `GL.LIGHT5`

`VAL INT GL.LIGHT5`

C constant turned into a VAL INT

### `occGL.inc`:272Constant `GL.LIGHT6`

`VAL INT GL.LIGHT6`

C constant turned into a VAL INT

### `occGL.inc`:274Constant `GL.LIGHT7`

`VAL INT GL.LIGHT7`

C constant turned into a VAL INT

### `occGL.inc`:276Constant `GL.SPOT.EXPONENT`

`VAL INT GL.SPOT.EXPONENT`

C constant turned into a VAL INT

### `occGL.inc`:278Constant `GL.SPOT.CUTOFF`

`VAL INT GL.SPOT.CUTOFF`

C constant turned into a VAL INT

### `occGL.inc`:280Constant `GL.CONSTANT.ATTENUATION`

`VAL INT GL.CONSTANT.ATTENUATION`

C constant turned into a VAL INT

### `occGL.inc`:282Constant `GL.LINEAR.ATTENUATION`

`VAL INT GL.LINEAR.ATTENUATION`

C constant turned into a VAL INT

### `occGL.inc`:284Constant `GL.QUADRATIC.ATTENUATION`

`VAL INT GL.QUADRATIC.ATTENUATION`

C constant turned into a VAL INT

### `occGL.inc`:286Constant `GL.AMBIENT`

`VAL INT GL.AMBIENT`

C constant turned into a VAL INT

### `occGL.inc`:288Constant `GL.DIFFUSE`

`VAL INT GL.DIFFUSE`

C constant turned into a VAL INT

### `occGL.inc`:290Constant `GL.SPECULAR`

`VAL INT GL.SPECULAR`

C constant turned into a VAL INT

### `occGL.inc`:292Constant `GL.SHININESS`

`VAL INT GL.SHININESS`

C constant turned into a VAL INT

### `occGL.inc`:294Constant `GL.EMISSION`

`VAL INT GL.EMISSION`

C constant turned into a VAL INT

### `occGL.inc`:296Constant `GL.POSITION`

`VAL INT GL.POSITION`

C constant turned into a VAL INT

### `occGL.inc`:298Constant `GL.SPOT.DIRECTION`

`VAL INT GL.SPOT.DIRECTION`

C constant turned into a VAL INT

### `occGL.inc`:300Constant `GL.AMBIENT.AND.DIFFUSE`

`VAL INT GL.AMBIENT.AND.DIFFUSE`

C constant turned into a VAL INT

### `occGL.inc`:302Constant `GL.COLOR.INDEXES`

`VAL INT GL.COLOR.INDEXES`

C constant turned into a VAL INT

### `occGL.inc`:304Constant `GL.LIGHT.MODEL.TWO.SIDE`

`VAL INT GL.LIGHT.MODEL.TWO.SIDE`

C constant turned into a VAL INT

### `occGL.inc`:306Constant `GL.LIGHT.MODEL.LOCAL.VIEWER`

`VAL INT GL.LIGHT.MODEL.LOCAL.VIEWER`

C constant turned into a VAL INT

### `occGL.inc`:308Constant `GL.LIGHT.MODEL.AMBIENT`

`VAL INT GL.LIGHT.MODEL.AMBIENT`

C constant turned into a VAL INT

### `occGL.inc`:310Constant `GL.FRONT.AND.BACK`

`VAL INT GL.FRONT.AND.BACK`

C constant turned into a VAL INT

### `occGL.inc`:312Constant `GL.SHADE.MODEL`

`VAL INT GL.SHADE.MODEL`

C constant turned into a VAL INT

### `occGL.inc`:314Constant `GL.FLAT`

`VAL INT GL.FLAT`

C constant turned into a VAL INT

### `occGL.inc`:316Constant `GL.SMOOTH`

`VAL INT GL.SMOOTH`

C constant turned into a VAL INT

### `occGL.inc`:318Constant `GL.COLOR.MATERIAL`

`VAL INT GL.COLOR.MATERIAL`

C constant turned into a VAL INT

### `occGL.inc`:320Constant `GL.COLOR.MATERIAL.FACE`

`VAL INT GL.COLOR.MATERIAL.FACE`

C constant turned into a VAL INT

### `occGL.inc`:322Constant `GL.COLOR.MATERIAL.PARAMETER`

`VAL INT GL.COLOR.MATERIAL.PARAMETER`

C constant turned into a VAL INT

### `occGL.inc`:324Constant `GL.NORMALIZE`

`VAL INT GL.NORMALIZE`

C constant turned into a VAL INT

### `occGL.inc`:326Constant `GL.CLIP.PLANE0`

`VAL INT GL.CLIP.PLANE0`

C constant turned into a VAL INT

### `occGL.inc`:328Constant `GL.CLIP.PLANE1`

`VAL INT GL.CLIP.PLANE1`

C constant turned into a VAL INT

### `occGL.inc`:330Constant `GL.CLIP.PLANE2`

`VAL INT GL.CLIP.PLANE2`

C constant turned into a VAL INT

### `occGL.inc`:332Constant `GL.CLIP.PLANE3`

`VAL INT GL.CLIP.PLANE3`

C constant turned into a VAL INT

### `occGL.inc`:334Constant `GL.CLIP.PLANE4`

`VAL INT GL.CLIP.PLANE4`

C constant turned into a VAL INT

### `occGL.inc`:336Constant `GL.CLIP.PLANE5`

`VAL INT GL.CLIP.PLANE5`

C constant turned into a VAL INT

### `occGL.inc`:338Constant `GL.ACCUM.RED.BITS`

`VAL INT GL.ACCUM.RED.BITS`

C constant turned into a VAL INT

### `occGL.inc`:340Constant `GL.ACCUM.GREEN.BITS`

`VAL INT GL.ACCUM.GREEN.BITS`

C constant turned into a VAL INT

### `occGL.inc`:342Constant `GL.ACCUM.BLUE.BITS`

`VAL INT GL.ACCUM.BLUE.BITS`

C constant turned into a VAL INT

### `occGL.inc`:344Constant `GL.ACCUM.ALPHA.BITS`

`VAL INT GL.ACCUM.ALPHA.BITS`

C constant turned into a VAL INT

### `occGL.inc`:346Constant `GL.ACCUM.CLEAR.VALUE`

`VAL INT GL.ACCUM.CLEAR.VALUE`

C constant turned into a VAL INT

### `occGL.inc`:348Constant `GL.ACCUM`

`VAL INT GL.ACCUM`

C constant turned into a VAL INT

### `occGL.inc`:350Constant `GL.ADD`

`VAL INT GL.ADD`

C constant turned into a VAL INT

### `occGL.inc`:352Constant `GL.LOAD`

`VAL INT GL.LOAD`

C constant turned into a VAL INT

### `occGL.inc`:354Constant `GL.MULT`

`VAL INT GL.MULT`

C constant turned into a VAL INT

### `occGL.inc`:356Constant `GL.RETURN`

`VAL INT GL.RETURN`

C constant turned into a VAL INT

### `occGL.inc`:358Constant `GL.ALPHA.TEST`

`VAL INT GL.ALPHA.TEST`

C constant turned into a VAL INT

### `occGL.inc`:360Constant `GL.ALPHA.TEST.REF`

`VAL INT GL.ALPHA.TEST.REF`

C constant turned into a VAL INT

### `occGL.inc`:362Constant `GL.ALPHA.TEST.FUNC`

`VAL INT GL.ALPHA.TEST.FUNC`

C constant turned into a VAL INT

### `occGL.inc`:364Constant `GL.BLEND`

`VAL INT GL.BLEND`

C constant turned into a VAL INT

### `occGL.inc`:366Constant `GL.BLEND.SRC`

`VAL INT GL.BLEND.SRC`

C constant turned into a VAL INT

### `occGL.inc`:368Constant `GL.BLEND.DST`

`VAL INT GL.BLEND.DST`

C constant turned into a VAL INT

### `occGL.inc`:370Constant `GL.ZERO`

`VAL INT GL.ZERO`

C constant turned into a VAL INT

### `occGL.inc`:372Constant `GL.ONE`

`VAL INT GL.ONE`

C constant turned into a VAL INT

### `occGL.inc`:374Constant `GL.SRC.COLOR`

`VAL INT GL.SRC.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:376Constant `GL.ONE.MINUS.SRC.COLOR`

`VAL INT GL.ONE.MINUS.SRC.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:378Constant `GL.SRC.ALPHA`

`VAL INT GL.SRC.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:380Constant `GL.ONE.MINUS.SRC.ALPHA`

`VAL INT GL.ONE.MINUS.SRC.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:382Constant `GL.DST.ALPHA`

`VAL INT GL.DST.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:384Constant `GL.ONE.MINUS.DST.ALPHA`

`VAL INT GL.ONE.MINUS.DST.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:386Constant `GL.DST.COLOR`

`VAL INT GL.DST.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:388Constant `GL.ONE.MINUS.DST.COLOR`

`VAL INT GL.ONE.MINUS.DST.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:390Constant `GL.SRC.ALPHA.SATURATE`

`VAL INT GL.SRC.ALPHA.SATURATE`

C constant turned into a VAL INT

### `occGL.inc`:392Constant `GL.CONSTANT.COLOR`

`VAL INT GL.CONSTANT.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:394Constant `GL.ONE.MINUS.CONSTANT.COLOR`

`VAL INT GL.ONE.MINUS.CONSTANT.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:396Constant `GL.CONSTANT.ALPHA`

`VAL INT GL.CONSTANT.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:398Constant `GL.ONE.MINUS.CONSTANT.ALPHA`

`VAL INT GL.ONE.MINUS.CONSTANT.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:400Constant `GL.FEEDBACK`

`VAL INT GL.FEEDBACK`

C constant turned into a VAL INT

### `occGL.inc`:402Constant `GL.RENDER`

`VAL INT GL.RENDER`

C constant turned into a VAL INT

### `occGL.inc`:404Constant `GL.SELECT`

`VAL INT GL.SELECT`

C constant turned into a VAL INT

### `occGL.inc`:406Constant `GL.2D`

`VAL INT GL.2D`

C constant turned into a VAL INT

### `occGL.inc`:408Constant `GL.3D`

`VAL INT GL.3D`

C constant turned into a VAL INT

### `occGL.inc`:410Constant `GL.3D.COLOR`

`VAL INT GL.3D.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:412Constant `GL.3D.COLOR.TEXTURE`

`VAL INT GL.3D.COLOR.TEXTURE`

C constant turned into a VAL INT

### `occGL.inc`:414Constant `GL.4D.COLOR.TEXTURE`

`VAL INT GL.4D.COLOR.TEXTURE`

C constant turned into a VAL INT

### `occGL.inc`:416Constant `GL.POINT.TOKEN`

`VAL INT GL.POINT.TOKEN`

C constant turned into a VAL INT

### `occGL.inc`:418Constant `GL.LINE.TOKEN`

`VAL INT GL.LINE.TOKEN`

C constant turned into a VAL INT

### `occGL.inc`:420Constant `GL.LINE.RESET.TOKEN`

`VAL INT GL.LINE.RESET.TOKEN`

C constant turned into a VAL INT

### `occGL.inc`:422Constant `GL.POLYGON.TOKEN`

`VAL INT GL.POLYGON.TOKEN`

C constant turned into a VAL INT

### `occGL.inc`:424Constant `GL.BITMAP.TOKEN`

`VAL INT GL.BITMAP.TOKEN`

C constant turned into a VAL INT

### `occGL.inc`:426Constant `GL.DRAW.PIXEL.TOKEN`

`VAL INT GL.DRAW.PIXEL.TOKEN`

C constant turned into a VAL INT

### `occGL.inc`:428Constant `GL.COPY.PIXEL.TOKEN`

`VAL INT GL.COPY.PIXEL.TOKEN`

C constant turned into a VAL INT

### `occGL.inc`:430Constant `GL.PASS.THROUGH.TOKEN`

`VAL INT GL.PASS.THROUGH.TOKEN`

C constant turned into a VAL INT

### `occGL.inc`:432Constant `GL.FEEDBACK.BUFFER.POINTER`

`VAL INT GL.FEEDBACK.BUFFER.POINTER`

C constant turned into a VAL INT

### `occGL.inc`:434Constant `GL.FEEDBACK.BUFFER.SIZE`

`VAL INT GL.FEEDBACK.BUFFER.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:436Constant `GL.FEEDBACK.BUFFER.TYPE`

`VAL INT GL.FEEDBACK.BUFFER.TYPE`

C constant turned into a VAL INT

### `occGL.inc`:438Constant `GL.SELECTION.BUFFER.POINTER`

`VAL INT GL.SELECTION.BUFFER.POINTER`

C constant turned into a VAL INT

### `occGL.inc`:440Constant `GL.SELECTION.BUFFER.SIZE`

`VAL INT GL.SELECTION.BUFFER.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:442Constant `GL.FOG`

`VAL INT GL.FOG`

C constant turned into a VAL INT

### `occGL.inc`:444Constant `GL.FOG.MODE`

`VAL INT GL.FOG.MODE`

C constant turned into a VAL INT

### `occGL.inc`:446Constant `GL.FOG.DENSITY`

`VAL INT GL.FOG.DENSITY`

C constant turned into a VAL INT

### `occGL.inc`:448Constant `GL.FOG.COLOR`

`VAL INT GL.FOG.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:450Constant `GL.FOG.INDEX`

`VAL INT GL.FOG.INDEX`

C constant turned into a VAL INT

### `occGL.inc`:452Constant `GL.FOG.START`

`VAL INT GL.FOG.START`

C constant turned into a VAL INT

### `occGL.inc`:454Constant `GL.FOG.END`

`VAL INT GL.FOG.END`

C constant turned into a VAL INT

### `occGL.inc`:456Constant `GL.LINEAR`

`VAL INT GL.LINEAR`

C constant turned into a VAL INT

### `occGL.inc`:458Constant `GL.EXP`

`VAL INT GL.EXP`

C constant turned into a VAL INT

### `occGL.inc`:460Constant `GL.EXP2`

`VAL INT GL.EXP2`

C constant turned into a VAL INT

### `occGL.inc`:462Constant `GL.LOGIC.OP`

`VAL INT GL.LOGIC.OP`

C constant turned into a VAL INT

### `occGL.inc`:464Constant `GL.INDEX.LOGIC.OP`

`VAL INT GL.INDEX.LOGIC.OP`

C constant turned into a VAL INT

### `occGL.inc`:466Constant `GL.COLOR.LOGIC.OP`

`VAL INT GL.COLOR.LOGIC.OP`

C constant turned into a VAL INT

### `occGL.inc`:468Constant `GL.LOGIC.OP.MODE`

`VAL INT GL.LOGIC.OP.MODE`

C constant turned into a VAL INT

### `occGL.inc`:470Constant `GL.CLEAR`

`VAL INT GL.CLEAR`

C constant turned into a VAL INT

### `occGL.inc`:472Constant `GL.SET`

`VAL INT GL.SET`

C constant turned into a VAL INT

### `occGL.inc`:474Constant `GL.COPY`

`VAL INT GL.COPY`

C constant turned into a VAL INT

### `occGL.inc`:476Constant `GL.COPY.INVERTED`

`VAL INT GL.COPY.INVERTED`

C constant turned into a VAL INT

### `occGL.inc`:478Constant `GL.NOOP`

`VAL INT GL.NOOP`

C constant turned into a VAL INT

### `occGL.inc`:480Constant `GL.INVERT`

`VAL INT GL.INVERT`

C constant turned into a VAL INT

### `occGL.inc`:482Constant `GL.AND`

`VAL INT GL.AND`

C constant turned into a VAL INT

### `occGL.inc`:484Constant `GL.NAND`

`VAL INT GL.NAND`

C constant turned into a VAL INT

### `occGL.inc`:486Constant `GL.OR`

`VAL INT GL.OR`

C constant turned into a VAL INT

### `occGL.inc`:488Constant `GL.NOR`

`VAL INT GL.NOR`

C constant turned into a VAL INT

### `occGL.inc`:490Constant `GL.XOR`

`VAL INT GL.XOR`

C constant turned into a VAL INT

### `occGL.inc`:492Constant `GL.EQUIV`

`VAL INT GL.EQUIV`

C constant turned into a VAL INT

### `occGL.inc`:494Constant `GL.AND.REVERSE`

`VAL INT GL.AND.REVERSE`

C constant turned into a VAL INT

### `occGL.inc`:496Constant `GL.AND.INVERTED`

`VAL INT GL.AND.INVERTED`

C constant turned into a VAL INT

### `occGL.inc`:498Constant `GL.OR.REVERSE`

`VAL INT GL.OR.REVERSE`

C constant turned into a VAL INT

### `occGL.inc`:500Constant `GL.OR.INVERTED`

`VAL INT GL.OR.INVERTED`

C constant turned into a VAL INT

### `occGL.inc`:502Constant `GL.STENCIL.TEST`

`VAL INT GL.STENCIL.TEST`

C constant turned into a VAL INT

### `occGL.inc`:504Constant `GL.STENCIL.WRITEMASK`

`VAL INT GL.STENCIL.WRITEMASK`

C constant turned into a VAL INT

### `occGL.inc`:506Constant `GL.STENCIL.BITS`

`VAL INT GL.STENCIL.BITS`

C constant turned into a VAL INT

### `occGL.inc`:508Constant `GL.STENCIL.FUNC`

`VAL INT GL.STENCIL.FUNC`

C constant turned into a VAL INT

### `occGL.inc`:510Constant `GL.STENCIL.VALUE.MASK`

`VAL INT GL.STENCIL.VALUE.MASK`

C constant turned into a VAL INT

### `occGL.inc`:512Constant `GL.STENCIL.REF`

`VAL INT GL.STENCIL.REF`

C constant turned into a VAL INT

### `occGL.inc`:514Constant `GL.STENCIL.FAIL`

`VAL INT GL.STENCIL.FAIL`

C constant turned into a VAL INT

### `occGL.inc`:516Constant `GL.STENCIL.PASS.DEPTH.PASS`

`VAL INT GL.STENCIL.PASS.DEPTH.PASS`

C constant turned into a VAL INT

### `occGL.inc`:518Constant `GL.STENCIL.PASS.DEPTH.FAIL`

`VAL INT GL.STENCIL.PASS.DEPTH.FAIL`

C constant turned into a VAL INT

### `occGL.inc`:520Constant `GL.STENCIL.CLEAR.VALUE`

`VAL INT GL.STENCIL.CLEAR.VALUE`

C constant turned into a VAL INT

### `occGL.inc`:522Constant `GL.STENCIL.INDEX`

`VAL INT GL.STENCIL.INDEX`

C constant turned into a VAL INT

### `occGL.inc`:524Constant `GL.KEEP`

`VAL INT GL.KEEP`

C constant turned into a VAL INT

### `occGL.inc`:526Constant `GL.REPLACE`

`VAL INT GL.REPLACE`

C constant turned into a VAL INT

### `occGL.inc`:528Constant `GL.INCR`

`VAL INT GL.INCR`

C constant turned into a VAL INT

### `occGL.inc`:530Constant `GL.DECR`

`VAL INT GL.DECR`

C constant turned into a VAL INT

### `occGL.inc`:532Constant `GL.NONE`

`VAL INT GL.NONE`

C constant turned into a VAL INT

### `occGL.inc`:534Constant `GL.LEFT`

`VAL INT GL.LEFT`

C constant turned into a VAL INT

### `occGL.inc`:536Constant `GL.RIGHT`

`VAL INT GL.RIGHT`

C constant turned into a VAL INT

### `occGL.inc`:538Constant `GL.FRONT.LEFT`

`VAL INT GL.FRONT.LEFT`

C constant turned into a VAL INT

### `occGL.inc`:540Constant `GL.FRONT.RIGHT`

`VAL INT GL.FRONT.RIGHT`

C constant turned into a VAL INT

### `occGL.inc`:542Constant `GL.BACK.LEFT`

`VAL INT GL.BACK.LEFT`

C constant turned into a VAL INT

### `occGL.inc`:544Constant `GL.BACK.RIGHT`

`VAL INT GL.BACK.RIGHT`

C constant turned into a VAL INT

### `occGL.inc`:546Constant `GL.AUX0`

`VAL INT GL.AUX0`

C constant turned into a VAL INT

### `occGL.inc`:548Constant `GL.AUX1`

`VAL INT GL.AUX1`

C constant turned into a VAL INT

### `occGL.inc`:550Constant `GL.AUX2`

`VAL INT GL.AUX2`

C constant turned into a VAL INT

### `occGL.inc`:552Constant `GL.AUX3`

`VAL INT GL.AUX3`

C constant turned into a VAL INT

### `occGL.inc`:554Constant `GL.COLOR.INDEX`

`VAL INT GL.COLOR.INDEX`

C constant turned into a VAL INT

### `occGL.inc`:556Constant `GL.RED`

`VAL INT GL.RED`

C constant turned into a VAL INT

### `occGL.inc`:558Constant `GL.GREEN`

`VAL INT GL.GREEN`

C constant turned into a VAL INT

### `occGL.inc`:560Constant `GL.BLUE`

`VAL INT GL.BLUE`

C constant turned into a VAL INT

### `occGL.inc`:562Constant `GL.ALPHA`

`VAL INT GL.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:564Constant `GL.LUMINANCE`

`VAL INT GL.LUMINANCE`

C constant turned into a VAL INT

### `occGL.inc`:566Constant `GL.LUMINANCE.ALPHA`

`VAL INT GL.LUMINANCE.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:568Constant `GL.ALPHA.BITS`

`VAL INT GL.ALPHA.BITS`

C constant turned into a VAL INT

### `occGL.inc`:570Constant `GL.RED.BITS`

`VAL INT GL.RED.BITS`

C constant turned into a VAL INT

### `occGL.inc`:572Constant `GL.GREEN.BITS`

`VAL INT GL.GREEN.BITS`

C constant turned into a VAL INT

### `occGL.inc`:574Constant `GL.BLUE.BITS`

`VAL INT GL.BLUE.BITS`

C constant turned into a VAL INT

### `occGL.inc`:576Constant `GL.INDEX.BITS`

`VAL INT GL.INDEX.BITS`

C constant turned into a VAL INT

### `occGL.inc`:578Constant `GL.SUBPIXEL.BITS`

`VAL INT GL.SUBPIXEL.BITS`

C constant turned into a VAL INT

### `occGL.inc`:580Constant `GL.AUX.BUFFERS`

`VAL INT GL.AUX.BUFFERS`

C constant turned into a VAL INT

### `occGL.inc`:582Constant `GL.READ.BUFFER`

`VAL INT GL.READ.BUFFER`

C constant turned into a VAL INT

### `occGL.inc`:584Constant `GL.DRAW.BUFFER`

`VAL INT GL.DRAW.BUFFER`

C constant turned into a VAL INT

### `occGL.inc`:586Constant `GL.DOUBLEBUFFER`

`VAL INT GL.DOUBLEBUFFER`

C constant turned into a VAL INT

### `occGL.inc`:588Constant `GL.STEREO`

`VAL INT GL.STEREO`

C constant turned into a VAL INT

### `occGL.inc`:590Constant `GL.BITMAP`

`VAL INT GL.BITMAP`

C constant turned into a VAL INT

### `occGL.inc`:592Constant `GL.COLOR`

`VAL INT GL.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:594Constant `GL.DEPTH`

`VAL INT GL.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:596Constant `GL.STENCIL`

`VAL INT GL.STENCIL`

C constant turned into a VAL INT

### `occGL.inc`:598Constant `GL.DITHER`

`VAL INT GL.DITHER`

C constant turned into a VAL INT

### `occGL.inc`:600Constant `GL.RGB`

`VAL INT GL.RGB`

C constant turned into a VAL INT

### `occGL.inc`:602Constant `GL.RGBA`

`VAL INT GL.RGBA`

C constant turned into a VAL INT

### `occGL.inc`:604Constant `GL.MAX.LIST.NESTING`

`VAL INT GL.MAX.LIST.NESTING`

C constant turned into a VAL INT

### `occGL.inc`:606Constant `GL.MAX.ATTRIB.STACK.DEPTH`

`VAL INT GL.MAX.ATTRIB.STACK.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:608Constant `GL.MAX.MODELVIEW.STACK.DEPTH`

`VAL INT GL.MAX.MODELVIEW.STACK.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:610Constant `GL.MAX.NAME.STACK.DEPTH`

`VAL INT GL.MAX.NAME.STACK.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:612Constant `GL.MAX.PROJECTION.STACK.DEPTH`

`VAL INT GL.MAX.PROJECTION.STACK.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:614Constant `GL.MAX.TEXTURE.STACK.DEPTH`

`VAL INT GL.MAX.TEXTURE.STACK.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:616Constant `GL.MAX.EVAL.ORDER`

`VAL INT GL.MAX.EVAL.ORDER`

C constant turned into a VAL INT

### `occGL.inc`:618Constant `GL.MAX.LIGHTS`

`VAL INT GL.MAX.LIGHTS`

C constant turned into a VAL INT

### `occGL.inc`:620Constant `GL.MAX.CLIP.PLANES`

`VAL INT GL.MAX.CLIP.PLANES`

C constant turned into a VAL INT

### `occGL.inc`:622Constant `GL.MAX.TEXTURE.SIZE`

`VAL INT GL.MAX.TEXTURE.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:624Constant `GL.MAX.PIXEL.MAP.TABLE`

`VAL INT GL.MAX.PIXEL.MAP.TABLE`

C constant turned into a VAL INT

### `occGL.inc`:626Constant `GL.MAX.VIEWPORT.DIMS`

`VAL INT GL.MAX.VIEWPORT.DIMS`

C constant turned into a VAL INT

### `occGL.inc`:628Constant `GL.MAX.CLIENT.ATTRIB.STACK.DEPTH`

`VAL INT GL.MAX.CLIENT.ATTRIB.STACK.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:630Constant `GL.ATTRIB.STACK.DEPTH`

`VAL INT GL.ATTRIB.STACK.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:632Constant `GL.CLIENT.ATTRIB.STACK.DEPTH`

`VAL INT GL.CLIENT.ATTRIB.STACK.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:634Constant `GL.COLOR.CLEAR.VALUE`

`VAL INT GL.COLOR.CLEAR.VALUE`

C constant turned into a VAL INT

### `occGL.inc`:636Constant `GL.COLOR.WRITEMASK`

`VAL INT GL.COLOR.WRITEMASK`

C constant turned into a VAL INT

### `occGL.inc`:638Constant `GL.CURRENT.INDEX`

`VAL INT GL.CURRENT.INDEX`

C constant turned into a VAL INT

### `occGL.inc`:640Constant `GL.CURRENT.COLOR`

`VAL INT GL.CURRENT.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:642Constant `GL.CURRENT.NORMAL`

`VAL INT GL.CURRENT.NORMAL`

C constant turned into a VAL INT

### `occGL.inc`:644Constant `GL.CURRENT.RASTER.COLOR`

`VAL INT GL.CURRENT.RASTER.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:646Constant `GL.CURRENT.RASTER.DISTANCE`

`VAL INT GL.CURRENT.RASTER.DISTANCE`

C constant turned into a VAL INT

### `occGL.inc`:648Constant `GL.CURRENT.RASTER.INDEX`

`VAL INT GL.CURRENT.RASTER.INDEX`

C constant turned into a VAL INT

### `occGL.inc`:650Constant `GL.CURRENT.RASTER.POSITION`

`VAL INT GL.CURRENT.RASTER.POSITION`

C constant turned into a VAL INT

### `occGL.inc`:652Constant `GL.CURRENT.RASTER.TEXTURE.COORDS`

`VAL INT GL.CURRENT.RASTER.TEXTURE.COORDS`

C constant turned into a VAL INT

### `occGL.inc`:654Constant `GL.CURRENT.RASTER.POSITION.VALID`

`VAL INT GL.CURRENT.RASTER.POSITION.VALID`

C constant turned into a VAL INT

### `occGL.inc`:656Constant `GL.CURRENT.TEXTURE.COORDS`

`VAL INT GL.CURRENT.TEXTURE.COORDS`

C constant turned into a VAL INT

### `occGL.inc`:658Constant `GL.INDEX.CLEAR.VALUE`

`VAL INT GL.INDEX.CLEAR.VALUE`

C constant turned into a VAL INT

### `occGL.inc`:660Constant `GL.INDEX.MODE`

`VAL INT GL.INDEX.MODE`

C constant turned into a VAL INT

### `occGL.inc`:662Constant `GL.INDEX.WRITEMASK`

`VAL INT GL.INDEX.WRITEMASK`

C constant turned into a VAL INT

### `occGL.inc`:664Constant `GL.MODELVIEW.MATRIX`

`VAL INT GL.MODELVIEW.MATRIX`

C constant turned into a VAL INT

### `occGL.inc`:666Constant `GL.MODELVIEW.STACK.DEPTH`

`VAL INT GL.MODELVIEW.STACK.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:668Constant `GL.NAME.STACK.DEPTH`

`VAL INT GL.NAME.STACK.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:670Constant `GL.PROJECTION.MATRIX`

`VAL INT GL.PROJECTION.MATRIX`

C constant turned into a VAL INT

### `occGL.inc`:672Constant `GL.PROJECTION.STACK.DEPTH`

`VAL INT GL.PROJECTION.STACK.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:674Constant `GL.RENDER.MODE`

`VAL INT GL.RENDER.MODE`

C constant turned into a VAL INT

### `occGL.inc`:676Constant `GL.RGBA.MODE`

`VAL INT GL.RGBA.MODE`

C constant turned into a VAL INT

### `occGL.inc`:678Constant `GL.TEXTURE.MATRIX`

`VAL INT GL.TEXTURE.MATRIX`

C constant turned into a VAL INT

### `occGL.inc`:680Constant `GL.TEXTURE.STACK.DEPTH`

`VAL INT GL.TEXTURE.STACK.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:682Constant `GL.VIEWPORT`

`VAL INT GL.VIEWPORT`

C constant turned into a VAL INT

### `occGL.inc`:684Constant `GL.AUTO.NORMAL`

`VAL INT GL.AUTO.NORMAL`

C constant turned into a VAL INT

### `occGL.inc`:686Constant `GL.MAP1.COLOR.4`

`VAL INT GL.MAP1.COLOR.4`

C constant turned into a VAL INT

### `occGL.inc`:688Constant `GL.MAP1.GRID.DOMAIN`

`VAL INT GL.MAP1.GRID.DOMAIN`

C constant turned into a VAL INT

### `occGL.inc`:690Constant `GL.MAP1.GRID.SEGMENTS`

`VAL INT GL.MAP1.GRID.SEGMENTS`

C constant turned into a VAL INT

### `occGL.inc`:692Constant `GL.MAP1.INDEX`

`VAL INT GL.MAP1.INDEX`

C constant turned into a VAL INT

### `occGL.inc`:694Constant `GL.MAP1.NORMAL`

`VAL INT GL.MAP1.NORMAL`

C constant turned into a VAL INT

### `occGL.inc`:696Constant `GL.MAP1.TEXTURE.COORD.1`

`VAL INT GL.MAP1.TEXTURE.COORD.1`

C constant turned into a VAL INT

### `occGL.inc`:698Constant `GL.MAP1.TEXTURE.COORD.2`

`VAL INT GL.MAP1.TEXTURE.COORD.2`

C constant turned into a VAL INT

### `occGL.inc`:700Constant `GL.MAP1.TEXTURE.COORD.3`

`VAL INT GL.MAP1.TEXTURE.COORD.3`

C constant turned into a VAL INT

### `occGL.inc`:702Constant `GL.MAP1.TEXTURE.COORD.4`

`VAL INT GL.MAP1.TEXTURE.COORD.4`

C constant turned into a VAL INT

### `occGL.inc`:704Constant `GL.MAP1.VERTEX.3`

`VAL INT GL.MAP1.VERTEX.3`

C constant turned into a VAL INT

### `occGL.inc`:706Constant `GL.MAP1.VERTEX.4`

`VAL INT GL.MAP1.VERTEX.4`

C constant turned into a VAL INT

### `occGL.inc`:708Constant `GL.MAP2.COLOR.4`

`VAL INT GL.MAP2.COLOR.4`

C constant turned into a VAL INT

### `occGL.inc`:710Constant `GL.MAP2.GRID.DOMAIN`

`VAL INT GL.MAP2.GRID.DOMAIN`

C constant turned into a VAL INT

### `occGL.inc`:712Constant `GL.MAP2.GRID.SEGMENTS`

`VAL INT GL.MAP2.GRID.SEGMENTS`

C constant turned into a VAL INT

### `occGL.inc`:714Constant `GL.MAP2.INDEX`

`VAL INT GL.MAP2.INDEX`

C constant turned into a VAL INT

### `occGL.inc`:716Constant `GL.MAP2.NORMAL`

`VAL INT GL.MAP2.NORMAL`

C constant turned into a VAL INT

### `occGL.inc`:718Constant `GL.MAP2.TEXTURE.COORD.1`

`VAL INT GL.MAP2.TEXTURE.COORD.1`

C constant turned into a VAL INT

### `occGL.inc`:720Constant `GL.MAP2.TEXTURE.COORD.2`

`VAL INT GL.MAP2.TEXTURE.COORD.2`

C constant turned into a VAL INT

### `occGL.inc`:722Constant `GL.MAP2.TEXTURE.COORD.3`

`VAL INT GL.MAP2.TEXTURE.COORD.3`

C constant turned into a VAL INT

### `occGL.inc`:724Constant `GL.MAP2.TEXTURE.COORD.4`

`VAL INT GL.MAP2.TEXTURE.COORD.4`

C constant turned into a VAL INT

### `occGL.inc`:726Constant `GL.MAP2.VERTEX.3`

`VAL INT GL.MAP2.VERTEX.3`

C constant turned into a VAL INT

### `occGL.inc`:728Constant `GL.MAP2.VERTEX.4`

`VAL INT GL.MAP2.VERTEX.4`

C constant turned into a VAL INT

### `occGL.inc`:730Constant `GL.COEFF`

`VAL INT GL.COEFF`

C constant turned into a VAL INT

### `occGL.inc`:732Constant `GL.DOMAIN`

`VAL INT GL.DOMAIN`

C constant turned into a VAL INT

### `occGL.inc`:734Constant `GL.ORDER`

`VAL INT GL.ORDER`

C constant turned into a VAL INT

### `occGL.inc`:736Constant `GL.FOG.HINT`

`VAL INT GL.FOG.HINT`

C constant turned into a VAL INT

### `occGL.inc`:738Constant `GL.LINE.SMOOTH.HINT`

`VAL INT GL.LINE.SMOOTH.HINT`

C constant turned into a VAL INT

### `occGL.inc`:740Constant `GL.PERSPECTIVE.CORRECTION.HINT`

`VAL INT GL.PERSPECTIVE.CORRECTION.HINT`

C constant turned into a VAL INT

### `occGL.inc`:742Constant `GL.POINT.SMOOTH.HINT`

`VAL INT GL.POINT.SMOOTH.HINT`

C constant turned into a VAL INT

### `occGL.inc`:744Constant `GL.POLYGON.SMOOTH.HINT`

`VAL INT GL.POLYGON.SMOOTH.HINT`

C constant turned into a VAL INT

### `occGL.inc`:746Constant `GL.DONT.CARE`

`VAL INT GL.DONT.CARE`

C constant turned into a VAL INT

### `occGL.inc`:748Constant `GL.FASTEST`

`VAL INT GL.FASTEST`

C constant turned into a VAL INT

### `occGL.inc`:750Constant `GL.NICEST`

`VAL INT GL.NICEST`

C constant turned into a VAL INT

### `occGL.inc`:752Constant `GL.SCISSOR.TEST`

`VAL INT GL.SCISSOR.TEST`

C constant turned into a VAL INT

### `occGL.inc`:754Constant `GL.SCISSOR.BOX`

`VAL INT GL.SCISSOR.BOX`

C constant turned into a VAL INT

### `occGL.inc`:756Constant `GL.MAP.COLOR`

`VAL INT GL.MAP.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:758Constant `GL.MAP.STENCIL`

`VAL INT GL.MAP.STENCIL`

C constant turned into a VAL INT

### `occGL.inc`:760Constant `GL.INDEX.SHIFT`

`VAL INT GL.INDEX.SHIFT`

C constant turned into a VAL INT

### `occGL.inc`:762Constant `GL.INDEX.OFFSET`

`VAL INT GL.INDEX.OFFSET`

C constant turned into a VAL INT

### `occGL.inc`:764Constant `GL.RED.SCALE`

`VAL INT GL.RED.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:766Constant `GL.RED.BIAS`

`VAL INT GL.RED.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:768Constant `GL.GREEN.SCALE`

`VAL INT GL.GREEN.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:770Constant `GL.GREEN.BIAS`

`VAL INT GL.GREEN.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:772Constant `GL.BLUE.SCALE`

`VAL INT GL.BLUE.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:774Constant `GL.BLUE.BIAS`

`VAL INT GL.BLUE.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:776Constant `GL.ALPHA.SCALE`

`VAL INT GL.ALPHA.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:778Constant `GL.ALPHA.BIAS`

`VAL INT GL.ALPHA.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:780Constant `GL.DEPTH.SCALE`

`VAL INT GL.DEPTH.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:782Constant `GL.DEPTH.BIAS`

`VAL INT GL.DEPTH.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:784Constant `GL.PIXEL.MAP.S.TO.S.SIZE`

`VAL INT GL.PIXEL.MAP.S.TO.S.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:786Constant `GL.PIXEL.MAP.I.TO.I.SIZE`

`VAL INT GL.PIXEL.MAP.I.TO.I.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:788Constant `GL.PIXEL.MAP.I.TO.R.SIZE`

`VAL INT GL.PIXEL.MAP.I.TO.R.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:790Constant `GL.PIXEL.MAP.I.TO.G.SIZE`

`VAL INT GL.PIXEL.MAP.I.TO.G.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:792Constant `GL.PIXEL.MAP.I.TO.B.SIZE`

`VAL INT GL.PIXEL.MAP.I.TO.B.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:794Constant `GL.PIXEL.MAP.I.TO.A.SIZE`

`VAL INT GL.PIXEL.MAP.I.TO.A.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:796Constant `GL.PIXEL.MAP.R.TO.R.SIZE`

`VAL INT GL.PIXEL.MAP.R.TO.R.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:798Constant `GL.PIXEL.MAP.G.TO.G.SIZE`

`VAL INT GL.PIXEL.MAP.G.TO.G.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:800Constant `GL.PIXEL.MAP.B.TO.B.SIZE`

`VAL INT GL.PIXEL.MAP.B.TO.B.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:802Constant `GL.PIXEL.MAP.A.TO.A.SIZE`

`VAL INT GL.PIXEL.MAP.A.TO.A.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:804Constant `GL.PIXEL.MAP.S.TO.S`

`VAL INT GL.PIXEL.MAP.S.TO.S`

C constant turned into a VAL INT

### `occGL.inc`:806Constant `GL.PIXEL.MAP.I.TO.I`

`VAL INT GL.PIXEL.MAP.I.TO.I`

C constant turned into a VAL INT

### `occGL.inc`:808Constant `GL.PIXEL.MAP.I.TO.R`

`VAL INT GL.PIXEL.MAP.I.TO.R`

C constant turned into a VAL INT

### `occGL.inc`:810Constant `GL.PIXEL.MAP.I.TO.G`

`VAL INT GL.PIXEL.MAP.I.TO.G`

C constant turned into a VAL INT

### `occGL.inc`:812Constant `GL.PIXEL.MAP.I.TO.B`

`VAL INT GL.PIXEL.MAP.I.TO.B`

C constant turned into a VAL INT

### `occGL.inc`:814Constant `GL.PIXEL.MAP.I.TO.A`

`VAL INT GL.PIXEL.MAP.I.TO.A`

C constant turned into a VAL INT

### `occGL.inc`:816Constant `GL.PIXEL.MAP.R.TO.R`

`VAL INT GL.PIXEL.MAP.R.TO.R`

C constant turned into a VAL INT

### `occGL.inc`:818Constant `GL.PIXEL.MAP.G.TO.G`

`VAL INT GL.PIXEL.MAP.G.TO.G`

C constant turned into a VAL INT

### `occGL.inc`:820Constant `GL.PIXEL.MAP.B.TO.B`

`VAL INT GL.PIXEL.MAP.B.TO.B`

C constant turned into a VAL INT

### `occGL.inc`:822Constant `GL.PIXEL.MAP.A.TO.A`

`VAL INT GL.PIXEL.MAP.A.TO.A`

C constant turned into a VAL INT

### `occGL.inc`:824Constant `GL.PACK.ALIGNMENT`

`VAL INT GL.PACK.ALIGNMENT`

C constant turned into a VAL INT

### `occGL.inc`:826Constant `GL.PACK.LSB.FIRST`

`VAL INT GL.PACK.LSB.FIRST`

C constant turned into a VAL INT

### `occGL.inc`:828Constant `GL.PACK.ROW.LENGTH`

`VAL INT GL.PACK.ROW.LENGTH`

C constant turned into a VAL INT

### `occGL.inc`:830Constant `GL.PACK.SKIP.PIXELS`

`VAL INT GL.PACK.SKIP.PIXELS`

C constant turned into a VAL INT

### `occGL.inc`:832Constant `GL.PACK.SKIP.ROWS`

`VAL INT GL.PACK.SKIP.ROWS`

C constant turned into a VAL INT

### `occGL.inc`:834Constant `GL.PACK.SWAP.BYTES`

`VAL INT GL.PACK.SWAP.BYTES`

C constant turned into a VAL INT

### `occGL.inc`:836Constant `GL.UNPACK.ALIGNMENT`

`VAL INT GL.UNPACK.ALIGNMENT`

C constant turned into a VAL INT

### `occGL.inc`:838Constant `GL.UNPACK.LSB.FIRST`

`VAL INT GL.UNPACK.LSB.FIRST`

C constant turned into a VAL INT

### `occGL.inc`:840Constant `GL.UNPACK.ROW.LENGTH`

`VAL INT GL.UNPACK.ROW.LENGTH`

C constant turned into a VAL INT

### `occGL.inc`:842Constant `GL.UNPACK.SKIP.PIXELS`

`VAL INT GL.UNPACK.SKIP.PIXELS`

C constant turned into a VAL INT

### `occGL.inc`:844Constant `GL.UNPACK.SKIP.ROWS`

`VAL INT GL.UNPACK.SKIP.ROWS`

C constant turned into a VAL INT

### `occGL.inc`:846Constant `GL.UNPACK.SWAP.BYTES`

`VAL INT GL.UNPACK.SWAP.BYTES`

C constant turned into a VAL INT

### `occGL.inc`:848Constant `GL.ZOOM.X`

`VAL INT GL.ZOOM.X`

C constant turned into a VAL INT

### `occGL.inc`:850Constant `GL.ZOOM.Y`

`VAL INT GL.ZOOM.Y`

C constant turned into a VAL INT

### `occGL.inc`:852Constant `GL.TEXTURE.ENV`

`VAL INT GL.TEXTURE.ENV`

C constant turned into a VAL INT

### `occGL.inc`:854Constant `GL.TEXTURE.ENV.MODE`

`VAL INT GL.TEXTURE.ENV.MODE`

C constant turned into a VAL INT

### `occGL.inc`:856Constant `GL.TEXTURE.1D`

`VAL INT GL.TEXTURE.1D`

C constant turned into a VAL INT

### `occGL.inc`:858Constant `GL.TEXTURE.2D`

`VAL INT GL.TEXTURE.2D`

C constant turned into a VAL INT

### `occGL.inc`:860Constant `GL.TEXTURE.WRAP.S`

`VAL INT GL.TEXTURE.WRAP.S`

C constant turned into a VAL INT

### `occGL.inc`:862Constant `GL.TEXTURE.WRAP.T`

`VAL INT GL.TEXTURE.WRAP.T`

C constant turned into a VAL INT

### `occGL.inc`:864Constant `GL.TEXTURE.MAG.FILTER`

`VAL INT GL.TEXTURE.MAG.FILTER`

C constant turned into a VAL INT

### `occGL.inc`:866Constant `GL.TEXTURE.MIN.FILTER`

`VAL INT GL.TEXTURE.MIN.FILTER`

C constant turned into a VAL INT

### `occGL.inc`:868Constant `GL.TEXTURE.ENV.COLOR`

`VAL INT GL.TEXTURE.ENV.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:870Constant `GL.TEXTURE.GEN.S`

`VAL INT GL.TEXTURE.GEN.S`

C constant turned into a VAL INT

### `occGL.inc`:872Constant `GL.TEXTURE.GEN.T`

`VAL INT GL.TEXTURE.GEN.T`

C constant turned into a VAL INT

### `occGL.inc`:874Constant `GL.TEXTURE.GEN.MODE`

`VAL INT GL.TEXTURE.GEN.MODE`

C constant turned into a VAL INT

### `occGL.inc`:876Constant `GL.TEXTURE.BORDER.COLOR`

`VAL INT GL.TEXTURE.BORDER.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:878Constant `GL.TEXTURE.WIDTH`

`VAL INT GL.TEXTURE.WIDTH`

C constant turned into a VAL INT

### `occGL.inc`:880Constant `GL.TEXTURE.HEIGHT`

`VAL INT GL.TEXTURE.HEIGHT`

C constant turned into a VAL INT

### `occGL.inc`:882Constant `GL.TEXTURE.BORDER`

`VAL INT GL.TEXTURE.BORDER`

C constant turned into a VAL INT

### `occGL.inc`:884Constant `GL.TEXTURE.COMPONENTS`

`VAL INT GL.TEXTURE.COMPONENTS`

C constant turned into a VAL INT

### `occGL.inc`:886Constant `GL.TEXTURE.RED.SIZE`

`VAL INT GL.TEXTURE.RED.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:888Constant `GL.TEXTURE.GREEN.SIZE`

`VAL INT GL.TEXTURE.GREEN.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:890Constant `GL.TEXTURE.BLUE.SIZE`

`VAL INT GL.TEXTURE.BLUE.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:892Constant `GL.TEXTURE.ALPHA.SIZE`

`VAL INT GL.TEXTURE.ALPHA.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:894Constant `GL.TEXTURE.LUMINANCE.SIZE`

`VAL INT GL.TEXTURE.LUMINANCE.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:896Constant `GL.TEXTURE.INTENSITY.SIZE`

`VAL INT GL.TEXTURE.INTENSITY.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:898Constant `GL.NEAREST.MIPMAP.NEAREST`

`VAL INT GL.NEAREST.MIPMAP.NEAREST`

C constant turned into a VAL INT

### `occGL.inc`:900Constant `GL.NEAREST.MIPMAP.LINEAR`

`VAL INT GL.NEAREST.MIPMAP.LINEAR`

C constant turned into a VAL INT

### `occGL.inc`:902Constant `GL.LINEAR.MIPMAP.NEAREST`

`VAL INT GL.LINEAR.MIPMAP.NEAREST`

C constant turned into a VAL INT

### `occGL.inc`:904Constant `GL.LINEAR.MIPMAP.LINEAR`

`VAL INT GL.LINEAR.MIPMAP.LINEAR`

C constant turned into a VAL INT

### `occGL.inc`:906Constant `GL.OBJECT.LINEAR`

`VAL INT GL.OBJECT.LINEAR`

C constant turned into a VAL INT

### `occGL.inc`:908Constant `GL.OBJECT.PLANE`

`VAL INT GL.OBJECT.PLANE`

C constant turned into a VAL INT

### `occGL.inc`:910Constant `GL.EYE.LINEAR`

`VAL INT GL.EYE.LINEAR`

C constant turned into a VAL INT

### `occGL.inc`:912Constant `GL.EYE.PLANE`

`VAL INT GL.EYE.PLANE`

C constant turned into a VAL INT

### `occGL.inc`:914Constant `GL.SPHERE.MAP`

`VAL INT GL.SPHERE.MAP`

C constant turned into a VAL INT

### `occGL.inc`:916Constant `GL.DECAL`

`VAL INT GL.DECAL`

C constant turned into a VAL INT

### `occGL.inc`:918Constant `GL.MODULATE`

`VAL INT GL.MODULATE`

C constant turned into a VAL INT

### `occGL.inc`:920Constant `GL.NEAREST`

`VAL INT GL.NEAREST`

C constant turned into a VAL INT

### `occGL.inc`:922Constant `GL.REPEAT`

`VAL INT GL.REPEAT`

C constant turned into a VAL INT

### `occGL.inc`:924Constant `GL.CLAMP`

`VAL INT GL.CLAMP`

C constant turned into a VAL INT

### `occGL.inc`:926Constant `GL.S`

`VAL INT GL.S`

C constant turned into a VAL INT

### `occGL.inc`:928Constant `GL.T`

`VAL INT GL.T`

C constant turned into a VAL INT

### `occGL.inc`:930Constant `GL.R`

`VAL INT GL.R`

C constant turned into a VAL INT

### `occGL.inc`:932Constant `GL.Q`

`VAL INT GL.Q`

C constant turned into a VAL INT

### `occGL.inc`:934Constant `GL.TEXTURE.GEN.R`

`VAL INT GL.TEXTURE.GEN.R`

C constant turned into a VAL INT

### `occGL.inc`:936Constant `GL.TEXTURE.GEN.Q`

`VAL INT GL.TEXTURE.GEN.Q`

C constant turned into a VAL INT

### `occGL.inc`:938Constant `GL.VENDOR`

`VAL INT GL.VENDOR`

C constant turned into a VAL INT

### `occGL.inc`:940Constant `GL.RENDERER`

`VAL INT GL.RENDERER`

C constant turned into a VAL INT

### `occGL.inc`:942Constant `GL.VERSION`

`VAL INT GL.VERSION`

C constant turned into a VAL INT

### `occGL.inc`:944Constant `GL.EXTENSIONS`

`VAL INT GL.EXTENSIONS`

C constant turned into a VAL INT

### `occGL.inc`:946Constant `GL.NO.ERROR`

`VAL INT GL.NO.ERROR`

C constant turned into a VAL INT

### `occGL.inc`:948Constant `GL.INVALID.VALUE`

`VAL INT GL.INVALID.VALUE`

C constant turned into a VAL INT

### `occGL.inc`:950Constant `GL.INVALID.ENUM`

`VAL INT GL.INVALID.ENUM`

C constant turned into a VAL INT

### `occGL.inc`:952Constant `GL.INVALID.OPERATION`

`VAL INT GL.INVALID.OPERATION`

C constant turned into a VAL INT

### `occGL.inc`:954Constant `GL.STACK.OVERFLOW`

`VAL INT GL.STACK.OVERFLOW`

C constant turned into a VAL INT

### `occGL.inc`:956Constant `GL.STACK.UNDERFLOW`

`VAL INT GL.STACK.UNDERFLOW`

C constant turned into a VAL INT

### `occGL.inc`:958Constant `GL.OUT.OF.MEMORY`

`VAL INT GL.OUT.OF.MEMORY`

C constant turned into a VAL INT

### `occGL.inc`:960Constant `GL.CURRENT.BIT`

`VAL INT GL.CURRENT.BIT`

C constant turned into a VAL INT

### `occGL.inc`:962Constant `GL.POINT.BIT`

`VAL INT GL.POINT.BIT`

C constant turned into a VAL INT

### `occGL.inc`:964Constant `GL.LINE.BIT`

`VAL INT GL.LINE.BIT`

C constant turned into a VAL INT

### `occGL.inc`:966Constant `GL.POLYGON.BIT`

`VAL INT GL.POLYGON.BIT`

C constant turned into a VAL INT

### `occGL.inc`:968Constant `GL.POLYGON.STIPPLE.BIT`

`VAL INT GL.POLYGON.STIPPLE.BIT`

C constant turned into a VAL INT

### `occGL.inc`:970Constant `GL.PIXEL.MODE.BIT`

`VAL INT GL.PIXEL.MODE.BIT`

C constant turned into a VAL INT

### `occGL.inc`:972Constant `GL.LIGHTING.BIT`

`VAL INT GL.LIGHTING.BIT`

C constant turned into a VAL INT

### `occGL.inc`:974Constant `GL.FOG.BIT`

`VAL INT GL.FOG.BIT`

C constant turned into a VAL INT

### `occGL.inc`:976Constant `GL.DEPTH.BUFFER.BIT`

`VAL INT GL.DEPTH.BUFFER.BIT`

C constant turned into a VAL INT

### `occGL.inc`:978Constant `GL.ACCUM.BUFFER.BIT`

`VAL INT GL.ACCUM.BUFFER.BIT`

C constant turned into a VAL INT

### `occGL.inc`:980Constant `GL.STENCIL.BUFFER.BIT`

`VAL INT GL.STENCIL.BUFFER.BIT`

C constant turned into a VAL INT

### `occGL.inc`:982Constant `GL.VIEWPORT.BIT`

`VAL INT GL.VIEWPORT.BIT`

C constant turned into a VAL INT

### `occGL.inc`:984Constant `GL.TRANSFORM.BIT`

`VAL INT GL.TRANSFORM.BIT`

C constant turned into a VAL INT

### `occGL.inc`:986Constant `GL.ENABLE.BIT`

`VAL INT GL.ENABLE.BIT`

C constant turned into a VAL INT

### `occGL.inc`:988Constant `GL.COLOR.BUFFER.BIT`

`VAL INT GL.COLOR.BUFFER.BIT`

C constant turned into a VAL INT

### `occGL.inc`:990Constant `GL.HINT.BIT`

`VAL INT GL.HINT.BIT`

C constant turned into a VAL INT

### `occGL.inc`:992Constant `GL.EVAL.BIT`

`VAL INT GL.EVAL.BIT`

C constant turned into a VAL INT

### `occGL.inc`:994Constant `GL.LIST.BIT`

`VAL INT GL.LIST.BIT`

C constant turned into a VAL INT

### `occGL.inc`:996Constant `GL.TEXTURE.BIT`

`VAL INT GL.TEXTURE.BIT`

C constant turned into a VAL INT

### `occGL.inc`:998Constant `GL.SCISSOR.BIT`

`VAL INT GL.SCISSOR.BIT`

C constant turned into a VAL INT

### `occGL.inc`:1000Constant `GL.ALL.ATTRIB.BITS`

`VAL INT GL.ALL.ATTRIB.BITS`

C constant turned into a VAL INT

### `occGL.inc`:1002Constant `GL.PROXY.TEXTURE.1D`

`VAL INT GL.PROXY.TEXTURE.1D`

C constant turned into a VAL INT

### `occGL.inc`:1004Constant `GL.PROXY.TEXTURE.2D`

`VAL INT GL.PROXY.TEXTURE.2D`

C constant turned into a VAL INT

### `occGL.inc`:1006Constant `GL.TEXTURE.PRIORITY`

`VAL INT GL.TEXTURE.PRIORITY`

C constant turned into a VAL INT

### `occGL.inc`:1008Constant `GL.TEXTURE.RESIDENT`

`VAL INT GL.TEXTURE.RESIDENT`

C constant turned into a VAL INT

### `occGL.inc`:1010Constant `GL.TEXTURE.BINDING.1D`

`VAL INT GL.TEXTURE.BINDING.1D`

C constant turned into a VAL INT

### `occGL.inc`:1012Constant `GL.TEXTURE.BINDING.2D`

`VAL INT GL.TEXTURE.BINDING.2D`

C constant turned into a VAL INT

### `occGL.inc`:1014Constant `GL.TEXTURE.INTERNAL.FORMAT`

`VAL INT GL.TEXTURE.INTERNAL.FORMAT`

C constant turned into a VAL INT

### `occGL.inc`:1016Constant `GL.ALPHA4`

`VAL INT GL.ALPHA4`

C constant turned into a VAL INT

### `occGL.inc`:1018Constant `GL.ALPHA8`

`VAL INT GL.ALPHA8`

C constant turned into a VAL INT

### `occGL.inc`:1020Constant `GL.ALPHA12`

`VAL INT GL.ALPHA12`

C constant turned into a VAL INT

### `occGL.inc`:1022Constant `GL.ALPHA16`

`VAL INT GL.ALPHA16`

C constant turned into a VAL INT

### `occGL.inc`:1024Constant `GL.LUMINANCE4`

`VAL INT GL.LUMINANCE4`

C constant turned into a VAL INT

### `occGL.inc`:1026Constant `GL.LUMINANCE8`

`VAL INT GL.LUMINANCE8`

C constant turned into a VAL INT

### `occGL.inc`:1028Constant `GL.LUMINANCE12`

`VAL INT GL.LUMINANCE12`

C constant turned into a VAL INT

### `occGL.inc`:1030Constant `GL.LUMINANCE16`

`VAL INT GL.LUMINANCE16`

C constant turned into a VAL INT

### `occGL.inc`:1032Constant `GL.LUMINANCE4.ALPHA4`

`VAL INT GL.LUMINANCE4.ALPHA4`

C constant turned into a VAL INT

### `occGL.inc`:1034Constant `GL.LUMINANCE6.ALPHA2`

`VAL INT GL.LUMINANCE6.ALPHA2`

C constant turned into a VAL INT

### `occGL.inc`:1036Constant `GL.LUMINANCE8.ALPHA8`

`VAL INT GL.LUMINANCE8.ALPHA8`

C constant turned into a VAL INT

### `occGL.inc`:1038Constant `GL.LUMINANCE12.ALPHA4`

`VAL INT GL.LUMINANCE12.ALPHA4`

C constant turned into a VAL INT

### `occGL.inc`:1040Constant `GL.LUMINANCE12.ALPHA12`

`VAL INT GL.LUMINANCE12.ALPHA12`

C constant turned into a VAL INT

### `occGL.inc`:1042Constant `GL.LUMINANCE16.ALPHA16`

`VAL INT GL.LUMINANCE16.ALPHA16`

C constant turned into a VAL INT

### `occGL.inc`:1044Constant `GL.INTENSITY`

`VAL INT GL.INTENSITY`

C constant turned into a VAL INT

### `occGL.inc`:1046Constant `GL.INTENSITY4`

`VAL INT GL.INTENSITY4`

C constant turned into a VAL INT

### `occGL.inc`:1048Constant `GL.INTENSITY8`

`VAL INT GL.INTENSITY8`

C constant turned into a VAL INT

### `occGL.inc`:1050Constant `GL.INTENSITY12`

`VAL INT GL.INTENSITY12`

C constant turned into a VAL INT

### `occGL.inc`:1052Constant `GL.INTENSITY16`

`VAL INT GL.INTENSITY16`

C constant turned into a VAL INT

### `occGL.inc`:1054Constant `GL.R3.G3.B2`

`VAL INT GL.R3.G3.B2`

C constant turned into a VAL INT

### `occGL.inc`:1056Constant `GL.RGB4`

`VAL INT GL.RGB4`

C constant turned into a VAL INT

### `occGL.inc`:1058Constant `GL.RGB5`

`VAL INT GL.RGB5`

C constant turned into a VAL INT

### `occGL.inc`:1060Constant `GL.RGB8`

`VAL INT GL.RGB8`

C constant turned into a VAL INT

### `occGL.inc`:1062Constant `GL.RGB10`

`VAL INT GL.RGB10`

C constant turned into a VAL INT

### `occGL.inc`:1064Constant `GL.RGB12`

`VAL INT GL.RGB12`

C constant turned into a VAL INT

### `occGL.inc`:1066Constant `GL.RGB16`

`VAL INT GL.RGB16`

C constant turned into a VAL INT

### `occGL.inc`:1068Constant `GL.RGBA2`

`VAL INT GL.RGBA2`

C constant turned into a VAL INT

### `occGL.inc`:1070Constant `GL.RGBA4`

`VAL INT GL.RGBA4`

C constant turned into a VAL INT

### `occGL.inc`:1072Constant `GL.RGB5.A1`

`VAL INT GL.RGB5.A1`

C constant turned into a VAL INT

### `occGL.inc`:1074Constant `GL.RGBA8`

`VAL INT GL.RGBA8`

C constant turned into a VAL INT

### `occGL.inc`:1076Constant `GL.RGB10.A2`

`VAL INT GL.RGB10.A2`

C constant turned into a VAL INT

### `occGL.inc`:1078Constant `GL.RGBA12`

`VAL INT GL.RGBA12`

C constant turned into a VAL INT

### `occGL.inc`:1080Constant `GL.RGBA16`

`VAL INT GL.RGBA16`

C constant turned into a VAL INT

### `occGL.inc`:1082Constant `GL.CLIENT.PIXEL.STORE.BIT`

`VAL INT GL.CLIENT.PIXEL.STORE.BIT`

C constant turned into a VAL INT

### `occGL.inc`:1084Constant `GL.CLIENT.VERTEX.ARRAY.BIT`

`VAL INT GL.CLIENT.VERTEX.ARRAY.BIT`

C constant turned into a VAL INT

### `occGL.inc`:1086Constant `GL.ALL.CLIENT.ATTRIB.BITS`

`VAL INT GL.ALL.CLIENT.ATTRIB.BITS`

C constant turned into a VAL INT

### `occGL.inc`:1088Constant `GL.CLIENT.ALL.ATTRIB.BITS`

`VAL INT GL.CLIENT.ALL.ATTRIB.BITS`

C constant turned into a VAL INT

### `occGL.inc`:1090Constant `GL.RESCALE.NORMAL`

`VAL INT GL.RESCALE.NORMAL`

C constant turned into a VAL INT

### `occGL.inc`:1092Constant `GL.CLAMP.TO.EDGE`

`VAL INT GL.CLAMP.TO.EDGE`

C constant turned into a VAL INT

### `occGL.inc`:1094Constant `GL.MAX.ELEMENTS.VERTICES`

`VAL INT GL.MAX.ELEMENTS.VERTICES`

C constant turned into a VAL INT

### `occGL.inc`:1096Constant `GL.MAX.ELEMENTS.INDICES`

`VAL INT GL.MAX.ELEMENTS.INDICES`

C constant turned into a VAL INT

### `occGL.inc`:1098Constant `GL.BGR`

`VAL INT GL.BGR`

C constant turned into a VAL INT

### `occGL.inc`:1100Constant `GL.BGRA`

`VAL INT GL.BGRA`

C constant turned into a VAL INT

### `occGL.inc`:1102Constant `GL.UNSIGNED.BYTE.3.3.2`

`VAL INT GL.UNSIGNED.BYTE.3.3.2`

C constant turned into a VAL INT

### `occGL.inc`:1104Constant `GL.UNSIGNED.BYTE.2.3.3.REV`

`VAL INT GL.UNSIGNED.BYTE.2.3.3.REV`

C constant turned into a VAL INT

### `occGL.inc`:1106Constant `GL.UNSIGNED.SHORT.5.6.5`

`VAL INT GL.UNSIGNED.SHORT.5.6.5`

C constant turned into a VAL INT

### `occGL.inc`:1108Constant `GL.UNSIGNED.SHORT.5.6.5.REV`

`VAL INT GL.UNSIGNED.SHORT.5.6.5.REV`

C constant turned into a VAL INT

### `occGL.inc`:1110Constant `GL.UNSIGNED.SHORT.4.4.4.4`

`VAL INT GL.UNSIGNED.SHORT.4.4.4.4`

C constant turned into a VAL INT

### `occGL.inc`:1112Constant `GL.UNSIGNED.SHORT.4.4.4.4.REV`

`VAL INT GL.UNSIGNED.SHORT.4.4.4.4.REV`

C constant turned into a VAL INT

### `occGL.inc`:1114Constant `GL.UNSIGNED.SHORT.5.5.5.1`

`VAL INT GL.UNSIGNED.SHORT.5.5.5.1`

C constant turned into a VAL INT

### `occGL.inc`:1116Constant `GL.UNSIGNED.SHORT.1.5.5.5.REV`

`VAL INT GL.UNSIGNED.SHORT.1.5.5.5.REV`

C constant turned into a VAL INT

### `occGL.inc`:1118Constant `GL.UNSIGNED.INT.8.8.8.8`

`VAL INT GL.UNSIGNED.INT.8.8.8.8`

C constant turned into a VAL INT

### `occGL.inc`:1120Constant `GL.UNSIGNED.INT.8.8.8.8.REV`

`VAL INT GL.UNSIGNED.INT.8.8.8.8.REV`

C constant turned into a VAL INT

### `occGL.inc`:1122Constant `GL.UNSIGNED.INT.10.10.10.2`

`VAL INT GL.UNSIGNED.INT.10.10.10.2`

C constant turned into a VAL INT

### `occGL.inc`:1124Constant `GL.UNSIGNED.INT.2.10.10.10.REV`

`VAL INT GL.UNSIGNED.INT.2.10.10.10.REV`

C constant turned into a VAL INT

### `occGL.inc`:1126Constant `GL.LIGHT.MODEL.COLOR.CONTROL`

`VAL INT GL.LIGHT.MODEL.COLOR.CONTROL`

C constant turned into a VAL INT

### `occGL.inc`:1128Constant `GL.SINGLE.COLOR`

`VAL INT GL.SINGLE.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:1130Constant `GL.SEPARATE.SPECULAR.COLOR`

`VAL INT GL.SEPARATE.SPECULAR.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:1132Constant `GL.TEXTURE.MIN.LOD`

`VAL INT GL.TEXTURE.MIN.LOD`

C constant turned into a VAL INT

### `occGL.inc`:1134Constant `GL.TEXTURE.MAX.LOD`

`VAL INT GL.TEXTURE.MAX.LOD`

C constant turned into a VAL INT

### `occGL.inc`:1136Constant `GL.TEXTURE.BASE.LEVEL`

`VAL INT GL.TEXTURE.BASE.LEVEL`

C constant turned into a VAL INT

### `occGL.inc`:1138Constant `GL.TEXTURE.MAX.LEVEL`

`VAL INT GL.TEXTURE.MAX.LEVEL`

C constant turned into a VAL INT

### `occGL.inc`:1140Constant `GL.SMOOTH.POINT.SIZE.RANGE`

`VAL INT GL.SMOOTH.POINT.SIZE.RANGE`

C constant turned into a VAL INT

### `occGL.inc`:1142Constant `GL.SMOOTH.POINT.SIZE.GRANULARITY`

`VAL INT GL.SMOOTH.POINT.SIZE.GRANULARITY`

C constant turned into a VAL INT

### `occGL.inc`:1144Constant `GL.SMOOTH.LINE.WIDTH.RANGE`

`VAL INT GL.SMOOTH.LINE.WIDTH.RANGE`

C constant turned into a VAL INT

### `occGL.inc`:1146Constant `GL.SMOOTH.LINE.WIDTH.GRANULARITY`

`VAL INT GL.SMOOTH.LINE.WIDTH.GRANULARITY`

C constant turned into a VAL INT

### `occGL.inc`:1148Constant `GL.ALIASED.POINT.SIZE.RANGE`

`VAL INT GL.ALIASED.POINT.SIZE.RANGE`

C constant turned into a VAL INT

### `occGL.inc`:1150Constant `GL.ALIASED.LINE.WIDTH.RANGE`

`VAL INT GL.ALIASED.LINE.WIDTH.RANGE`

C constant turned into a VAL INT

### `occGL.inc`:1152Constant `GL.PACK.SKIP.IMAGES`

`VAL INT GL.PACK.SKIP.IMAGES`

C constant turned into a VAL INT

### `occGL.inc`:1154Constant `GL.PACK.IMAGE.HEIGHT`

`VAL INT GL.PACK.IMAGE.HEIGHT`

C constant turned into a VAL INT

### `occGL.inc`:1156Constant `GL.UNPACK.SKIP.IMAGES`

`VAL INT GL.UNPACK.SKIP.IMAGES`

C constant turned into a VAL INT

### `occGL.inc`:1158Constant `GL.UNPACK.IMAGE.HEIGHT`

`VAL INT GL.UNPACK.IMAGE.HEIGHT`

C constant turned into a VAL INT

### `occGL.inc`:1160Constant `GL.TEXTURE.3D`

`VAL INT GL.TEXTURE.3D`

C constant turned into a VAL INT

### `occGL.inc`:1162Constant `GL.PROXY.TEXTURE.3D`

`VAL INT GL.PROXY.TEXTURE.3D`

C constant turned into a VAL INT

### `occGL.inc`:1164Constant `GL.TEXTURE.DEPTH`

`VAL INT GL.TEXTURE.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:1166Constant `GL.TEXTURE.WRAP.R`

`VAL INT GL.TEXTURE.WRAP.R`

C constant turned into a VAL INT

### `occGL.inc`:1168Constant `GL.MAX.3D.TEXTURE.SIZE`

`VAL INT GL.MAX.3D.TEXTURE.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:1170Constant `GL.TEXTURE.BINDING.3D`

`VAL INT GL.TEXTURE.BINDING.3D`

C constant turned into a VAL INT

### `occGL.inc`:1172Constant `GL.COLOR.TABLE`

`VAL INT GL.COLOR.TABLE`

C constant turned into a VAL INT

### `occGL.inc`:1174Constant `GL.POST.CONVOLUTION.COLOR.TABLE`

`VAL INT GL.POST.CONVOLUTION.COLOR.TABLE`

C constant turned into a VAL INT

### `occGL.inc`:1176Constant `GL.POST.COLOR.MATRIX.COLOR.TABLE`

`VAL INT GL.POST.COLOR.MATRIX.COLOR.TABLE`

C constant turned into a VAL INT

### `occGL.inc`:1178Constant `GL.PROXY.COLOR.TABLE`

`VAL INT GL.PROXY.COLOR.TABLE`

C constant turned into a VAL INT

### `occGL.inc`:1180Constant `GL.PROXY.POST.CONVOLUTION.COLOR.TABLE`

`VAL INT GL.PROXY.POST.CONVOLUTION.COLOR.TABLE`

C constant turned into a VAL INT

### `occGL.inc`:1182Constant `GL.PROXY.POST.COLOR.MATRIX.COLOR.TABLE`

`VAL INT GL.PROXY.POST.COLOR.MATRIX.COLOR.TABLE`

C constant turned into a VAL INT

### `occGL.inc`:1184Constant `GL.COLOR.TABLE.SCALE`

`VAL INT GL.COLOR.TABLE.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:1186Constant `GL.COLOR.TABLE.BIAS`

`VAL INT GL.COLOR.TABLE.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:1188Constant `GL.COLOR.TABLE.FORMAT`

`VAL INT GL.COLOR.TABLE.FORMAT`

C constant turned into a VAL INT

### `occGL.inc`:1190Constant `GL.COLOR.TABLE.WIDTH`

`VAL INT GL.COLOR.TABLE.WIDTH`

C constant turned into a VAL INT

### `occGL.inc`:1192Constant `GL.COLOR.TABLE.RED.SIZE`

`VAL INT GL.COLOR.TABLE.RED.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:1194Constant `GL.COLOR.TABLE.GREEN.SIZE`

`VAL INT GL.COLOR.TABLE.GREEN.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:1196Constant `GL.COLOR.TABLE.BLUE.SIZE`

`VAL INT GL.COLOR.TABLE.BLUE.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:1198Constant `GL.COLOR.TABLE.ALPHA.SIZE`

`VAL INT GL.COLOR.TABLE.ALPHA.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:1200Constant `GL.COLOR.TABLE.LUMINANCE.SIZE`

`VAL INT GL.COLOR.TABLE.LUMINANCE.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:1202Constant `GL.COLOR.TABLE.INTENSITY.SIZE`

`VAL INT GL.COLOR.TABLE.INTENSITY.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:1204Constant `GL.CONVOLUTION.1D`

`VAL INT GL.CONVOLUTION.1D`

C constant turned into a VAL INT

### `occGL.inc`:1206Constant `GL.CONVOLUTION.2D`

`VAL INT GL.CONVOLUTION.2D`

C constant turned into a VAL INT

### `occGL.inc`:1208Constant `GL.SEPARABLE.2D`

`VAL INT GL.SEPARABLE.2D`

C constant turned into a VAL INT

### `occGL.inc`:1210Constant `GL.CONVOLUTION.BORDER.MODE`

`VAL INT GL.CONVOLUTION.BORDER.MODE`

C constant turned into a VAL INT

### `occGL.inc`:1212Constant `GL.CONVOLUTION.FILTER.SCALE`

`VAL INT GL.CONVOLUTION.FILTER.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:1214Constant `GL.CONVOLUTION.FILTER.BIAS`

`VAL INT GL.CONVOLUTION.FILTER.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:1216Constant `GL.REDUCE`

`VAL INT GL.REDUCE`

C constant turned into a VAL INT

### `occGL.inc`:1218Constant `GL.CONVOLUTION.FORMAT`

`VAL INT GL.CONVOLUTION.FORMAT`

C constant turned into a VAL INT

### `occGL.inc`:1220Constant `GL.CONVOLUTION.WIDTH`

`VAL INT GL.CONVOLUTION.WIDTH`

C constant turned into a VAL INT

### `occGL.inc`:1222Constant `GL.CONVOLUTION.HEIGHT`

`VAL INT GL.CONVOLUTION.HEIGHT`

C constant turned into a VAL INT

### `occGL.inc`:1224Constant `GL.MAX.CONVOLUTION.WIDTH`

`VAL INT GL.MAX.CONVOLUTION.WIDTH`

C constant turned into a VAL INT

### `occGL.inc`:1226Constant `GL.MAX.CONVOLUTION.HEIGHT`

`VAL INT GL.MAX.CONVOLUTION.HEIGHT`

C constant turned into a VAL INT

### `occGL.inc`:1228Constant `GL.POST.CONVOLUTION.RED.SCALE`

`VAL INT GL.POST.CONVOLUTION.RED.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:1230Constant `GL.POST.CONVOLUTION.GREEN.SCALE`

`VAL INT GL.POST.CONVOLUTION.GREEN.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:1232Constant `GL.POST.CONVOLUTION.BLUE.SCALE`

`VAL INT GL.POST.CONVOLUTION.BLUE.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:1234Constant `GL.POST.CONVOLUTION.ALPHA.SCALE`

`VAL INT GL.POST.CONVOLUTION.ALPHA.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:1236Constant `GL.POST.CONVOLUTION.RED.BIAS`

`VAL INT GL.POST.CONVOLUTION.RED.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:1238Constant `GL.POST.CONVOLUTION.GREEN.BIAS`

`VAL INT GL.POST.CONVOLUTION.GREEN.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:1240Constant `GL.POST.CONVOLUTION.BLUE.BIAS`

`VAL INT GL.POST.CONVOLUTION.BLUE.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:1242Constant `GL.POST.CONVOLUTION.ALPHA.BIAS`

`VAL INT GL.POST.CONVOLUTION.ALPHA.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:1244Constant `GL.CONSTANT.BORDER`

`VAL INT GL.CONSTANT.BORDER`

C constant turned into a VAL INT

### `occGL.inc`:1246Constant `GL.REPLICATE.BORDER`

`VAL INT GL.REPLICATE.BORDER`

C constant turned into a VAL INT

### `occGL.inc`:1248Constant `GL.CONVOLUTION.BORDER.COLOR`

`VAL INT GL.CONVOLUTION.BORDER.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:1250Constant `GL.COLOR.MATRIX`

`VAL INT GL.COLOR.MATRIX`

C constant turned into a VAL INT

### `occGL.inc`:1252Constant `GL.COLOR.MATRIX.STACK.DEPTH`

`VAL INT GL.COLOR.MATRIX.STACK.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:1254Constant `GL.MAX.COLOR.MATRIX.STACK.DEPTH`

`VAL INT GL.MAX.COLOR.MATRIX.STACK.DEPTH`

C constant turned into a VAL INT

### `occGL.inc`:1256Constant `GL.POST.COLOR.MATRIX.RED.SCALE`

`VAL INT GL.POST.COLOR.MATRIX.RED.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:1258Constant `GL.POST.COLOR.MATRIX.GREEN.SCALE`

`VAL INT GL.POST.COLOR.MATRIX.GREEN.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:1260Constant `GL.POST.COLOR.MATRIX.BLUE.SCALE`

`VAL INT GL.POST.COLOR.MATRIX.BLUE.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:1262Constant `GL.POST.COLOR.MATRIX.ALPHA.SCALE`

`VAL INT GL.POST.COLOR.MATRIX.ALPHA.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:1264Constant `GL.POST.COLOR.MATRIX.RED.BIAS`

`VAL INT GL.POST.COLOR.MATRIX.RED.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:1266Constant `GL.POST.COLOR.MATRIX.GREEN.BIAS`

`VAL INT GL.POST.COLOR.MATRIX.GREEN.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:1268Constant `GL.POST.COLOR.MATRIX.BLUE.BIAS`

`VAL INT GL.POST.COLOR.MATRIX.BLUE.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:1270Constant `GL.POST.COLOR.MATRIX.ALPHA.BIAS`

`VAL INT GL.POST.COLOR.MATRIX.ALPHA.BIAS`

C constant turned into a VAL INT

### `occGL.inc`:1272Constant `GL.HISTOGRAM`

`VAL INT GL.HISTOGRAM`

C constant turned into a VAL INT

### `occGL.inc`:1274Constant `GL.PROXY.HISTOGRAM`

`VAL INT GL.PROXY.HISTOGRAM`

C constant turned into a VAL INT

### `occGL.inc`:1276Constant `GL.HISTOGRAM.WIDTH`

`VAL INT GL.HISTOGRAM.WIDTH`

C constant turned into a VAL INT

### `occGL.inc`:1278Constant `GL.HISTOGRAM.FORMAT`

`VAL INT GL.HISTOGRAM.FORMAT`

C constant turned into a VAL INT

### `occGL.inc`:1280Constant `GL.HISTOGRAM.RED.SIZE`

`VAL INT GL.HISTOGRAM.RED.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:1282Constant `GL.HISTOGRAM.GREEN.SIZE`

`VAL INT GL.HISTOGRAM.GREEN.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:1284Constant `GL.HISTOGRAM.BLUE.SIZE`

`VAL INT GL.HISTOGRAM.BLUE.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:1286Constant `GL.HISTOGRAM.ALPHA.SIZE`

`VAL INT GL.HISTOGRAM.ALPHA.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:1288Constant `GL.HISTOGRAM.LUMINANCE.SIZE`

`VAL INT GL.HISTOGRAM.LUMINANCE.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:1290Constant `GL.HISTOGRAM.SINK`

`VAL INT GL.HISTOGRAM.SINK`

C constant turned into a VAL INT

### `occGL.inc`:1292Constant `GL.MINMAX`

`VAL INT GL.MINMAX`

C constant turned into a VAL INT

### `occGL.inc`:1294Constant `GL.MINMAX.FORMAT`

`VAL INT GL.MINMAX.FORMAT`

C constant turned into a VAL INT

### `occGL.inc`:1296Constant `GL.MINMAX.SINK`

`VAL INT GL.MINMAX.SINK`

C constant turned into a VAL INT

### `occGL.inc`:1298Constant `GL.TABLE.TOO.LARGE`

`VAL INT GL.TABLE.TOO.LARGE`

C constant turned into a VAL INT

### `occGL.inc`:1300Constant `GL.BLEND.EQUATION`

`VAL INT GL.BLEND.EQUATION`

C constant turned into a VAL INT

### `occGL.inc`:1302Constant `GL.MIN`

`VAL INT GL.MIN`

C constant turned into a VAL INT

### `occGL.inc`:1304Constant `GL.MAX`

`VAL INT GL.MAX`

C constant turned into a VAL INT

### `occGL.inc`:1306Constant `GL.FUNC.ADD`

`VAL INT GL.FUNC.ADD`

C constant turned into a VAL INT

### `occGL.inc`:1308Constant `GL.FUNC.SUBTRACT`

`VAL INT GL.FUNC.SUBTRACT`

C constant turned into a VAL INT

### `occGL.inc`:1310Constant `GL.FUNC.REVERSE.SUBTRACT`

`VAL INT GL.FUNC.REVERSE.SUBTRACT`

C constant turned into a VAL INT

### `occGL.inc`:1312Constant `GL.BLEND.COLOR`

`VAL INT GL.BLEND.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:1314Constant `GL.TEXTURE0`

`VAL INT GL.TEXTURE0`

C constant turned into a VAL INT

### `occGL.inc`:1316Constant `GL.TEXTURE1`

`VAL INT GL.TEXTURE1`

C constant turned into a VAL INT

### `occGL.inc`:1318Constant `GL.TEXTURE2`

`VAL INT GL.TEXTURE2`

C constant turned into a VAL INT

### `occGL.inc`:1320Constant `GL.TEXTURE3`

`VAL INT GL.TEXTURE3`

C constant turned into a VAL INT

### `occGL.inc`:1322Constant `GL.TEXTURE4`

`VAL INT GL.TEXTURE4`

C constant turned into a VAL INT

### `occGL.inc`:1324Constant `GL.TEXTURE5`

`VAL INT GL.TEXTURE5`

C constant turned into a VAL INT

### `occGL.inc`:1326Constant `GL.TEXTURE6`

`VAL INT GL.TEXTURE6`

C constant turned into a VAL INT

### `occGL.inc`:1328Constant `GL.TEXTURE7`

`VAL INT GL.TEXTURE7`

C constant turned into a VAL INT

### `occGL.inc`:1330Constant `GL.TEXTURE8`

`VAL INT GL.TEXTURE8`

C constant turned into a VAL INT

### `occGL.inc`:1332Constant `GL.TEXTURE9`

`VAL INT GL.TEXTURE9`

C constant turned into a VAL INT

### `occGL.inc`:1334Constant `GL.TEXTURE10`

`VAL INT GL.TEXTURE10`

C constant turned into a VAL INT

### `occGL.inc`:1336Constant `GL.TEXTURE11`

`VAL INT GL.TEXTURE11`

C constant turned into a VAL INT

### `occGL.inc`:1338Constant `GL.TEXTURE12`

`VAL INT GL.TEXTURE12`

C constant turned into a VAL INT

### `occGL.inc`:1340Constant `GL.TEXTURE13`

`VAL INT GL.TEXTURE13`

C constant turned into a VAL INT

### `occGL.inc`:1342Constant `GL.TEXTURE14`

`VAL INT GL.TEXTURE14`

C constant turned into a VAL INT

### `occGL.inc`:1344Constant `GL.TEXTURE15`

`VAL INT GL.TEXTURE15`

C constant turned into a VAL INT

### `occGL.inc`:1346Constant `GL.TEXTURE16`

`VAL INT GL.TEXTURE16`

C constant turned into a VAL INT

### `occGL.inc`:1348Constant `GL.TEXTURE17`

`VAL INT GL.TEXTURE17`

C constant turned into a VAL INT

### `occGL.inc`:1350Constant `GL.TEXTURE18`

`VAL INT GL.TEXTURE18`

C constant turned into a VAL INT

### `occGL.inc`:1352Constant `GL.TEXTURE19`

`VAL INT GL.TEXTURE19`

C constant turned into a VAL INT

### `occGL.inc`:1354Constant `GL.TEXTURE20`

`VAL INT GL.TEXTURE20`

C constant turned into a VAL INT

### `occGL.inc`:1356Constant `GL.TEXTURE21`

`VAL INT GL.TEXTURE21`

C constant turned into a VAL INT

### `occGL.inc`:1358Constant `GL.TEXTURE22`

`VAL INT GL.TEXTURE22`

C constant turned into a VAL INT

### `occGL.inc`:1360Constant `GL.TEXTURE23`

`VAL INT GL.TEXTURE23`

C constant turned into a VAL INT

### `occGL.inc`:1362Constant `GL.TEXTURE24`

`VAL INT GL.TEXTURE24`

C constant turned into a VAL INT

### `occGL.inc`:1364Constant `GL.TEXTURE25`

`VAL INT GL.TEXTURE25`

C constant turned into a VAL INT

### `occGL.inc`:1366Constant `GL.TEXTURE26`

`VAL INT GL.TEXTURE26`

C constant turned into a VAL INT

### `occGL.inc`:1368Constant `GL.TEXTURE27`

`VAL INT GL.TEXTURE27`

C constant turned into a VAL INT

### `occGL.inc`:1370Constant `GL.TEXTURE28`

`VAL INT GL.TEXTURE28`

C constant turned into a VAL INT

### `occGL.inc`:1372Constant `GL.TEXTURE29`

`VAL INT GL.TEXTURE29`

C constant turned into a VAL INT

### `occGL.inc`:1374Constant `GL.TEXTURE30`

`VAL INT GL.TEXTURE30`

C constant turned into a VAL INT

### `occGL.inc`:1376Constant `GL.TEXTURE31`

`VAL INT GL.TEXTURE31`

C constant turned into a VAL INT

### `occGL.inc`:1378Constant `GL.ACTIVE.TEXTURE`

`VAL INT GL.ACTIVE.TEXTURE`

C constant turned into a VAL INT

### `occGL.inc`:1380Constant `GL.CLIENT.ACTIVE.TEXTURE`

`VAL INT GL.CLIENT.ACTIVE.TEXTURE`

C constant turned into a VAL INT

### `occGL.inc`:1382Constant `GL.MAX.TEXTURE.UNITS`

`VAL INT GL.MAX.TEXTURE.UNITS`

C constant turned into a VAL INT

### `occGL.inc`:1384Constant `GL.NORMAL.MAP`

`VAL INT GL.NORMAL.MAP`

C constant turned into a VAL INT

### `occGL.inc`:1386Constant `GL.REFLECTION.MAP`

`VAL INT GL.REFLECTION.MAP`

C constant turned into a VAL INT

### `occGL.inc`:1388Constant `GL.TEXTURE.CUBE.MAP`

`VAL INT GL.TEXTURE.CUBE.MAP`

C constant turned into a VAL INT

### `occGL.inc`:1390Constant `GL.TEXTURE.BINDING.CUBE.MAP`

`VAL INT GL.TEXTURE.BINDING.CUBE.MAP`

C constant turned into a VAL INT

### `occGL.inc`:1392Constant `GL.TEXTURE.CUBE.MAP.POSITIVE.X`

`VAL INT GL.TEXTURE.CUBE.MAP.POSITIVE.X`

C constant turned into a VAL INT

### `occGL.inc`:1394Constant `GL.TEXTURE.CUBE.MAP.NEGATIVE.X`

`VAL INT GL.TEXTURE.CUBE.MAP.NEGATIVE.X`

C constant turned into a VAL INT

### `occGL.inc`:1396Constant `GL.TEXTURE.CUBE.MAP.POSITIVE.Y`

`VAL INT GL.TEXTURE.CUBE.MAP.POSITIVE.Y`

C constant turned into a VAL INT

### `occGL.inc`:1398Constant `GL.TEXTURE.CUBE.MAP.NEGATIVE.Y`

`VAL INT GL.TEXTURE.CUBE.MAP.NEGATIVE.Y`

C constant turned into a VAL INT

### `occGL.inc`:1400Constant `GL.TEXTURE.CUBE.MAP.POSITIVE.Z`

`VAL INT GL.TEXTURE.CUBE.MAP.POSITIVE.Z`

C constant turned into a VAL INT

### `occGL.inc`:1402Constant `GL.TEXTURE.CUBE.MAP.NEGATIVE.Z`

`VAL INT GL.TEXTURE.CUBE.MAP.NEGATIVE.Z`

C constant turned into a VAL INT

### `occGL.inc`:1404Constant `GL.PROXY.TEXTURE.CUBE.MAP`

`VAL INT GL.PROXY.TEXTURE.CUBE.MAP`

C constant turned into a VAL INT

### `occGL.inc`:1406Constant `GL.MAX.CUBE.MAP.TEXTURE.SIZE`

`VAL INT GL.MAX.CUBE.MAP.TEXTURE.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:1408Constant `GL.COMPRESSED.ALPHA`

`VAL INT GL.COMPRESSED.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:1410Constant `GL.COMPRESSED.LUMINANCE`

`VAL INT GL.COMPRESSED.LUMINANCE`

C constant turned into a VAL INT

### `occGL.inc`:1412Constant `GL.COMPRESSED.LUMINANCE.ALPHA`

`VAL INT GL.COMPRESSED.LUMINANCE.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:1414Constant `GL.COMPRESSED.INTENSITY`

`VAL INT GL.COMPRESSED.INTENSITY`

C constant turned into a VAL INT

### `occGL.inc`:1416Constant `GL.COMPRESSED.RGB`

`VAL INT GL.COMPRESSED.RGB`

C constant turned into a VAL INT

### `occGL.inc`:1418Constant `GL.COMPRESSED.RGBA`

`VAL INT GL.COMPRESSED.RGBA`

C constant turned into a VAL INT

### `occGL.inc`:1420Constant `GL.TEXTURE.COMPRESSION.HINT`

`VAL INT GL.TEXTURE.COMPRESSION.HINT`

C constant turned into a VAL INT

### `occGL.inc`:1422Constant `GL.TEXTURE.COMPRESSED.IMAGE.SIZE`

`VAL INT GL.TEXTURE.COMPRESSED.IMAGE.SIZE`

C constant turned into a VAL INT

### `occGL.inc`:1424Constant `GL.TEXTURE.COMPRESSED`

`VAL INT GL.TEXTURE.COMPRESSED`

C constant turned into a VAL INT

### `occGL.inc`:1426Constant `GL.NUM.COMPRESSED.TEXTURE.FORMATS`

`VAL INT GL.NUM.COMPRESSED.TEXTURE.FORMATS`

C constant turned into a VAL INT

### `occGL.inc`:1428Constant `GL.COMPRESSED.TEXTURE.FORMATS`

`VAL INT GL.COMPRESSED.TEXTURE.FORMATS`

C constant turned into a VAL INT

### `occGL.inc`:1430Constant `GL.MULTISAMPLE`

`VAL INT GL.MULTISAMPLE`

C constant turned into a VAL INT

### `occGL.inc`:1432Constant `GL.SAMPLE.ALPHA.TO.COVERAGE`

`VAL INT GL.SAMPLE.ALPHA.TO.COVERAGE`

C constant turned into a VAL INT

### `occGL.inc`:1434Constant `GL.SAMPLE.ALPHA.TO.ONE`

`VAL INT GL.SAMPLE.ALPHA.TO.ONE`

C constant turned into a VAL INT

### `occGL.inc`:1436Constant `GL.SAMPLE.COVERAGE`

`VAL INT GL.SAMPLE.COVERAGE`

C constant turned into a VAL INT

### `occGL.inc`:1438Constant `GL.SAMPLE.BUFFERS`

`VAL INT GL.SAMPLE.BUFFERS`

C constant turned into a VAL INT

### `occGL.inc`:1440Constant `GL.SAMPLES`

`VAL INT GL.SAMPLES`

C constant turned into a VAL INT

### `occGL.inc`:1442Constant `GL.SAMPLE.COVERAGE.VALUE`

`VAL INT GL.SAMPLE.COVERAGE.VALUE`

C constant turned into a VAL INT

### `occGL.inc`:1444Constant `GL.SAMPLE.COVERAGE.INVERT`

`VAL INT GL.SAMPLE.COVERAGE.INVERT`

C constant turned into a VAL INT

### `occGL.inc`:1446Constant `GL.MULTISAMPLE.BIT`

`VAL INT GL.MULTISAMPLE.BIT`

C constant turned into a VAL INT

### `occGL.inc`:1448Constant `GL.TRANSPOSE.MODELVIEW.MATRIX`

`VAL INT GL.TRANSPOSE.MODELVIEW.MATRIX`

C constant turned into a VAL INT

### `occGL.inc`:1450Constant `GL.TRANSPOSE.PROJECTION.MATRIX`

`VAL INT GL.TRANSPOSE.PROJECTION.MATRIX`

C constant turned into a VAL INT

### `occGL.inc`:1452Constant `GL.TRANSPOSE.TEXTURE.MATRIX`

`VAL INT GL.TRANSPOSE.TEXTURE.MATRIX`

C constant turned into a VAL INT

### `occGL.inc`:1454Constant `GL.TRANSPOSE.COLOR.MATRIX`

`VAL INT GL.TRANSPOSE.COLOR.MATRIX`

C constant turned into a VAL INT

### `occGL.inc`:1456Constant `GL.COMBINE`

`VAL INT GL.COMBINE`

C constant turned into a VAL INT

### `occGL.inc`:1458Constant `GL.COMBINE.RGB`

`VAL INT GL.COMBINE.RGB`

C constant turned into a VAL INT

### `occGL.inc`:1460Constant `GL.COMBINE.ALPHA`

`VAL INT GL.COMBINE.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:1462Constant `GL.SOURCE0.RGB`

`VAL INT GL.SOURCE0.RGB`

C constant turned into a VAL INT

### `occGL.inc`:1464Constant `GL.SOURCE1.RGB`

`VAL INT GL.SOURCE1.RGB`

C constant turned into a VAL INT

### `occGL.inc`:1466Constant `GL.SOURCE2.RGB`

`VAL INT GL.SOURCE2.RGB`

C constant turned into a VAL INT

### `occGL.inc`:1468Constant `GL.SOURCE0.ALPHA`

`VAL INT GL.SOURCE0.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:1470Constant `GL.SOURCE1.ALPHA`

`VAL INT GL.SOURCE1.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:1472Constant `GL.SOURCE2.ALPHA`

`VAL INT GL.SOURCE2.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:1474Constant `GL.OPERAND0.RGB`

`VAL INT GL.OPERAND0.RGB`

C constant turned into a VAL INT

### `occGL.inc`:1476Constant `GL.OPERAND1.RGB`

`VAL INT GL.OPERAND1.RGB`

C constant turned into a VAL INT

### `occGL.inc`:1478Constant `GL.OPERAND2.RGB`

`VAL INT GL.OPERAND2.RGB`

C constant turned into a VAL INT

### `occGL.inc`:1480Constant `GL.OPERAND0.ALPHA`

`VAL INT GL.OPERAND0.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:1482Constant `GL.OPERAND1.ALPHA`

`VAL INT GL.OPERAND1.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:1484Constant `GL.OPERAND2.ALPHA`

`VAL INT GL.OPERAND2.ALPHA`

C constant turned into a VAL INT

### `occGL.inc`:1486Constant `GL.RGB.SCALE`

`VAL INT GL.RGB.SCALE`

C constant turned into a VAL INT

### `occGL.inc`:1488Constant `GL.ADD.SIGNED`

`VAL INT GL.ADD.SIGNED`

C constant turned into a VAL INT

### `occGL.inc`:1490Constant `GL.INTERPOLATE`

`VAL INT GL.INTERPOLATE`

C constant turned into a VAL INT

### `occGL.inc`:1492Constant `GL.SUBTRACT`

`VAL INT GL.SUBTRACT`

C constant turned into a VAL INT

### `occGL.inc`:1494Constant `GL.CONSTANT`

`VAL INT GL.CONSTANT`

C constant turned into a VAL INT

### `occGL.inc`:1496Constant `GL.PRIMARY.COLOR`

`VAL INT GL.PRIMARY.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:1498Constant `GL.PREVIOUS`

`VAL INT GL.PREVIOUS`

C constant turned into a VAL INT

### `occGL.inc`:1500Constant `GL.DOT3.RGB`

`VAL INT GL.DOT3.RGB`

C constant turned into a VAL INT

### `occGL.inc`:1502Constant `GL.DOT3.RGBA`

`VAL INT GL.DOT3.RGBA`

C constant turned into a VAL INT

### `occGL.inc`:1504Constant `GL.CLAMP.TO.BORDER`

`VAL INT GL.CLAMP.TO.BORDER`

C constant turned into a VAL INT

### `occGL.inc`:1509Process `glClearIndex`

`INLINE PROC glClearIndex (VAL REAL32 c)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `c` | is a pointer to a GLfloat

### `occGL.inc`:1520Process `glClearColor`

`INLINE PROC glClearColor (VAL REAL32 red, VAL REAL32 green, VAL REAL32 blue, VAL REAL32 alpha)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `red` | is a pointer to a GLclampf
`VAL REAL32` | `green` | is a pointer to a GLclampf
`VAL REAL32` | `blue` | is a pointer to a GLclampf
`VAL REAL32` | `alpha` | is a pointer to a GLclampf

### `occGL.inc`:1528Process `glClear`

`INLINE PROC glClear (VAL INT mask)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mask` | is a pointer to a GLbitfield

### `occGL.inc`:1536Process `glIndexMask`

`INLINE PROC glIndexMask (VAL INT mask)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mask` | is a pointer to a GLuint

### `occGL.inc`:1547Process `glColorMask`

`INLINE PROC glColorMask (VAL BYTE red, VAL BYTE green, VAL BYTE blue, VAL BYTE alpha)`

FFI interface to C function

#### Parameters:

`VAL BYTE` | `red` | is a pointer to a GLboolean
`VAL BYTE` | `green` | is a pointer to a GLboolean
`VAL BYTE` | `blue` | is a pointer to a GLboolean
`VAL BYTE` | `alpha` | is a pointer to a GLboolean

### `occGL.inc`:1556Process `glAlphaFunc`

`INLINE PROC glAlphaFunc (VAL INT func, VAL REAL32 ref)`

FFI interface to C function

#### Parameters:

`VAL INT` | `func` | is a pointer to a GLenum
`VAL REAL32` | `ref` | is a pointer to a GLclampf

### `occGL.inc`:1565Process `glBlendFunc`

`INLINE PROC glBlendFunc (VAL INT sfactor, VAL INT dfactor)`

FFI interface to C function

#### Parameters:

`VAL INT` | `sfactor` | is a pointer to a GLenum
`VAL INT` | `dfactor` | is a pointer to a GLenum

### `occGL.inc`:1573Process `glLogicOp`

`INLINE PROC glLogicOp (VAL INT opcode)`

FFI interface to C function

#### Parameters:

`VAL INT` | `opcode` | is a pointer to a GLenum

### `occGL.inc`:1581Process `glCullFace`

`INLINE PROC glCullFace (VAL INT mode)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mode` | is a pointer to a GLenum

### `occGL.inc`:1589Process `glFrontFace`

`INLINE PROC glFrontFace (VAL INT mode)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mode` | is a pointer to a GLenum

### `occGL.inc`:1597Process `glPointSize`

`INLINE PROC glPointSize (VAL REAL32 size)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `size` | is a pointer to a GLfloat

### `occGL.inc`:1605Process `glLineWidth`

`INLINE PROC glLineWidth (VAL REAL32 width)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `width` | is a pointer to a GLfloat

### `occGL.inc`:1614Process `glLineStipple`

`INLINE PROC glLineStipple (VAL INT factor, VAL INT16 pattern)`

FFI interface to C function

#### Parameters:

`VAL INT` | `factor` | is a pointer to a GLint
`VAL INT16` | `pattern` | is a pointer to a GLushort

### `occGL.inc`:1623Process `glPolygonMode`

`INLINE PROC glPolygonMode (VAL INT face, VAL INT mode)`

FFI interface to C function

#### Parameters:

`VAL INT` | `face` | is a pointer to a GLenum
`VAL INT` | `mode` | is a pointer to a GLenum

### `occGL.inc`:1632Process `glPolygonOffset`

`INLINE PROC glPolygonOffset (VAL REAL32 factor, VAL REAL32 units)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `factor` | is a pointer to a GLfloat
`VAL REAL32` | `units` | is a pointer to a GLfloat

### `occGL.inc`:1640Process `glPolygonStipple`

`INLINE PROC glPolygonStipple (BYTE mask)`

FFI interface to C function

#### Parameters:

`BYTE` | `mask` | is a pointer to a p.q(const).GLubyte

### `occGL.inc`:1648Process `glGetPolygonStipple`

`INLINE PROC glGetPolygonStipple (BYTE mask)`

FFI interface to C function

#### Parameters:

`BYTE` | `mask` | is a pointer to a p.GLubyte

### `occGL.inc`:1656Process `glEdgeFlag`

`INLINE PROC glEdgeFlag (VAL BYTE flag)`

FFI interface to C function

#### Parameters:

`VAL BYTE` | `flag` | is a pointer to a GLboolean

### `occGL.inc`:1664Process `glEdgeFlagv`

`INLINE PROC glEdgeFlagv (BYTE flag)`

FFI interface to C function

#### Parameters:

`BYTE` | `flag` | is a pointer to a p.q(const).GLboolean

### `occGL.inc`:1675Process `glScissor`

`INLINE PROC glScissor (VAL INT x, VAL INT y, VAL INT width, VAL INT height)`

FFI interface to C function

#### Parameters:

`VAL INT` | `x` | is a pointer to a GLint
`VAL INT` | `y` | is a pointer to a GLint
`VAL INT` | `width` | is a pointer to a GLsizei
`VAL INT` | `height` | is a pointer to a GLsizei

### `occGL.inc`:1684Process `glClipPlane`

`INLINE PROC glClipPlane (VAL INT plane, REAL64 equation)`

FFI interface to C function

#### Parameters:

`VAL INT` | `plane` | is a pointer to a GLenum
`REAL64` | `equation` | is a pointer to a p.q(const).GLdouble

### `occGL.inc`:1693Process `glGetClipPlane`

`INLINE PROC glGetClipPlane (VAL INT plane, REAL64 equation)`

FFI interface to C function

#### Parameters:

`VAL INT` | `plane` | is a pointer to a GLenum
`REAL64` | `equation` | is a pointer to a p.GLdouble

### `occGL.inc`:1701Process `glDrawBuffer`

`INLINE PROC glDrawBuffer (VAL INT mode)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mode` | is a pointer to a GLenum

### `occGL.inc`:1709Process `glReadBuffer`

`INLINE PROC glReadBuffer (VAL INT mode)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mode` | is a pointer to a GLenum

### `occGL.inc`:1717Process `glEnable`

`INLINE PROC glEnable (VAL INT cap)`

FFI interface to C function

#### Parameters:

`VAL INT` | `cap` | is a pointer to a GLenum

### `occGL.inc`:1725Process `glDisable`

`INLINE PROC glDisable (VAL INT cap)`

FFI interface to C function

#### Parameters:

`VAL INT` | `cap` | is a pointer to a GLenum

### `occGL.inc`:1734Process `glIsEnabled`

`INLINE PROC glIsEnabled (RESULT BYTE return.value, VAL INT cap)`

FFI interface to C function

#### Parameters:

`RESULT BYTE` | `return.value` | contains the return value of the function and is of type GLboolean
`VAL INT` | `cap` | is a pointer to a GLenum

### `occGL.inc`:1742Process `glEnableClientState`

`INLINE PROC glEnableClientState (VAL INT cap)`

FFI interface to C function

#### Parameters:

`VAL INT` | `cap` | is a pointer to a GLenum

### `occGL.inc`:1750Process `glDisableClientState`

`INLINE PROC glDisableClientState (VAL INT cap)`

FFI interface to C function

#### Parameters:

`VAL INT` | `cap` | is a pointer to a GLenum

### `occGL.inc`:1759Process `glGetBooleanv`

`INLINE PROC glGetBooleanv (VAL INT pname, BYTE params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`BYTE` | `params` | is a pointer to a p.GLboolean

### `occGL.inc`:1768Process `glGetDoublev`

`INLINE PROC glGetDoublev (VAL INT pname, REAL64 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`REAL64` | `params` | is a pointer to a p.GLdouble

### `occGL.inc`:1777Process `glGetFloatv`

`INLINE PROC glGetFloatv (VAL INT pname, REAL32 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`REAL32` | `params` | is a pointer to a p.GLfloat

### `occGL.inc`:1786Process `glGetIntegerv`

`INLINE PROC glGetIntegerv (VAL INT pname, INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`INT` | `params` | is a pointer to a p.GLint

### `occGL.inc`:1794Process `glPushAttrib`

`INLINE PROC glPushAttrib (VAL INT mask)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mask` | is a pointer to a GLbitfield

### `occGL.inc`:1801Process `glPopAttrib`

`INLINE PROC glPopAttrib ()`

FFI interface to C function

### `occGL.inc`:1809Process `glPushClientAttrib`

`INLINE PROC glPushClientAttrib (VAL INT mask)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mask` | is a pointer to a GLbitfield

### `occGL.inc`:1816Process `glPopClientAttrib`

`INLINE PROC glPopClientAttrib ()`

FFI interface to C function

### `occGL.inc`:1825Process `glRenderMode`

`INLINE PROC glRenderMode (RESULT INT return.value, VAL INT mode)`

FFI interface to C function

#### Parameters:

`RESULT INT` | `return.value` | contains the return value of the function and is of type GLint
`VAL INT` | `mode` | is a pointer to a GLenum

### `occGL.inc`:1833Process `glGetError`

`INLINE PROC glGetError (RESULT INT return.value)`

FFI interface to C function

#### Parameters:

`RESULT INT` | `return.value` | contains the return value of the function and is of type GLenum

### `occGL.inc`:1842Process `glGetString`

`INLINE PROC glGetString (RESULT BYTE return.value, VAL INT name)`

FFI interface to C function

#### Parameters:

`RESULT BYTE` | `return.value` | contains the return value of the function and is of type p.q(const).GLubyte
`VAL INT` | `name` | is a pointer to a GLenum

### `occGL.inc`:1849Process `glFinish`

`INLINE PROC glFinish ()`

FFI interface to C function

### `occGL.inc`:1856Process `glFlush`

`INLINE PROC glFlush ()`

FFI interface to C function

### `occGL.inc`:1865Process `glHint`

`INLINE PROC glHint (VAL INT target, VAL INT mode)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `mode` | is a pointer to a GLenum

### `occGL.inc`:1873Process `glClearDepth`

`INLINE PROC glClearDepth (VAL REAL64 depth)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `depth` | is a pointer to a GLclampd

### `occGL.inc`:1881Process `glDepthFunc`

`INLINE PROC glDepthFunc (VAL INT func)`

FFI interface to C function

#### Parameters:

`VAL INT` | `func` | is a pointer to a GLenum

### `occGL.inc`:1889Process `glDepthMask`

`INLINE PROC glDepthMask (VAL BYTE flag)`

FFI interface to C function

#### Parameters:

`VAL BYTE` | `flag` | is a pointer to a GLboolean

### `occGL.inc`:1898Process `glDepthRange`

`INLINE PROC glDepthRange (VAL REAL64 near.val, VAL REAL64 far.val)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `near.val` | is a pointer to a GLclampd
`VAL REAL64` | `far.val` | is a pointer to a GLclampd

### `occGL.inc`:1909Process `glClearAccum`

`INLINE PROC glClearAccum (VAL REAL32 red, VAL REAL32 green, VAL REAL32 blue, VAL REAL32 alpha)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `red` | is a pointer to a GLfloat
`VAL REAL32` | `green` | is a pointer to a GLfloat
`VAL REAL32` | `blue` | is a pointer to a GLfloat
`VAL REAL32` | `alpha` | is a pointer to a GLfloat

### `occGL.inc`:1918Process `glAccum`

`INLINE PROC glAccum (VAL INT op, VAL REAL32 value)`

FFI interface to C function

#### Parameters:

`VAL INT` | `op` | is a pointer to a GLenum
`VAL REAL32` | `value` | is a pointer to a GLfloat

### `occGL.inc`:1926Process `glMatrixMode`

`INLINE PROC glMatrixMode (VAL INT mode)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mode` | is a pointer to a GLenum

### `occGL.inc`:1939Process `glOrtho`

`INLINE PROC glOrtho (VAL REAL64 left, VAL REAL64 right, VAL REAL64 bottom, VAL REAL64 top, VAL REAL64 near.val, VAL REAL64 far.val)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `left` | is a pointer to a GLdouble
`VAL REAL64` | `right` | is a pointer to a GLdouble
`VAL REAL64` | `bottom` | is a pointer to a GLdouble
`VAL REAL64` | `top` | is a pointer to a GLdouble
`VAL REAL64` | `near.val` | is a pointer to a GLdouble
`VAL REAL64` | `far.val` | is a pointer to a GLdouble

### `occGL.inc`:1952Process `glFrustum`

`INLINE PROC glFrustum (VAL REAL64 left, VAL REAL64 right, VAL REAL64 bottom, VAL REAL64 top, VAL REAL64 near.val, VAL REAL64 far.val)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `left` | is a pointer to a GLdouble
`VAL REAL64` | `right` | is a pointer to a GLdouble
`VAL REAL64` | `bottom` | is a pointer to a GLdouble
`VAL REAL64` | `top` | is a pointer to a GLdouble
`VAL REAL64` | `near.val` | is a pointer to a GLdouble
`VAL REAL64` | `far.val` | is a pointer to a GLdouble

### `occGL.inc`:1963Process `glViewport`

`INLINE PROC glViewport (VAL INT x, VAL INT y, VAL INT width, VAL INT height)`

FFI interface to C function

#### Parameters:

`VAL INT` | `x` | is a pointer to a GLint
`VAL INT` | `y` | is a pointer to a GLint
`VAL INT` | `width` | is a pointer to a GLsizei
`VAL INT` | `height` | is a pointer to a GLsizei

### `occGL.inc`:1970Process `glPushMatrix`

`INLINE PROC glPushMatrix ()`

FFI interface to C function

### `occGL.inc`:1977Process `glPopMatrix`

`INLINE PROC glPopMatrix ()`

FFI interface to C function

### `occGL.inc`:1984Process `glLoadIdentity`

`INLINE PROC glLoadIdentity ()`

FFI interface to C function

### `occGL.inc`:1992Process `glLoadMatrixd`

`INLINE PROC glLoadMatrixd (REAL64 m)`

FFI interface to C function

#### Parameters:

`REAL64` | `m` | is a pointer to a p.q(const).GLdouble

### `occGL.inc`:2000Process `glLoadMatrixf`

`INLINE PROC glLoadMatrixf (REAL32 m)`

FFI interface to C function

#### Parameters:

`REAL32` | `m` | is a pointer to a p.q(const).GLfloat

### `occGL.inc`:2008Process `glMultMatrixd`

`INLINE PROC glMultMatrixd (REAL64 m)`

FFI interface to C function

#### Parameters:

`REAL64` | `m` | is a pointer to a p.q(const).GLdouble

### `occGL.inc`:2016Process `glMultMatrixf`

`INLINE PROC glMultMatrixf (REAL32 m)`

FFI interface to C function

#### Parameters:

`REAL32` | `m` | is a pointer to a p.q(const).GLfloat

### `occGL.inc`:2027Process `glRotated`

`INLINE PROC glRotated (VAL REAL64 angle, VAL REAL64 x, VAL REAL64 y, VAL REAL64 z)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `angle` | is a pointer to a GLdouble
`VAL REAL64` | `x` | is a pointer to a GLdouble
`VAL REAL64` | `y` | is a pointer to a GLdouble
`VAL REAL64` | `z` | is a pointer to a GLdouble

### `occGL.inc`:2038Process `glRotatef`

`INLINE PROC glRotatef (VAL REAL32 angle, VAL REAL32 x, VAL REAL32 y, VAL REAL32 z)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `angle` | is a pointer to a GLfloat
`VAL REAL32` | `x` | is a pointer to a GLfloat
`VAL REAL32` | `y` | is a pointer to a GLfloat
`VAL REAL32` | `z` | is a pointer to a GLfloat

### `occGL.inc`:2048Process `glScaled`

`INLINE PROC glScaled (VAL REAL64 x, VAL REAL64 y, VAL REAL64 z)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `x` | is a pointer to a GLdouble
`VAL REAL64` | `y` | is a pointer to a GLdouble
`VAL REAL64` | `z` | is a pointer to a GLdouble

### `occGL.inc`:2058Process `glScalef`

`INLINE PROC glScalef (VAL REAL32 x, VAL REAL32 y, VAL REAL32 z)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `x` | is a pointer to a GLfloat
`VAL REAL32` | `y` | is a pointer to a GLfloat
`VAL REAL32` | `z` | is a pointer to a GLfloat

### `occGL.inc`:2068Process `glTranslated`

`INLINE PROC glTranslated (VAL REAL64 x, VAL REAL64 y, VAL REAL64 z)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `x` | is a pointer to a GLdouble
`VAL REAL64` | `y` | is a pointer to a GLdouble
`VAL REAL64` | `z` | is a pointer to a GLdouble

### `occGL.inc`:2078Process `glTranslatef`

`INLINE PROC glTranslatef (VAL REAL32 x, VAL REAL32 y, VAL REAL32 z)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `x` | is a pointer to a GLfloat
`VAL REAL32` | `y` | is a pointer to a GLfloat
`VAL REAL32` | `z` | is a pointer to a GLfloat

### `occGL.inc`:2087Process `glIsList`

`INLINE PROC glIsList (RESULT BYTE return.value, VAL INT list)`

FFI interface to C function

#### Parameters:

`RESULT BYTE` | `return.value` | contains the return value of the function and is of type GLboolean
`VAL INT` | `list` | is a pointer to a GLuint

### `occGL.inc`:2096Process `glDeleteLists`

`INLINE PROC glDeleteLists (VAL INT list, VAL INT range)`

FFI interface to C function

#### Parameters:

`VAL INT` | `list` | is a pointer to a GLuint
`VAL INT` | `range` | is a pointer to a GLsizei

### `occGL.inc`:2105Process `glGenLists`

`INLINE PROC glGenLists (RESULT INT return.value, VAL INT range)`

FFI interface to C function

#### Parameters:

`RESULT INT` | `return.value` | contains the return value of the function and is of type GLuint
`VAL INT` | `range` | is a pointer to a GLsizei

### `occGL.inc`:2114Process `glNewList`

`INLINE PROC glNewList (VAL INT list, VAL INT mode)`

FFI interface to C function

#### Parameters:

`VAL INT` | `list` | is a pointer to a GLuint
`VAL INT` | `mode` | is a pointer to a GLenum

### `occGL.inc`:2121Process `glEndList`

`INLINE PROC glEndList ()`

FFI interface to C function

### `occGL.inc`:2129Process `glCallList`

`INLINE PROC glCallList (VAL INT list)`

FFI interface to C function

#### Parameters:

`VAL INT` | `list` | is a pointer to a GLuint

### `occGL.inc`:2139Process `glCallLists`

`INLINE PROC glCallLists (VAL INT n, VAL INT type, []INT lists)`

FFI interface to C function

#### Parameters:

`VAL INT` | `n` | is a pointer to a GLsizei
`VAL INT` | `type` | is a pointer to a GLenum
`[]INT` | `lists` | pointer to a C array of p.q(const).GLvoid

### `occGL.inc`:2147Process `glListBase`

`INLINE PROC glListBase (VAL INT base)`

FFI interface to C function

#### Parameters:

`VAL INT` | `base` | is a pointer to a GLuint

### `occGL.inc`:2155Process `glBegin`

`INLINE PROC glBegin (VAL INT mode)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mode` | is a pointer to a GLenum

### `occGL.inc`:2162Process `glEnd`

`INLINE PROC glEnd ()`

FFI interface to C function

### `occGL.inc`:2171Process `glVertex2d`

`INLINE PROC glVertex2d (VAL REAL64 x, VAL REAL64 y)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `x` | is a pointer to a GLdouble
`VAL REAL64` | `y` | is a pointer to a GLdouble

### `occGL.inc`:2180Process `glVertex2f`

`INLINE PROC glVertex2f (VAL REAL32 x, VAL REAL32 y)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `x` | is a pointer to a GLfloat
`VAL REAL32` | `y` | is a pointer to a GLfloat

### `occGL.inc`:2189Process `glVertex2i`

`INLINE PROC glVertex2i (VAL INT x, VAL INT y)`

FFI interface to C function

#### Parameters:

`VAL INT` | `x` | is a pointer to a GLint
`VAL INT` | `y` | is a pointer to a GLint

### `occGL.inc`:2198Process `glVertex2s`

`INLINE PROC glVertex2s (VAL INT16 x, VAL INT16 y)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `x` | is a pointer to a GLshort
`VAL INT16` | `y` | is a pointer to a GLshort

### `occGL.inc`:2208Process `glVertex3d`

`INLINE PROC glVertex3d (VAL REAL64 x, VAL REAL64 y, VAL REAL64 z)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `x` | is a pointer to a GLdouble
`VAL REAL64` | `y` | is a pointer to a GLdouble
`VAL REAL64` | `z` | is a pointer to a GLdouble

### `occGL.inc`:2218Process `glVertex3f`

`INLINE PROC glVertex3f (VAL REAL32 x, VAL REAL32 y, VAL REAL32 z)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `x` | is a pointer to a GLfloat
`VAL REAL32` | `y` | is a pointer to a GLfloat
`VAL REAL32` | `z` | is a pointer to a GLfloat

### `occGL.inc`:2228Process `glVertex3i`

`INLINE PROC glVertex3i (VAL INT x, VAL INT y, VAL INT z)`

FFI interface to C function

#### Parameters:

`VAL INT` | `x` | is a pointer to a GLint
`VAL INT` | `y` | is a pointer to a GLint
`VAL INT` | `z` | is a pointer to a GLint

### `occGL.inc`:2238Process `glVertex3s`

`INLINE PROC glVertex3s (VAL INT16 x, VAL INT16 y, VAL INT16 z)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `x` | is a pointer to a GLshort
`VAL INT16` | `y` | is a pointer to a GLshort
`VAL INT16` | `z` | is a pointer to a GLshort

### `occGL.inc`:2249Process `glVertex4d`

`INLINE PROC glVertex4d (VAL REAL64 x, VAL REAL64 y, VAL REAL64 z, VAL REAL64 w)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `x` | is a pointer to a GLdouble
`VAL REAL64` | `y` | is a pointer to a GLdouble
`VAL REAL64` | `z` | is a pointer to a GLdouble
`VAL REAL64` | `w` | is a pointer to a GLdouble

### `occGL.inc`:2260Process `glVertex4f`

`INLINE PROC glVertex4f (VAL REAL32 x, VAL REAL32 y, VAL REAL32 z, VAL REAL32 w)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `x` | is a pointer to a GLfloat
`VAL REAL32` | `y` | is a pointer to a GLfloat
`VAL REAL32` | `z` | is a pointer to a GLfloat
`VAL REAL32` | `w` | is a pointer to a GLfloat

### `occGL.inc`:2271Process `glVertex4i`

`INLINE PROC glVertex4i (VAL INT x, VAL INT y, VAL INT z, VAL INT w)`

FFI interface to C function

#### Parameters:

`VAL INT` | `x` | is a pointer to a GLint
`VAL INT` | `y` | is a pointer to a GLint
`VAL INT` | `z` | is a pointer to a GLint
`VAL INT` | `w` | is a pointer to a GLint

### `occGL.inc`:2282Process `glVertex4s`

`INLINE PROC glVertex4s (VAL INT16 x, VAL INT16 y, VAL INT16 z, VAL INT16 w)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `x` | is a pointer to a GLshort
`VAL INT16` | `y` | is a pointer to a GLshort
`VAL INT16` | `z` | is a pointer to a GLshort
`VAL INT16` | `w` | is a pointer to a GLshort

### `occGL.inc`:2290Process `glVertex2dv`

`INLINE PROC glVertex2dv (VAL [2]REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL [2]REAL64` | `v` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:2298Process `glVertex2fv`

`INLINE PROC glVertex2fv (VAL [2]REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL [2]REAL32` | `v` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:2306Process `glVertex2iv`

`INLINE PROC glVertex2iv (VAL [2]INT v)`

FFI interface to C function

#### Parameters:

`VAL [2]INT` | `v` | pointer to a C array of q(const).GLint

### `occGL.inc`:2314Process `glVertex2sv`

`INLINE PROC glVertex2sv (VAL [2]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [2]INT16` | `v` | pointer to a C array of q(const).GLshort

### `occGL.inc`:2322Process `glVertex3dv`

`INLINE PROC glVertex3dv (VAL [3]REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL [3]REAL64` | `v` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:2330Process `glVertex3fv`

`INLINE PROC glVertex3fv (VAL [3]REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL [3]REAL32` | `v` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:2338Process `glVertex3iv`

`INLINE PROC glVertex3iv (VAL [3]INT v)`

FFI interface to C function

#### Parameters:

`VAL [3]INT` | `v` | pointer to a C array of q(const).GLint

### `occGL.inc`:2346Process `glVertex3sv`

`INLINE PROC glVertex3sv (VAL [3]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [3]INT16` | `v` | pointer to a C array of q(const).GLshort

### `occGL.inc`:2354Process `glVertex4dv`

`INLINE PROC glVertex4dv (VAL [4]REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL [4]REAL64` | `v` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:2362Process `glVertex4fv`

`INLINE PROC glVertex4fv (VAL [4]REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL [4]REAL32` | `v` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:2370Process `glVertex4iv`

`INLINE PROC glVertex4iv (VAL [4]INT v)`

FFI interface to C function

#### Parameters:

`VAL [4]INT` | `v` | pointer to a C array of q(const).GLint

### `occGL.inc`:2378Process `glVertex4sv`

`INLINE PROC glVertex4sv (VAL [4]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [4]INT16` | `v` | pointer to a C array of q(const).GLshort

### `occGL.inc`:2388Process `glNormal3b`

`INLINE PROC glNormal3b (VAL BYTE nx, VAL BYTE ny, VAL BYTE nz)`

FFI interface to C function

#### Parameters:

`VAL BYTE` | `nx` | is a pointer to a GLbyte
`VAL BYTE` | `ny` | is a pointer to a GLbyte
`VAL BYTE` | `nz` | is a pointer to a GLbyte

### `occGL.inc`:2398Process `glNormal3d`

`INLINE PROC glNormal3d (VAL REAL64 nx, VAL REAL64 ny, VAL REAL64 nz)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `nx` | is a pointer to a GLdouble
`VAL REAL64` | `ny` | is a pointer to a GLdouble
`VAL REAL64` | `nz` | is a pointer to a GLdouble

### `occGL.inc`:2408Process `glNormal3f`

`INLINE PROC glNormal3f (VAL REAL32 nx, VAL REAL32 ny, VAL REAL32 nz)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `nx` | is a pointer to a GLfloat
`VAL REAL32` | `ny` | is a pointer to a GLfloat
`VAL REAL32` | `nz` | is a pointer to a GLfloat

### `occGL.inc`:2418Process `glNormal3i`

`INLINE PROC glNormal3i (VAL INT nx, VAL INT ny, VAL INT nz)`

FFI interface to C function

#### Parameters:

`VAL INT` | `nx` | is a pointer to a GLint
`VAL INT` | `ny` | is a pointer to a GLint
`VAL INT` | `nz` | is a pointer to a GLint

### `occGL.inc`:2428Process `glNormal3s`

`INLINE PROC glNormal3s (VAL INT16 nx, VAL INT16 ny, VAL INT16 nz)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `nx` | is a pointer to a GLshort
`VAL INT16` | `ny` | is a pointer to a GLshort
`VAL INT16` | `nz` | is a pointer to a GLshort

### `occGL.inc`:2436Process `glNormal3bv`

`INLINE PROC glNormal3bv (VAL [3]BYTE v)`

FFI interface to C function

#### Parameters:

`VAL [3]BYTE` | `v` | pointer to a C array of q(const).GLbyte

### `occGL.inc`:2444Process `glNormal3dv`

`INLINE PROC glNormal3dv (VAL [3]REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL [3]REAL64` | `v` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:2452Process `glNormal3fv`

`INLINE PROC glNormal3fv (VAL [3]REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL [3]REAL32` | `v` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:2460Process `glNormal3iv`

`INLINE PROC glNormal3iv (VAL [3]INT v)`

FFI interface to C function

#### Parameters:

`VAL [3]INT` | `v` | pointer to a C array of q(const).GLint

### `occGL.inc`:2468Process `glNormal3sv`

`INLINE PROC glNormal3sv (VAL [3]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [3]INT16` | `v` | pointer to a C array of q(const).GLshort

### `occGL.inc`:2476Process `glIndexd`

`INLINE PROC glIndexd (VAL REAL64 c)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `c` | is a pointer to a GLdouble

### `occGL.inc`:2484Process `glIndexf`

`INLINE PROC glIndexf (VAL REAL32 c)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `c` | is a pointer to a GLfloat

### `occGL.inc`:2492Process `glIndexi`

`INLINE PROC glIndexi (VAL INT c)`

FFI interface to C function

#### Parameters:

`VAL INT` | `c` | is a pointer to a GLint

### `occGL.inc`:2500Process `glIndexs`

`INLINE PROC glIndexs (VAL INT16 c)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `c` | is a pointer to a GLshort

### `occGL.inc`:2508Process `glIndexub`

`INLINE PROC glIndexub (VAL BYTE c)`

FFI interface to C function

#### Parameters:

`VAL BYTE` | `c` | is a pointer to a GLubyte

### `occGL.inc`:2516Process `glIndexdv`

`INLINE PROC glIndexdv (VAL []REAL64 c)`

FFI interface to C function

#### Parameters:

`VAL []REAL64` | `c` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:2524Process `glIndexfv`

`INLINE PROC glIndexfv (VAL []REAL32 c)`

FFI interface to C function

#### Parameters:

`VAL []REAL32` | `c` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:2532Process `glIndexiv`

`INLINE PROC glIndexiv (VAL []INT c)`

FFI interface to C function

#### Parameters:

`VAL []INT` | `c` | pointer to a C array of q(const).GLint

### `occGL.inc`:2540Process `glIndexsv`

`INLINE PROC glIndexsv (VAL []INT16 c)`

FFI interface to C function

#### Parameters:

`VAL []INT16` | `c` | pointer to a C array of q(const).GLshort

### `occGL.inc`:2548Process `glIndexubv`

`INLINE PROC glIndexubv (VAL []BYTE c)`

FFI interface to C function

#### Parameters:

`VAL []BYTE` | `c` | pointer to a C array of q(const).GLubyte

### `occGL.inc`:2558Process `glColor3b`

`INLINE PROC glColor3b (VAL BYTE red, VAL BYTE green, VAL BYTE blue)`

FFI interface to C function

#### Parameters:

`VAL BYTE` | `red` | is a pointer to a GLbyte
`VAL BYTE` | `green` | is a pointer to a GLbyte
`VAL BYTE` | `blue` | is a pointer to a GLbyte

### `occGL.inc`:2568Process `glColor3d`

`INLINE PROC glColor3d (VAL REAL64 red, VAL REAL64 green, VAL REAL64 blue)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `red` | is a pointer to a GLdouble
`VAL REAL64` | `green` | is a pointer to a GLdouble
`VAL REAL64` | `blue` | is a pointer to a GLdouble

### `occGL.inc`:2578Process `glColor3f`

`INLINE PROC glColor3f (VAL REAL32 red, VAL REAL32 green, VAL REAL32 blue)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `red` | is a pointer to a GLfloat
`VAL REAL32` | `green` | is a pointer to a GLfloat
`VAL REAL32` | `blue` | is a pointer to a GLfloat

### `occGL.inc`:2588Process `glColor3i`

`INLINE PROC glColor3i (VAL INT red, VAL INT green, VAL INT blue)`

FFI interface to C function

#### Parameters:

`VAL INT` | `red` | is a pointer to a GLint
`VAL INT` | `green` | is a pointer to a GLint
`VAL INT` | `blue` | is a pointer to a GLint

### `occGL.inc`:2598Process `glColor3s`

`INLINE PROC glColor3s (VAL INT16 red, VAL INT16 green, VAL INT16 blue)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `red` | is a pointer to a GLshort
`VAL INT16` | `green` | is a pointer to a GLshort
`VAL INT16` | `blue` | is a pointer to a GLshort

### `occGL.inc`:2608Process `glColor3ub`

`INLINE PROC glColor3ub (VAL BYTE red, VAL BYTE green, VAL BYTE blue)`

FFI interface to C function

#### Parameters:

`VAL BYTE` | `red` | is a pointer to a GLubyte
`VAL BYTE` | `green` | is a pointer to a GLubyte
`VAL BYTE` | `blue` | is a pointer to a GLubyte

### `occGL.inc`:2618Process `glColor3ui`

`INLINE PROC glColor3ui (VAL INT red, VAL INT green, VAL INT blue)`

FFI interface to C function

#### Parameters:

`VAL INT` | `red` | is a pointer to a GLuint
`VAL INT` | `green` | is a pointer to a GLuint
`VAL INT` | `blue` | is a pointer to a GLuint

### `occGL.inc`:2628Process `glColor3us`

`INLINE PROC glColor3us (VAL INT16 red, VAL INT16 green, VAL INT16 blue)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `red` | is a pointer to a GLushort
`VAL INT16` | `green` | is a pointer to a GLushort
`VAL INT16` | `blue` | is a pointer to a GLushort

### `occGL.inc`:2639Process `glColor4b`

`INLINE PROC glColor4b (VAL BYTE red, VAL BYTE green, VAL BYTE blue, VAL BYTE alpha)`

FFI interface to C function

#### Parameters:

`VAL BYTE` | `red` | is a pointer to a GLbyte
`VAL BYTE` | `green` | is a pointer to a GLbyte
`VAL BYTE` | `blue` | is a pointer to a GLbyte
`VAL BYTE` | `alpha` | is a pointer to a GLbyte

### `occGL.inc`:2650Process `glColor4d`

`INLINE PROC glColor4d (VAL REAL64 red, VAL REAL64 green, VAL REAL64 blue, VAL REAL64 alpha)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `red` | is a pointer to a GLdouble
`VAL REAL64` | `green` | is a pointer to a GLdouble
`VAL REAL64` | `blue` | is a pointer to a GLdouble
`VAL REAL64` | `alpha` | is a pointer to a GLdouble

### `occGL.inc`:2661Process `glColor4f`

`INLINE PROC glColor4f (VAL REAL32 red, VAL REAL32 green, VAL REAL32 blue, VAL REAL32 alpha)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `red` | is a pointer to a GLfloat
`VAL REAL32` | `green` | is a pointer to a GLfloat
`VAL REAL32` | `blue` | is a pointer to a GLfloat
`VAL REAL32` | `alpha` | is a pointer to a GLfloat

### `occGL.inc`:2672Process `glColor4i`

`INLINE PROC glColor4i (VAL INT red, VAL INT green, VAL INT blue, VAL INT alpha)`

FFI interface to C function

#### Parameters:

`VAL INT` | `red` | is a pointer to a GLint
`VAL INT` | `green` | is a pointer to a GLint
`VAL INT` | `blue` | is a pointer to a GLint
`VAL INT` | `alpha` | is a pointer to a GLint

### `occGL.inc`:2683Process `glColor4s`

`INLINE PROC glColor4s (VAL INT16 red, VAL INT16 green, VAL INT16 blue, VAL INT16 alpha)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `red` | is a pointer to a GLshort
`VAL INT16` | `green` | is a pointer to a GLshort
`VAL INT16` | `blue` | is a pointer to a GLshort
`VAL INT16` | `alpha` | is a pointer to a GLshort

### `occGL.inc`:2694Process `glColor4ub`

`INLINE PROC glColor4ub (VAL BYTE red, VAL BYTE green, VAL BYTE blue, VAL BYTE alpha)`

FFI interface to C function

#### Parameters:

`VAL BYTE` | `red` | is a pointer to a GLubyte
`VAL BYTE` | `green` | is a pointer to a GLubyte
`VAL BYTE` | `blue` | is a pointer to a GLubyte
`VAL BYTE` | `alpha` | is a pointer to a GLubyte

### `occGL.inc`:2705Process `glColor4ui`

`INLINE PROC glColor4ui (VAL INT red, VAL INT green, VAL INT blue, VAL INT alpha)`

FFI interface to C function

#### Parameters:

`VAL INT` | `red` | is a pointer to a GLuint
`VAL INT` | `green` | is a pointer to a GLuint
`VAL INT` | `blue` | is a pointer to a GLuint
`VAL INT` | `alpha` | is a pointer to a GLuint

### `occGL.inc`:2716Process `glColor4us`

`INLINE PROC glColor4us (VAL INT16 red, VAL INT16 green, VAL INT16 blue, VAL INT16 alpha)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `red` | is a pointer to a GLushort
`VAL INT16` | `green` | is a pointer to a GLushort
`VAL INT16` | `blue` | is a pointer to a GLushort
`VAL INT16` | `alpha` | is a pointer to a GLushort

### `occGL.inc`:2724Process `glColor3bv`

`INLINE PROC glColor3bv (VAL [3]BYTE v)`

FFI interface to C function

#### Parameters:

`VAL [3]BYTE` | `v` | pointer to a C array of q(const).GLbyte

### `occGL.inc`:2732Process `glColor3dv`

`INLINE PROC glColor3dv (VAL [3]REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL [3]REAL64` | `v` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:2740Process `glColor3fv`

`INLINE PROC glColor3fv (VAL [3]REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL [3]REAL32` | `v` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:2748Process `glColor3iv`

`INLINE PROC glColor3iv (VAL [3]INT v)`

FFI interface to C function

#### Parameters:

`VAL [3]INT` | `v` | pointer to a C array of q(const).GLint

### `occGL.inc`:2756Process `glColor3sv`

`INLINE PROC glColor3sv (VAL [3]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [3]INT16` | `v` | pointer to a C array of q(const).GLshort

### `occGL.inc`:2764Process `glColor3ubv`

`INLINE PROC glColor3ubv (VAL [3]BYTE v)`

FFI interface to C function

#### Parameters:

`VAL [3]BYTE` | `v` | pointer to a C array of q(const).GLubyte

### `occGL.inc`:2772Process `glColor3uiv`

`INLINE PROC glColor3uiv (VAL [3]INT v)`

FFI interface to C function

#### Parameters:

`VAL [3]INT` | `v` | pointer to a C array of q(const).GLuint

### `occGL.inc`:2780Process `glColor3usv`

`INLINE PROC glColor3usv (VAL [3]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [3]INT16` | `v` | pointer to a C array of q(const).GLushort

### `occGL.inc`:2788Process `glColor4bv`

`INLINE PROC glColor4bv (VAL [4]BYTE v)`

FFI interface to C function

#### Parameters:

`VAL [4]BYTE` | `v` | pointer to a C array of q(const).GLbyte

### `occGL.inc`:2796Process `glColor4dv`

`INLINE PROC glColor4dv (VAL [4]REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL [4]REAL64` | `v` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:2804Process `glColor4fv`

`INLINE PROC glColor4fv (VAL [4]REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL [4]REAL32` | `v` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:2812Process `glColor4iv`

`INLINE PROC glColor4iv (VAL [4]INT v)`

FFI interface to C function

#### Parameters:

`VAL [4]INT` | `v` | pointer to a C array of q(const).GLint

### `occGL.inc`:2820Process `glColor4sv`

`INLINE PROC glColor4sv (VAL [4]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [4]INT16` | `v` | pointer to a C array of q(const).GLshort

### `occGL.inc`:2828Process `glColor4ubv`

`INLINE PROC glColor4ubv (VAL [4]BYTE v)`

FFI interface to C function

#### Parameters:

`VAL [4]BYTE` | `v` | pointer to a C array of q(const).GLubyte

### `occGL.inc`:2836Process `glColor4uiv`

`INLINE PROC glColor4uiv (VAL [4]INT v)`

FFI interface to C function

#### Parameters:

`VAL [4]INT` | `v` | pointer to a C array of q(const).GLuint

### `occGL.inc`:2844Process `glColor4usv`

`INLINE PROC glColor4usv (VAL [4]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [4]INT16` | `v` | pointer to a C array of q(const).GLushort

### `occGL.inc`:2852Process `glTexCoord1d`

`INLINE PROC glTexCoord1d (VAL REAL64 s)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `s` | is a pointer to a GLdouble

### `occGL.inc`:2860Process `glTexCoord1f`

`INLINE PROC glTexCoord1f (VAL REAL32 s)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `s` | is a pointer to a GLfloat

### `occGL.inc`:2868Process `glTexCoord1i`

`INLINE PROC glTexCoord1i (VAL INT s)`

FFI interface to C function

#### Parameters:

`VAL INT` | `s` | is a pointer to a GLint

### `occGL.inc`:2876Process `glTexCoord1s`

`INLINE PROC glTexCoord1s (VAL INT16 s)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `s` | is a pointer to a GLshort

### `occGL.inc`:2885Process `glTexCoord2d`

`INLINE PROC glTexCoord2d (VAL REAL64 s, VAL REAL64 t)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `s` | is a pointer to a GLdouble
`VAL REAL64` | `t` | is a pointer to a GLdouble

### `occGL.inc`:2894Process `glTexCoord2f`

`INLINE PROC glTexCoord2f (VAL REAL32 s, VAL REAL32 t)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `s` | is a pointer to a GLfloat
`VAL REAL32` | `t` | is a pointer to a GLfloat

### `occGL.inc`:2903Process `glTexCoord2i`

`INLINE PROC glTexCoord2i (VAL INT s, VAL INT t)`

FFI interface to C function

#### Parameters:

`VAL INT` | `s` | is a pointer to a GLint
`VAL INT` | `t` | is a pointer to a GLint

### `occGL.inc`:2912Process `glTexCoord2s`

`INLINE PROC glTexCoord2s (VAL INT16 s, VAL INT16 t)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `s` | is a pointer to a GLshort
`VAL INT16` | `t` | is a pointer to a GLshort

### `occGL.inc`:2922Process `glTexCoord3d`

`INLINE PROC glTexCoord3d (VAL REAL64 s, VAL REAL64 t, VAL REAL64 r)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `s` | is a pointer to a GLdouble
`VAL REAL64` | `t` | is a pointer to a GLdouble
`VAL REAL64` | `r` | is a pointer to a GLdouble

### `occGL.inc`:2932Process `glTexCoord3f`

`INLINE PROC glTexCoord3f (VAL REAL32 s, VAL REAL32 t, VAL REAL32 r)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `s` | is a pointer to a GLfloat
`VAL REAL32` | `t` | is a pointer to a GLfloat
`VAL REAL32` | `r` | is a pointer to a GLfloat

### `occGL.inc`:2942Process `glTexCoord3i`

`INLINE PROC glTexCoord3i (VAL INT s, VAL INT t, VAL INT r)`

FFI interface to C function

#### Parameters:

`VAL INT` | `s` | is a pointer to a GLint
`VAL INT` | `t` | is a pointer to a GLint
`VAL INT` | `r` | is a pointer to a GLint

### `occGL.inc`:2952Process `glTexCoord3s`

`INLINE PROC glTexCoord3s (VAL INT16 s, VAL INT16 t, VAL INT16 r)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `s` | is a pointer to a GLshort
`VAL INT16` | `t` | is a pointer to a GLshort
`VAL INT16` | `r` | is a pointer to a GLshort

### `occGL.inc`:2963Process `glTexCoord4d`

`INLINE PROC glTexCoord4d (VAL REAL64 s, VAL REAL64 t, VAL REAL64 r, VAL REAL64 q)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `s` | is a pointer to a GLdouble
`VAL REAL64` | `t` | is a pointer to a GLdouble
`VAL REAL64` | `r` | is a pointer to a GLdouble
`VAL REAL64` | `q` | is a pointer to a GLdouble

### `occGL.inc`:2974Process `glTexCoord4f`

`INLINE PROC glTexCoord4f (VAL REAL32 s, VAL REAL32 t, VAL REAL32 r, VAL REAL32 q)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `s` | is a pointer to a GLfloat
`VAL REAL32` | `t` | is a pointer to a GLfloat
`VAL REAL32` | `r` | is a pointer to a GLfloat
`VAL REAL32` | `q` | is a pointer to a GLfloat

### `occGL.inc`:2985Process `glTexCoord4i`

`INLINE PROC glTexCoord4i (VAL INT s, VAL INT t, VAL INT r, VAL INT q)`

FFI interface to C function

#### Parameters:

`VAL INT` | `s` | is a pointer to a GLint
`VAL INT` | `t` | is a pointer to a GLint
`VAL INT` | `r` | is a pointer to a GLint
`VAL INT` | `q` | is a pointer to a GLint

### `occGL.inc`:2996Process `glTexCoord4s`

`INLINE PROC glTexCoord4s (VAL INT16 s, VAL INT16 t, VAL INT16 r, VAL INT16 q)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `s` | is a pointer to a GLshort
`VAL INT16` | `t` | is a pointer to a GLshort
`VAL INT16` | `r` | is a pointer to a GLshort
`VAL INT16` | `q` | is a pointer to a GLshort

### `occGL.inc`:3004Process `glTexCoord1dv`

`INLINE PROC glTexCoord1dv (VAL [1]REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL [1]REAL64` | `v` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:3012Process `glTexCoord1fv`

`INLINE PROC glTexCoord1fv (VAL [1]REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL [1]REAL32` | `v` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:3020Process `glTexCoord1iv`

`INLINE PROC glTexCoord1iv (VAL [1]INT v)`

FFI interface to C function

#### Parameters:

`VAL [1]INT` | `v` | pointer to a C array of q(const).GLint

### `occGL.inc`:3028Process `glTexCoord1sv`

`INLINE PROC glTexCoord1sv (VAL [1]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [1]INT16` | `v` | pointer to a C array of q(const).GLshort

### `occGL.inc`:3036Process `glTexCoord2dv`

`INLINE PROC glTexCoord2dv (VAL [2]REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL [2]REAL64` | `v` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:3044Process `glTexCoord2fv`

`INLINE PROC glTexCoord2fv (VAL [2]REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL [2]REAL32` | `v` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:3052Process `glTexCoord2iv`

`INLINE PROC glTexCoord2iv (VAL [2]INT v)`

FFI interface to C function

#### Parameters:

`VAL [2]INT` | `v` | pointer to a C array of q(const).GLint

### `occGL.inc`:3060Process `glTexCoord2sv`

`INLINE PROC glTexCoord2sv (VAL [2]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [2]INT16` | `v` | pointer to a C array of q(const).GLshort

### `occGL.inc`:3068Process `glTexCoord3dv`

`INLINE PROC glTexCoord3dv (VAL [3]REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL [3]REAL64` | `v` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:3076Process `glTexCoord3fv`

`INLINE PROC glTexCoord3fv (VAL [3]REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL [3]REAL32` | `v` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:3084Process `glTexCoord3iv`

`INLINE PROC glTexCoord3iv (VAL [3]INT v)`

FFI interface to C function

#### Parameters:

`VAL [3]INT` | `v` | pointer to a C array of q(const).GLint

### `occGL.inc`:3092Process `glTexCoord3sv`

`INLINE PROC glTexCoord3sv (VAL [3]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [3]INT16` | `v` | pointer to a C array of q(const).GLshort

### `occGL.inc`:3100Process `glTexCoord4dv`

`INLINE PROC glTexCoord4dv (VAL [4]REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL [4]REAL64` | `v` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:3108Process `glTexCoord4fv`

`INLINE PROC glTexCoord4fv (VAL [4]REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL [4]REAL32` | `v` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:3116Process `glTexCoord4iv`

`INLINE PROC glTexCoord4iv (VAL [4]INT v)`

FFI interface to C function

#### Parameters:

`VAL [4]INT` | `v` | pointer to a C array of q(const).GLint

### `occGL.inc`:3124Process `glTexCoord4sv`

`INLINE PROC glTexCoord4sv (VAL [4]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [4]INT16` | `v` | pointer to a C array of q(const).GLshort

### `occGL.inc`:3133Process `glRasterPos2d`

`INLINE PROC glRasterPos2d (VAL REAL64 x, VAL REAL64 y)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `x` | is a pointer to a GLdouble
`VAL REAL64` | `y` | is a pointer to a GLdouble

### `occGL.inc`:3142Process `glRasterPos2f`

`INLINE PROC glRasterPos2f (VAL REAL32 x, VAL REAL32 y)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `x` | is a pointer to a GLfloat
`VAL REAL32` | `y` | is a pointer to a GLfloat

### `occGL.inc`:3151Process `glRasterPos2i`

`INLINE PROC glRasterPos2i (VAL INT x, VAL INT y)`

FFI interface to C function

#### Parameters:

`VAL INT` | `x` | is a pointer to a GLint
`VAL INT` | `y` | is a pointer to a GLint

### `occGL.inc`:3160Process `glRasterPos2s`

`INLINE PROC glRasterPos2s (VAL INT16 x, VAL INT16 y)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `x` | is a pointer to a GLshort
`VAL INT16` | `y` | is a pointer to a GLshort

### `occGL.inc`:3170Process `glRasterPos3d`

`INLINE PROC glRasterPos3d (VAL REAL64 x, VAL REAL64 y, VAL REAL64 z)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `x` | is a pointer to a GLdouble
`VAL REAL64` | `y` | is a pointer to a GLdouble
`VAL REAL64` | `z` | is a pointer to a GLdouble

### `occGL.inc`:3180Process `glRasterPos3f`

`INLINE PROC glRasterPos3f (VAL REAL32 x, VAL REAL32 y, VAL REAL32 z)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `x` | is a pointer to a GLfloat
`VAL REAL32` | `y` | is a pointer to a GLfloat
`VAL REAL32` | `z` | is a pointer to a GLfloat

### `occGL.inc`:3190Process `glRasterPos3i`

`INLINE PROC glRasterPos3i (VAL INT x, VAL INT y, VAL INT z)`

FFI interface to C function

#### Parameters:

`VAL INT` | `x` | is a pointer to a GLint
`VAL INT` | `y` | is a pointer to a GLint
`VAL INT` | `z` | is a pointer to a GLint

### `occGL.inc`:3200Process `glRasterPos3s`

`INLINE PROC glRasterPos3s (VAL INT16 x, VAL INT16 y, VAL INT16 z)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `x` | is a pointer to a GLshort
`VAL INT16` | `y` | is a pointer to a GLshort
`VAL INT16` | `z` | is a pointer to a GLshort

### `occGL.inc`:3211Process `glRasterPos4d`

`INLINE PROC glRasterPos4d (VAL REAL64 x, VAL REAL64 y, VAL REAL64 z, VAL REAL64 w)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `x` | is a pointer to a GLdouble
`VAL REAL64` | `y` | is a pointer to a GLdouble
`VAL REAL64` | `z` | is a pointer to a GLdouble
`VAL REAL64` | `w` | is a pointer to a GLdouble

### `occGL.inc`:3222Process `glRasterPos4f`

`INLINE PROC glRasterPos4f (VAL REAL32 x, VAL REAL32 y, VAL REAL32 z, VAL REAL32 w)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `x` | is a pointer to a GLfloat
`VAL REAL32` | `y` | is a pointer to a GLfloat
`VAL REAL32` | `z` | is a pointer to a GLfloat
`VAL REAL32` | `w` | is a pointer to a GLfloat

### `occGL.inc`:3233Process `glRasterPos4i`

`INLINE PROC glRasterPos4i (VAL INT x, VAL INT y, VAL INT z, VAL INT w)`

FFI interface to C function

#### Parameters:

`VAL INT` | `x` | is a pointer to a GLint
`VAL INT` | `y` | is a pointer to a GLint
`VAL INT` | `z` | is a pointer to a GLint
`VAL INT` | `w` | is a pointer to a GLint

### `occGL.inc`:3244Process `glRasterPos4s`

`INLINE PROC glRasterPos4s (VAL INT16 x, VAL INT16 y, VAL INT16 z, VAL INT16 w)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `x` | is a pointer to a GLshort
`VAL INT16` | `y` | is a pointer to a GLshort
`VAL INT16` | `z` | is a pointer to a GLshort
`VAL INT16` | `w` | is a pointer to a GLshort

### `occGL.inc`:3252Process `glRasterPos2dv`

`INLINE PROC glRasterPos2dv (VAL [2]REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL [2]REAL64` | `v` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:3260Process `glRasterPos2fv`

`INLINE PROC glRasterPos2fv (VAL [2]REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL [2]REAL32` | `v` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:3268Process `glRasterPos2iv`

`INLINE PROC glRasterPos2iv (VAL [2]INT v)`

FFI interface to C function

#### Parameters:

`VAL [2]INT` | `v` | pointer to a C array of q(const).GLint

### `occGL.inc`:3276Process `glRasterPos2sv`

`INLINE PROC glRasterPos2sv (VAL [2]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [2]INT16` | `v` | pointer to a C array of q(const).GLshort

### `occGL.inc`:3284Process `glRasterPos3dv`

`INLINE PROC glRasterPos3dv (VAL [3]REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL [3]REAL64` | `v` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:3292Process `glRasterPos3fv`

`INLINE PROC glRasterPos3fv (VAL [3]REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL [3]REAL32` | `v` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:3300Process `glRasterPos3iv`

`INLINE PROC glRasterPos3iv (VAL [3]INT v)`

FFI interface to C function

#### Parameters:

`VAL [3]INT` | `v` | pointer to a C array of q(const).GLint

### `occGL.inc`:3308Process `glRasterPos3sv`

`INLINE PROC glRasterPos3sv (VAL [3]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [3]INT16` | `v` | pointer to a C array of q(const).GLshort

### `occGL.inc`:3316Process `glRasterPos4dv`

`INLINE PROC glRasterPos4dv (VAL [4]REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL [4]REAL64` | `v` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:3324Process `glRasterPos4fv`

`INLINE PROC glRasterPos4fv (VAL [4]REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL [4]REAL32` | `v` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:3332Process `glRasterPos4iv`

`INLINE PROC glRasterPos4iv (VAL [4]INT v)`

FFI interface to C function

#### Parameters:

`VAL [4]INT` | `v` | pointer to a C array of q(const).GLint

### `occGL.inc`:3340Process `glRasterPos4sv`

`INLINE PROC glRasterPos4sv (VAL [4]INT16 v)`

FFI interface to C function

#### Parameters:

`VAL [4]INT16` | `v` | pointer to a C array of q(const).GLshort

### `occGL.inc`:3351Process `glRectd`

`INLINE PROC glRectd (VAL REAL64 x1, VAL REAL64 y1, VAL REAL64 x2, VAL REAL64 y2)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `x1` | is a pointer to a GLdouble
`VAL REAL64` | `y1` | is a pointer to a GLdouble
`VAL REAL64` | `x2` | is a pointer to a GLdouble
`VAL REAL64` | `y2` | is a pointer to a GLdouble

### `occGL.inc`:3362Process `glRectf`

`INLINE PROC glRectf (VAL REAL32 x1, VAL REAL32 y1, VAL REAL32 x2, VAL REAL32 y2)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `x1` | is a pointer to a GLfloat
`VAL REAL32` | `y1` | is a pointer to a GLfloat
`VAL REAL32` | `x2` | is a pointer to a GLfloat
`VAL REAL32` | `y2` | is a pointer to a GLfloat

### `occGL.inc`:3373Process `glRecti`

`INLINE PROC glRecti (VAL INT x1, VAL INT y1, VAL INT x2, VAL INT y2)`

FFI interface to C function

#### Parameters:

`VAL INT` | `x1` | is a pointer to a GLint
`VAL INT` | `y1` | is a pointer to a GLint
`VAL INT` | `x2` | is a pointer to a GLint
`VAL INT` | `y2` | is a pointer to a GLint

### `occGL.inc`:3384Process `glRects`

`INLINE PROC glRects (VAL INT16 x1, VAL INT16 y1, VAL INT16 x2, VAL INT16 y2)`

FFI interface to C function

#### Parameters:

`VAL INT16` | `x1` | is a pointer to a GLshort
`VAL INT16` | `y1` | is a pointer to a GLshort
`VAL INT16` | `x2` | is a pointer to a GLshort
`VAL INT16` | `y2` | is a pointer to a GLshort

### `occGL.inc`:3393Process `glRectdv`

`INLINE PROC glRectdv (VAL []REAL64 v1, VAL []REAL64 v2)`

FFI interface to C function

#### Parameters:

`VAL []REAL64` | `v1` | pointer to a C array of q(const).GLdouble
`VAL []REAL64` | `v2` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:3402Process `glRectfv`

`INLINE PROC glRectfv (VAL []REAL32 v1, VAL []REAL32 v2)`

FFI interface to C function

#### Parameters:

`VAL []REAL32` | `v1` | pointer to a C array of q(const).GLfloat
`VAL []REAL32` | `v2` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:3411Process `glRectiv`

`INLINE PROC glRectiv (VAL []INT v1, VAL []INT v2)`

FFI interface to C function

#### Parameters:

`VAL []INT` | `v1` | pointer to a C array of q(const).GLint
`VAL []INT` | `v2` | pointer to a C array of q(const).GLint

### `occGL.inc`:3420Process `glRectsv`

`INLINE PROC glRectsv (VAL []INT16 v1, VAL []INT16 v2)`

FFI interface to C function

#### Parameters:

`VAL []INT16` | `v1` | pointer to a C array of q(const).GLshort
`VAL []INT16` | `v2` | pointer to a C array of q(const).GLshort

### `occGL.inc`:3431Process `glVertexPointer`

`INLINE PROC glVertexPointer (VAL INT size, VAL INT type, VAL INT stride, VAL []INT ptr)`

FFI interface to C function

#### Parameters:

`VAL INT` | `size` | is a pointer to a GLint
`VAL INT` | `type` | is a pointer to a GLenum
`VAL INT` | `stride` | is a pointer to a GLsizei
`VAL []INT` | `ptr` | pointer to a C array of q(const).GLvoid

### `occGL.inc`:3441Process `glNormalPointer`

`INLINE PROC glNormalPointer (VAL INT type, VAL INT stride, VAL []INT ptr)`

FFI interface to C function

#### Parameters:

`VAL INT` | `type` | is a pointer to a GLenum
`VAL INT` | `stride` | is a pointer to a GLsizei
`VAL []INT` | `ptr` | pointer to a C array of q(const).GLvoid

### `occGL.inc`:3452Process `glColorPointer`

`INLINE PROC glColorPointer (VAL INT size, VAL INT type, VAL INT stride, VAL []INT ptr)`

FFI interface to C function

#### Parameters:

`VAL INT` | `size` | is a pointer to a GLint
`VAL INT` | `type` | is a pointer to a GLenum
`VAL INT` | `stride` | is a pointer to a GLsizei
`VAL []INT` | `ptr` | pointer to a C array of q(const).GLvoid

### `occGL.inc`:3462Process `glIndexPointer`

`INLINE PROC glIndexPointer (VAL INT type, VAL INT stride, VAL []INT ptr)`

FFI interface to C function

#### Parameters:

`VAL INT` | `type` | is a pointer to a GLenum
`VAL INT` | `stride` | is a pointer to a GLsizei
`VAL []INT` | `ptr` | pointer to a C array of q(const).GLvoid

### `occGL.inc`:3473Process `glTexCoordPointer`

`INLINE PROC glTexCoordPointer (VAL INT size, VAL INT type, VAL INT stride, VAL []INT ptr)`

FFI interface to C function

#### Parameters:

`VAL INT` | `size` | is a pointer to a GLint
`VAL INT` | `type` | is a pointer to a GLenum
`VAL INT` | `stride` | is a pointer to a GLsizei
`VAL []INT` | `ptr` | pointer to a C array of q(const).GLvoid

### `occGL.inc`:3482Process `glEdgeFlagPointer`

`INLINE PROC glEdgeFlagPointer (VAL INT stride, VAL []INT ptr)`

FFI interface to C function

#### Parameters:

`VAL INT` | `stride` | is a pointer to a GLsizei
`VAL []INT` | `ptr` | pointer to a C array of q(const).GLvoid

### `occGL.inc`:3491Process `glGetPointerv`

`INLINE PROC glGetPointerv (VAL INT pname, []INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`[]INT` | `params` | pointer to a C array of GLvoid

### `occGL.inc`:3499Process `glArrayElement`

`INLINE PROC glArrayElement (VAL INT i)`

FFI interface to C function

#### Parameters:

`VAL INT` | `i` | is a pointer to a GLint

### `occGL.inc`:3509Process `glDrawArrays`

`INLINE PROC glDrawArrays (VAL INT mode, VAL INT first, VAL INT count)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mode` | is a pointer to a GLenum
`VAL INT` | `first` | is a pointer to a GLint
`VAL INT` | `count` | is a pointer to a GLsizei

### `occGL.inc`:3520Process `glDrawElements`

`INLINE PROC glDrawElements (VAL INT mode, VAL INT count, VAL INT type, VAL []INT indices)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mode` | is a pointer to a GLenum
`VAL INT` | `count` | is a pointer to a GLsizei
`VAL INT` | `type` | is a pointer to a GLenum
`VAL []INT` | `indices` | pointer to a C array of q(const).GLvoid

### `occGL.inc`:3530Process `glInterleavedArrays`

`INLINE PROC glInterleavedArrays (VAL INT format, VAL INT stride, VAL []INT pointer)`

FFI interface to C function

#### Parameters:

`VAL INT` | `format` | is a pointer to a GLenum
`VAL INT` | `stride` | is a pointer to a GLsizei
`VAL []INT` | `pointer` | pointer to a C array of q(const).GLvoid

### `occGL.inc`:3538Process `glShadeModel`

`INLINE PROC glShadeModel (VAL INT mode)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mode` | is a pointer to a GLenum

### `occGL.inc`:3548Process `glLightf`

`INLINE PROC glLightf (VAL INT light, VAL INT pname, VAL REAL32 param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `light` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL REAL32` | `param` | is a pointer to a GLfloat

### `occGL.inc`:3558Process `glLighti`

`INLINE PROC glLighti (VAL INT light, VAL INT pname, VAL INT param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `light` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL INT` | `param` | is a pointer to a GLint

### `occGL.inc`:3568Process `glLightfv`

`INLINE PROC glLightfv (VAL INT light, VAL INT pname, VAL []REAL32 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `light` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL []REAL32` | `params` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:3578Process `glLightiv`

`INLINE PROC glLightiv (VAL INT light, VAL INT pname, VAL []INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `light` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL []INT` | `params` | pointer to a C array of q(const).GLint

### `occGL.inc`:3588Process `glGetLightfv`

`INLINE PROC glGetLightfv (VAL INT light, VAL INT pname, []REAL32 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `light` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`[]REAL32` | `params` | pointer to a C array of GLfloat

### `occGL.inc`:3598Process `glGetLightiv`

`INLINE PROC glGetLightiv (VAL INT light, VAL INT pname, []INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `light` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`[]INT` | `params` | pointer to a C array of GLint

### `occGL.inc`:3607Process `glLightModelf`

`INLINE PROC glLightModelf (VAL INT pname, VAL REAL32 param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`VAL REAL32` | `param` | is a pointer to a GLfloat

### `occGL.inc`:3616Process `glLightModeli`

`INLINE PROC glLightModeli (VAL INT pname, VAL INT param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`VAL INT` | `param` | is a pointer to a GLint

### `occGL.inc`:3625Process `glLightModelfv`

`INLINE PROC glLightModelfv (VAL INT pname, []REAL32 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`[]REAL32` | `params` | pointer to a C array of p.q(const).GLfloat

### `occGL.inc`:3634Process `glLightModeliv`

`INLINE PROC glLightModeliv (VAL INT pname, []INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`[]INT` | `params` | pointer to a C array of p.q(const).GLint

### `occGL.inc`:3644Process `glMaterialf`

`INLINE PROC glMaterialf (VAL INT face, VAL INT pname, VAL REAL32 param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `face` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL REAL32` | `param` | is a pointer to a GLfloat

### `occGL.inc`:3654Process `glMateriali`

`INLINE PROC glMateriali (VAL INT face, VAL INT pname, VAL INT param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `face` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL INT` | `param` | is a pointer to a GLint

### `occGL.inc`:3664Process `glMaterialfv`

`INLINE PROC glMaterialfv (VAL INT face, VAL INT pname, VAL []REAL32 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `face` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL []REAL32` | `params` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:3674Process `glMaterialiv`

`INLINE PROC glMaterialiv (VAL INT face, VAL INT pname, VAL []INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `face` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL []INT` | `params` | pointer to a C array of q(const).GLint

### `occGL.inc`:3684Process `glGetMaterialfv`

`INLINE PROC glGetMaterialfv (VAL INT face, VAL INT pname, []REAL32 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `face` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`[]REAL32` | `params` | pointer to a C array of GLfloat

### `occGL.inc`:3694Process `glGetMaterialiv`

`INLINE PROC glGetMaterialiv (VAL INT face, VAL INT pname, []INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `face` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`[]INT` | `params` | pointer to a C array of GLint

### `occGL.inc`:3703Process `glColorMaterial`

`INLINE PROC glColorMaterial (VAL INT face, VAL INT mode)`

FFI interface to C function

#### Parameters:

`VAL INT` | `face` | is a pointer to a GLenum
`VAL INT` | `mode` | is a pointer to a GLenum

### `occGL.inc`:3712Process `glPixelZoom`

`INLINE PROC glPixelZoom (VAL REAL32 xfactor, VAL REAL32 yfactor)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `xfactor` | is a pointer to a GLfloat
`VAL REAL32` | `yfactor` | is a pointer to a GLfloat

### `occGL.inc`:3721Process `glPixelStoref`

`INLINE PROC glPixelStoref (VAL INT pname, VAL REAL32 param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`VAL REAL32` | `param` | is a pointer to a GLfloat

### `occGL.inc`:3730Process `glPixelStorei`

`INLINE PROC glPixelStorei (VAL INT pname, VAL INT param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`VAL INT` | `param` | is a pointer to a GLint

### `occGL.inc`:3739Process `glPixelTransferf`

`INLINE PROC glPixelTransferf (VAL INT pname, VAL REAL32 param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`VAL REAL32` | `param` | is a pointer to a GLfloat

### `occGL.inc`:3748Process `glPixelTransferi`

`INLINE PROC glPixelTransferi (VAL INT pname, VAL INT param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`VAL INT` | `param` | is a pointer to a GLint

### `occGL.inc`:3758Process `glPixelMapfv`

`INLINE PROC glPixelMapfv (VAL INT map, VAL INT mapsize, VAL []REAL32 values)`

FFI interface to C function

#### Parameters:

`VAL INT` | `map` | is a pointer to a GLenum
`VAL INT` | `mapsize` | is a pointer to a GLint
`VAL []REAL32` | `values` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:3768Process `glPixelMapuiv`

`INLINE PROC glPixelMapuiv (VAL INT map, VAL INT mapsize, VAL []INT values)`

FFI interface to C function

#### Parameters:

`VAL INT` | `map` | is a pointer to a GLenum
`VAL INT` | `mapsize` | is a pointer to a GLint
`VAL []INT` | `values` | pointer to a C array of q(const).GLuint

### `occGL.inc`:3778Process `glPixelMapusv`

`INLINE PROC glPixelMapusv (VAL INT map, VAL INT mapsize, VAL []INT16 values)`

FFI interface to C function

#### Parameters:

`VAL INT` | `map` | is a pointer to a GLenum
`VAL INT` | `mapsize` | is a pointer to a GLint
`VAL []INT16` | `values` | pointer to a C array of q(const).GLushort

### `occGL.inc`:3787Process `glGetPixelMapfv`

`INLINE PROC glGetPixelMapfv (VAL INT map, []REAL32 values)`

FFI interface to C function

#### Parameters:

`VAL INT` | `map` | is a pointer to a GLenum
`[]REAL32` | `values` | pointer to a C array of GLfloat

### `occGL.inc`:3796Process `glGetPixelMapuiv`

`INLINE PROC glGetPixelMapuiv (VAL INT map, []INT values)`

FFI interface to C function

#### Parameters:

`VAL INT` | `map` | is a pointer to a GLenum
`[]INT` | `values` | pointer to a C array of GLuint

### `occGL.inc`:3805Process `glGetPixelMapusv`

`INLINE PROC glGetPixelMapusv (VAL INT map, []INT16 values)`

FFI interface to C function

#### Parameters:

`VAL INT` | `map` | is a pointer to a GLenum
`[]INT16` | `values` | pointer to a C array of GLushort

### `occGL.inc`:3819Process `glBitmap`

`INLINE PROC glBitmap (VAL INT width, VAL INT height, VAL REAL32 xorig, VAL REAL32 yorig, VAL REAL32 xmove, VAL REAL32 ymove, VAL []BYTE bitmap)`

FFI interface to C function

#### Parameters:

`VAL INT` | `width` | is a pointer to a GLsizei
`VAL INT` | `height` | is a pointer to a GLsizei
`VAL REAL32` | `xorig` | is a pointer to a GLfloat
`VAL REAL32` | `yorig` | is a pointer to a GLfloat
`VAL REAL32` | `xmove` | is a pointer to a GLfloat
`VAL REAL32` | `ymove` | is a pointer to a GLfloat
`VAL []BYTE` | `bitmap` | pointer to a C array of q(const).GLubyte

### `occGL.inc`:3833Process `glReadPixels`

`INLINE PROC glReadPixels (VAL INT x, VAL INT y, VAL INT width, VAL INT height, VAL INT format, VAL INT type, []INT pixels)`

FFI interface to C function

#### Parameters:

`VAL INT` | `x` | is a pointer to a GLint
`VAL INT` | `y` | is a pointer to a GLint
`VAL INT` | `width` | is a pointer to a GLsizei
`VAL INT` | `height` | is a pointer to a GLsizei
`VAL INT` | `format` | is a pointer to a GLenum
`VAL INT` | `type` | is a pointer to a GLenum
`[]INT` | `pixels` | pointer to a C array of GLvoid

### `occGL.inc`:3845Process `glDrawPixels`

`INLINE PROC glDrawPixels (VAL INT width, VAL INT height, VAL INT format, VAL INT type, VAL []INT pixels)`

FFI interface to C function

#### Parameters:

`VAL INT` | `width` | is a pointer to a GLsizei
`VAL INT` | `height` | is a pointer to a GLsizei
`VAL INT` | `format` | is a pointer to a GLenum
`VAL INT` | `type` | is a pointer to a GLenum
`VAL []INT` | `pixels` | pointer to a C array of q(const).GLvoid

### `occGL.inc`:3857Process `glCopyPixels`

`INLINE PROC glCopyPixels (VAL INT x, VAL INT y, VAL INT width, VAL INT height, VAL INT type)`

FFI interface to C function

#### Parameters:

`VAL INT` | `x` | is a pointer to a GLint
`VAL INT` | `y` | is a pointer to a GLint
`VAL INT` | `width` | is a pointer to a GLsizei
`VAL INT` | `height` | is a pointer to a GLsizei
`VAL INT` | `type` | is a pointer to a GLenum

### `occGL.inc`:3867Process `glStencilFunc`

`INLINE PROC glStencilFunc (VAL INT func, VAL INT ref, VAL INT mask)`

FFI interface to C function

#### Parameters:

`VAL INT` | `func` | is a pointer to a GLenum
`VAL INT` | `ref` | is a pointer to a GLint
`VAL INT` | `mask` | is a pointer to a GLuint

### `occGL.inc`:3875Process `glStencilMask`

`INLINE PROC glStencilMask (VAL INT mask)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mask` | is a pointer to a GLuint

### `occGL.inc`:3885Process `glStencilOp`

`INLINE PROC glStencilOp (VAL INT fail, VAL INT zfail, VAL INT zpass)`

FFI interface to C function

#### Parameters:

`VAL INT` | `fail` | is a pointer to a GLenum
`VAL INT` | `zfail` | is a pointer to a GLenum
`VAL INT` | `zpass` | is a pointer to a GLenum

### `occGL.inc`:3893Process `glClearStencil`

`INLINE PROC glClearStencil (VAL INT s)`

FFI interface to C function

#### Parameters:

`VAL INT` | `s` | is a pointer to a GLint

### `occGL.inc`:3903Process `glTexGend`

`INLINE PROC glTexGend (VAL INT coord, VAL INT pname, VAL REAL64 param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `coord` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL REAL64` | `param` | is a pointer to a GLdouble

### `occGL.inc`:3913Process `glTexGenf`

`INLINE PROC glTexGenf (VAL INT coord, VAL INT pname, VAL REAL32 param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `coord` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL REAL32` | `param` | is a pointer to a GLfloat

### `occGL.inc`:3923Process `glTexGeni`

`INLINE PROC glTexGeni (VAL INT coord, VAL INT pname, VAL INT param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `coord` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL INT` | `param` | is a pointer to a GLint

### `occGL.inc`:3933Process `glTexGendv`

`INLINE PROC glTexGendv (VAL INT coord, VAL INT pname, REAL64 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `coord` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`REAL64` | `params` | is a pointer to a p.q(const).GLdouble

### `occGL.inc`:3943Process `glTexGenfv`

`INLINE PROC glTexGenfv (VAL INT coord, VAL INT pname, REAL32 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `coord` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`REAL32` | `params` | is a pointer to a p.q(const).GLfloat

### `occGL.inc`:3953Process `glTexGeniv`

`INLINE PROC glTexGeniv (VAL INT coord, VAL INT pname, INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `coord` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`INT` | `params` | is a pointer to a p.q(const).GLint

### `occGL.inc`:3963Process `glGetTexGendv`

`INLINE PROC glGetTexGendv (VAL INT coord, VAL INT pname, REAL64 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `coord` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`REAL64` | `params` | is a pointer to a p.GLdouble

### `occGL.inc`:3973Process `glGetTexGenfv`

`INLINE PROC glGetTexGenfv (VAL INT coord, VAL INT pname, REAL32 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `coord` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`REAL32` | `params` | is a pointer to a p.GLfloat

### `occGL.inc`:3983Process `glGetTexGeniv`

`INLINE PROC glGetTexGeniv (VAL INT coord, VAL INT pname, INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `coord` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`INT` | `params` | is a pointer to a p.GLint

### `occGL.inc`:3993Process `glTexEnvf`

`INLINE PROC glTexEnvf (VAL INT target, VAL INT pname, VAL REAL32 param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL REAL32` | `param` | is a pointer to a GLfloat

### `occGL.inc`:4003Process `glTexEnvi`

`INLINE PROC glTexEnvi (VAL INT target, VAL INT pname, VAL INT param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL INT` | `param` | is a pointer to a GLint

### `occGL.inc`:4013Process `glTexEnvfv`

`INLINE PROC glTexEnvfv (VAL INT target, VAL INT pname, REAL32 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`REAL32` | `params` | is a pointer to a p.q(const).GLfloat

### `occGL.inc`:4023Process `glTexEnviv`

`INLINE PROC glTexEnviv (VAL INT target, VAL INT pname, INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`INT` | `params` | is a pointer to a p.q(const).GLint

### `occGL.inc`:4033Process `glGetTexEnvfv`

`INLINE PROC glGetTexEnvfv (VAL INT target, VAL INT pname, REAL32 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`REAL32` | `params` | is a pointer to a p.GLfloat

### `occGL.inc`:4043Process `glGetTexEnviv`

`INLINE PROC glGetTexEnviv (VAL INT target, VAL INT pname, INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`INT` | `params` | is a pointer to a p.GLint

### `occGL.inc`:4053Process `glTexParameterf`

`INLINE PROC glTexParameterf (VAL INT target, VAL INT pname, VAL REAL32 param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL REAL32` | `param` | is a pointer to a GLfloat

### `occGL.inc`:4063Process `glTexParameteri`

`INLINE PROC glTexParameteri (VAL INT target, VAL INT pname, VAL INT param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`VAL INT` | `param` | is a pointer to a GLint

### `occGL.inc`:4073Process `glTexParameterfv`

`INLINE PROC glTexParameterfv (VAL INT target, VAL INT pname, REAL32 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`REAL32` | `params` | is a pointer to a p.q(const).GLfloat

### `occGL.inc`:4083Process `glTexParameteriv`

`INLINE PROC glTexParameteriv (VAL INT target, VAL INT pname, INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`INT` | `params` | is a pointer to a p.q(const).GLint

### `occGL.inc`:4093Process `glGetTexParameterfv`

`INLINE PROC glGetTexParameterfv (VAL INT target, VAL INT pname, REAL32 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`REAL32` | `params` | is a pointer to a p.GLfloat

### `occGL.inc`:4103Process `glGetTexParameteriv`

`INLINE PROC glGetTexParameteriv (VAL INT target, VAL INT pname, INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `pname` | is a pointer to a GLenum
`INT` | `params` | is a pointer to a p.GLint

### `occGL.inc`:4114Process `glGetTexLevelParameterfv`

`INLINE PROC glGetTexLevelParameterfv (VAL INT target, VAL INT level, VAL INT pname, REAL32 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `level` | is a pointer to a GLint
`VAL INT` | `pname` | is a pointer to a GLenum
`REAL32` | `params` | is a pointer to a p.GLfloat

### `occGL.inc`:4125Process `glGetTexLevelParameteriv`

`INLINE PROC glGetTexLevelParameteriv (VAL INT target, VAL INT level, VAL INT pname, INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `level` | is a pointer to a GLint
`VAL INT` | `pname` | is a pointer to a GLenum
`INT` | `params` | is a pointer to a p.GLint

### `occGL.inc`:4140Process `glTexImage1D`

`INLINE PROC glTexImage1D (VAL INT target, VAL INT level, VAL INT internalFormat, VAL INT width, VAL INT border, VAL INT format, VAL INT type, VAL []INT pixels)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `level` | is a pointer to a GLint
`VAL INT` | `internalFormat` | is a pointer to a GLint
`VAL INT` | `width` | is a pointer to a GLsizei
`VAL INT` | `border` | is a pointer to a GLint
`VAL INT` | `format` | is a pointer to a GLenum
`VAL INT` | `type` | is a pointer to a GLenum
`VAL []INT` | `pixels` | pointer to a C array of q(const).GLvoid

### `occGL.inc`:4156Process `glTexImage2D`

`INLINE PROC glTexImage2D (VAL INT target, VAL INT level, VAL INT internalFormat, VAL INT width, VAL INT height, VAL INT border, VAL INT format, VAL INT type, VAL []INT pixels)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `level` | is a pointer to a GLint
`VAL INT` | `internalFormat` | is a pointer to a GLint
`VAL INT` | `width` | is a pointer to a GLsizei
`VAL INT` | `height` | is a pointer to a GLsizei
`VAL INT` | `border` | is a pointer to a GLint
`VAL INT` | `format` | is a pointer to a GLenum
`VAL INT` | `type` | is a pointer to a GLenum
`VAL []INT` | `pixels` | pointer to a C array of q(const).GLvoid

### `occGL.inc`:4168Process `glGetTexImage`

`INLINE PROC glGetTexImage (VAL INT target, VAL INT level, VAL INT format, VAL INT type, []INT pixels)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `level` | is a pointer to a GLint
`VAL INT` | `format` | is a pointer to a GLenum
`VAL INT` | `type` | is a pointer to a GLenum
`[]INT` | `pixels` | pointer to a C array of GLvoid

### `occGL.inc`:4177Process `glGenTextures`

`INLINE PROC glGenTextures (VAL INT n, []INT textures)`

FFI interface to C function

#### Parameters:

`VAL INT` | `n` | is a pointer to a GLsizei
`[]INT` | `textures` | pointer to a C array of GLuint

### `occGL.inc`:4186Process `glDeleteTextures`

`INLINE PROC glDeleteTextures (VAL INT n, VAL []INT textures)`

FFI interface to C function

#### Parameters:

`VAL INT` | `n` | is a pointer to a GLsizei
`VAL []INT` | `textures` | pointer to a C array of q(const).GLuint

### `occGL.inc`:4195Process `glBindTexture`

`INLINE PROC glBindTexture (VAL INT target, VAL INT texture)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `texture` | is a pointer to a GLuint

### `occGL.inc`:4205Process `glPrioritizeTextures`

`INLINE PROC glPrioritizeTextures (VAL INT n, VAL []INT textures, REAL32 priorities)`

FFI interface to C function

#### Parameters:

`VAL INT` | `n` | is a pointer to a GLsizei
`VAL []INT` | `textures` | pointer to a C array of q(const).GLuint
`REAL32` | `priorities` | is a pointer to a p.q(const).GLclampf

### `occGL.inc`:4216Process `glAreTexturesResident`

`INLINE PROC glAreTexturesResident (RESULT BYTE return.value, VAL INT n, VAL []INT textures, BYTE residences)`

FFI interface to C function

#### Parameters:

`RESULT BYTE` | `return.value` | contains the return value of the function and is of type GLboolean
`VAL INT` | `n` | is a pointer to a GLsizei
`VAL []INT` | `textures` | pointer to a C array of q(const).GLuint
`BYTE` | `residences` | is a pointer to a p.GLboolean

### `occGL.inc`:4225Process `glIsTexture`

`INLINE PROC glIsTexture (RESULT BYTE return.value, VAL INT texture)`

FFI interface to C function

#### Parameters:

`RESULT BYTE` | `return.value` | contains the return value of the function and is of type GLboolean
`VAL INT` | `texture` | is a pointer to a GLuint

### `occGL.inc`:4239Process `glTexSubImage1D`

`INLINE PROC glTexSubImage1D (VAL INT target, VAL INT level, VAL INT xoffset, VAL INT width, VAL INT format, VAL INT type, VAL []INT pixels)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `level` | is a pointer to a GLint
`VAL INT` | `xoffset` | is a pointer to a GLint
`VAL INT` | `width` | is a pointer to a GLsizei
`VAL INT` | `format` | is a pointer to a GLenum
`VAL INT` | `type` | is a pointer to a GLenum
`VAL []INT` | `pixels` | pointer to a C array of q(const).GLvoid

### `occGL.inc`:4255Process `glTexSubImage2D`

`INLINE PROC glTexSubImage2D (VAL INT target, VAL INT level, VAL INT xoffset, VAL INT yoffset, VAL INT width, VAL INT height, VAL INT format, VAL INT type, VAL []INT pixels)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `level` | is a pointer to a GLint
`VAL INT` | `xoffset` | is a pointer to a GLint
`VAL INT` | `yoffset` | is a pointer to a GLint
`VAL INT` | `width` | is a pointer to a GLsizei
`VAL INT` | `height` | is a pointer to a GLsizei
`VAL INT` | `format` | is a pointer to a GLenum
`VAL INT` | `type` | is a pointer to a GLenum
`VAL []INT` | `pixels` | pointer to a C array of q(const).GLvoid

### `occGL.inc`:4269Process `glCopyTexImage1D`

`INLINE PROC glCopyTexImage1D (VAL INT target, VAL INT level, VAL INT internalformat, VAL INT x, VAL INT y, VAL INT width, VAL INT border)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `level` | is a pointer to a GLint
`VAL INT` | `internalformat` | is a pointer to a GLenum
`VAL INT` | `x` | is a pointer to a GLint
`VAL INT` | `y` | is a pointer to a GLint
`VAL INT` | `width` | is a pointer to a GLsizei
`VAL INT` | `border` | is a pointer to a GLint

### `occGL.inc`:4284Process `glCopyTexImage2D`

`INLINE PROC glCopyTexImage2D (VAL INT target, VAL INT level, VAL INT internalformat, VAL INT x, VAL INT y, VAL INT width, VAL INT height, VAL INT border)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `level` | is a pointer to a GLint
`VAL INT` | `internalformat` | is a pointer to a GLenum
`VAL INT` | `x` | is a pointer to a GLint
`VAL INT` | `y` | is a pointer to a GLint
`VAL INT` | `width` | is a pointer to a GLsizei
`VAL INT` | `height` | is a pointer to a GLsizei
`VAL INT` | `border` | is a pointer to a GLint

### `occGL.inc`:4297Process `glCopyTexSubImage1D`

`INLINE PROC glCopyTexSubImage1D (VAL INT target, VAL INT level, VAL INT xoffset, VAL INT x, VAL INT y, VAL INT width)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `level` | is a pointer to a GLint
`VAL INT` | `xoffset` | is a pointer to a GLint
`VAL INT` | `x` | is a pointer to a GLint
`VAL INT` | `y` | is a pointer to a GLint
`VAL INT` | `width` | is a pointer to a GLsizei

### `occGL.inc`:4312Process `glCopyTexSubImage2D`

`INLINE PROC glCopyTexSubImage2D (VAL INT target, VAL INT level, VAL INT xoffset, VAL INT yoffset, VAL INT x, VAL INT y, VAL INT width, VAL INT height)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `level` | is a pointer to a GLint
`VAL INT` | `xoffset` | is a pointer to a GLint
`VAL INT` | `yoffset` | is a pointer to a GLint
`VAL INT` | `x` | is a pointer to a GLint
`VAL INT` | `y` | is a pointer to a GLint
`VAL INT` | `width` | is a pointer to a GLsizei
`VAL INT` | `height` | is a pointer to a GLsizei

### `occGL.inc`:4325Process `glMap1d`

`INLINE PROC glMap1d (VAL INT target, VAL REAL64 u1, VAL REAL64 u2, VAL INT stride, VAL INT order, REAL64 points)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL REAL64` | `u1` | is a pointer to a GLdouble
`VAL REAL64` | `u2` | is a pointer to a GLdouble
`VAL INT` | `stride` | is a pointer to a GLint
`VAL INT` | `order` | is a pointer to a GLint
`REAL64` | `points` | is a pointer to a p.q(const).GLdouble

### `occGL.inc`:4338Process `glMap1f`

`INLINE PROC glMap1f (VAL INT target, VAL REAL32 u1, VAL REAL32 u2, VAL INT stride, VAL INT order, REAL32 points)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL REAL32` | `u1` | is a pointer to a GLfloat
`VAL REAL32` | `u2` | is a pointer to a GLfloat
`VAL INT` | `stride` | is a pointer to a GLint
`VAL INT` | `order` | is a pointer to a GLint
`REAL32` | `points` | is a pointer to a p.q(const).GLfloat

### `occGL.inc`:4355Process `glMap2d`

`INLINE PROC glMap2d (VAL INT target, VAL REAL64 u1, VAL REAL64 u2, VAL INT ustride, VAL INT uorder, VAL REAL64 v1, VAL REAL64 v2, VAL INT vstride, VAL INT vorder, REAL64 points)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL REAL64` | `u1` | is a pointer to a GLdouble
`VAL REAL64` | `u2` | is a pointer to a GLdouble
`VAL INT` | `ustride` | is a pointer to a GLint
`VAL INT` | `uorder` | is a pointer to a GLint
`VAL REAL64` | `v1` | is a pointer to a GLdouble
`VAL REAL64` | `v2` | is a pointer to a GLdouble
`VAL INT` | `vstride` | is a pointer to a GLint
`VAL INT` | `vorder` | is a pointer to a GLint
`REAL64` | `points` | is a pointer to a p.q(const).GLdouble

### `occGL.inc`:4372Process `glMap2f`

`INLINE PROC glMap2f (VAL INT target, VAL REAL32 u1, VAL REAL32 u2, VAL INT ustride, VAL INT uorder, VAL REAL32 v1, VAL REAL32 v2, VAL INT vstride, VAL INT vorder, REAL32 points)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL REAL32` | `u1` | is a pointer to a GLfloat
`VAL REAL32` | `u2` | is a pointer to a GLfloat
`VAL INT` | `ustride` | is a pointer to a GLint
`VAL INT` | `uorder` | is a pointer to a GLint
`VAL REAL32` | `v1` | is a pointer to a GLfloat
`VAL REAL32` | `v2` | is a pointer to a GLfloat
`VAL INT` | `vstride` | is a pointer to a GLint
`VAL INT` | `vorder` | is a pointer to a GLint
`REAL32` | `points` | is a pointer to a p.q(const).GLfloat

### `occGL.inc`:4382Process `glGetMapdv`

`INLINE PROC glGetMapdv (VAL INT target, VAL INT query, []REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `query` | is a pointer to a GLenum
`[]REAL64` | `v` | pointer to a C array of GLdouble

### `occGL.inc`:4392Process `glGetMapfv`

`INLINE PROC glGetMapfv (VAL INT target, VAL INT query, []REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `query` | is a pointer to a GLenum
`[]REAL32` | `v` | pointer to a C array of GLfloat

### `occGL.inc`:4402Process `glGetMapiv`

`INLINE PROC glGetMapiv (VAL INT target, VAL INT query, []INT v)`

FFI interface to C function

#### Parameters:

`VAL INT` | `target` | is a pointer to a GLenum
`VAL INT` | `query` | is a pointer to a GLenum
`[]INT` | `v` | pointer to a C array of GLint

### `occGL.inc`:4410Process `glEvalCoord1d`

`INLINE PROC glEvalCoord1d (VAL REAL64 u)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `u` | is a pointer to a GLdouble

### `occGL.inc`:4418Process `glEvalCoord1f`

`INLINE PROC glEvalCoord1f (VAL REAL32 u)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `u` | is a pointer to a GLfloat

### `occGL.inc`:4426Process `glEvalCoord1dv`

`INLINE PROC glEvalCoord1dv (VAL [1]REAL64 u)`

FFI interface to C function

#### Parameters:

`VAL [1]REAL64` | `u` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:4434Process `glEvalCoord1fv`

`INLINE PROC glEvalCoord1fv (VAL [1]REAL32 u)`

FFI interface to C function

#### Parameters:

`VAL [1]REAL32` | `u` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:4443Process `glEvalCoord2d`

`INLINE PROC glEvalCoord2d (VAL REAL64 u, VAL REAL64 v)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `u` | is a pointer to a GLdouble
`VAL REAL64` | `v` | is a pointer to a GLdouble

### `occGL.inc`:4452Process `glEvalCoord2f`

`INLINE PROC glEvalCoord2f (VAL REAL32 u, VAL REAL32 v)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `u` | is a pointer to a GLfloat
`VAL REAL32` | `v` | is a pointer to a GLfloat

### `occGL.inc`:4460Process `glEvalCoord2dv`

`INLINE PROC glEvalCoord2dv (VAL [2]REAL64 u)`

FFI interface to C function

#### Parameters:

`VAL [2]REAL64` | `u` | pointer to a C array of q(const).GLdouble

### `occGL.inc`:4468Process `glEvalCoord2fv`

`INLINE PROC glEvalCoord2fv (VAL [2]REAL32 u)`

FFI interface to C function

#### Parameters:

`VAL [2]REAL32` | `u` | pointer to a C array of q(const).GLfloat

### `occGL.inc`:4478Process `glMapGrid1d`

`INLINE PROC glMapGrid1d (VAL INT un, VAL REAL64 u1, VAL REAL64 u2)`

FFI interface to C function

#### Parameters:

`VAL INT` | `un` | is a pointer to a GLint
`VAL REAL64` | `u1` | is a pointer to a GLdouble
`VAL REAL64` | `u2` | is a pointer to a GLdouble

### `occGL.inc`:4488Process `glMapGrid1f`

`INLINE PROC glMapGrid1f (VAL INT un, VAL REAL32 u1, VAL REAL32 u2)`

FFI interface to C function

#### Parameters:

`VAL INT` | `un` | is a pointer to a GLint
`VAL REAL32` | `u1` | is a pointer to a GLfloat
`VAL REAL32` | `u2` | is a pointer to a GLfloat

### `occGL.inc`:4501Process `glMapGrid2d`

`INLINE PROC glMapGrid2d (VAL INT un, VAL REAL64 u1, VAL REAL64 u2, VAL INT vn, VAL REAL64 v1, VAL REAL64 v2)`

FFI interface to C function

#### Parameters:

`VAL INT` | `un` | is a pointer to a GLint
`VAL REAL64` | `u1` | is a pointer to a GLdouble
`VAL REAL64` | `u2` | is a pointer to a GLdouble
`VAL INT` | `vn` | is a pointer to a GLint
`VAL REAL64` | `v1` | is a pointer to a GLdouble
`VAL REAL64` | `v2` | is a pointer to a GLdouble

### `occGL.inc`:4514Process `glMapGrid2f`

`INLINE PROC glMapGrid2f (VAL INT un, VAL REAL32 u1, VAL REAL32 u2, VAL INT vn, VAL REAL32 v1, VAL REAL32 v2)`

FFI interface to C function

#### Parameters:

`VAL INT` | `un` | is a pointer to a GLint
`VAL REAL32` | `u1` | is a pointer to a GLfloat
`VAL REAL32` | `u2` | is a pointer to a GLfloat
`VAL INT` | `vn` | is a pointer to a GLint
`VAL REAL32` | `v1` | is a pointer to a GLfloat
`VAL REAL32` | `v2` | is a pointer to a GLfloat

### `occGL.inc`:4522Process `glEvalPoint1`

`INLINE PROC glEvalPoint1 (VAL INT i)`

FFI interface to C function

#### Parameters:

`VAL INT` | `i` | is a pointer to a GLint

### `occGL.inc`:4531Process `glEvalPoint2`

`INLINE PROC glEvalPoint2 (VAL INT i, VAL INT j)`

FFI interface to C function

#### Parameters:

`VAL INT` | `i` | is a pointer to a GLint
`VAL INT` | `j` | is a pointer to a GLint

### `occGL.inc`:4541Process `glEvalMesh1`

`INLINE PROC glEvalMesh1 (VAL INT mode, VAL INT i1, VAL INT i2)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mode` | is a pointer to a GLenum
`VAL INT` | `i1` | is a pointer to a GLint
`VAL INT` | `i2` | is a pointer to a GLint

### `occGL.inc`:4553Process `glEvalMesh2`

`INLINE PROC glEvalMesh2 (VAL INT mode, VAL INT i1, VAL INT i2, VAL INT j1, VAL INT j2)`

FFI interface to C function

#### Parameters:

`VAL INT` | `mode` | is a pointer to a GLenum
`VAL INT` | `i1` | is a pointer to a GLint
`VAL INT` | `i2` | is a pointer to a GLint
`VAL INT` | `j1` | is a pointer to a GLint
`VAL INT` | `j2` | is a pointer to a GLint

### `occGL.inc`:4562Process `glFogf`

`INLINE PROC glFogf (VAL INT pname, VAL REAL32 param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`VAL REAL32` | `param` | is a pointer to a GLfloat

### `occGL.inc`:4571Process `glFogi`

`INLINE PROC glFogi (VAL INT pname, VAL INT param)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`VAL INT` | `param` | is a pointer to a GLint

### `occGL.inc`:4580Process `glFogfv`

`INLINE PROC glFogfv (VAL INT pname, REAL32 params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`REAL32` | `params` | is a pointer to a p.q(const).GLfloat

### `occGL.inc`:4589Process `glFogiv`

`INLINE PROC glFogiv (VAL INT pname, INT params)`

FFI interface to C function

#### Parameters:

`VAL INT` | `pname` | is a pointer to a GLenum
`INT` | `params` | is a pointer to a p.q(const).GLint

### `occGL.inc`:4599Process `glFeedbackBuffer`

`INLINE PROC glFeedbackBuffer (VAL INT size, VAL INT type, REAL32 buffer)`

FFI interface to C function

#### Parameters:

`VAL INT` | `size` | is a pointer to a GLsizei
`VAL INT` | `type` | is a pointer to a GLenum
`REAL32` | `buffer` | is a pointer to a p.GLfloat

### `occGL.inc`:4607Process `glPassThrough`

`INLINE PROC glPassThrough (VAL REAL32 token)`

FFI interface to C function

#### Parameters:

`VAL REAL32` | `token` | is a pointer to a GLfloat

### `occGL.inc`:4616Process `glSelectBuffer`

`INLINE PROC glSelectBuffer (VAL INT size, INT buffer)`

FFI interface to C function

#### Parameters:

`VAL INT` | `size` | is a pointer to a GLsizei
`INT` | `buffer` | is a pointer to a p.GLuint

### `occGL.inc`:4623Process `glInitNames`

`INLINE PROC glInitNames ()`

FFI interface to C function

### `occGL.inc`:4631Process `glLoadName`

`INLINE PROC glLoadName (VAL INT name)`

FFI interface to C function

#### Parameters:

`VAL INT` | `name` | is a pointer to a GLuint

### `occGL.inc`:4639Process `glPushName`

`INLINE PROC glPushName (VAL INT name)`

FFI interface to C function

#### Parameters:

`VAL INT` | `name` | is a pointer to a GLuint

### `occGL.inc`:4646Process `glPopName`

`INLINE PROC glPopName ()`

FFI interface to C function

### `occGL.inc`:4651Constant `GL.MESA.ycbcr.texture`

`VAL INT GL.MESA.ycbcr.texture`

C constant turned into a VAL INT

### `occGL.inc`:4653Constant `GL.YCBCR.MESA`

`VAL INT GL.YCBCR.MESA`

C constant turned into a VAL INT

### `occGL.inc`:4655Constant `GL.UNSIGNED.SHORT.8.8.MESA`

`VAL INT GL.UNSIGNED.SHORT.8.8.MESA`

C constant turned into a VAL INT

### `occGL.inc`:4657Constant `GL.UNSIGNED.SHORT.8.8.REV.MESA`

`VAL INT GL.UNSIGNED.SHORT.8.8.REV.MESA`

C constant turned into a VAL INT

### `occGL.inc`:4659Constant `GL.MESA.pack.invert`

`VAL INT GL.MESA.pack.invert`

C constant turned into a VAL INT

### `occGL.inc`:4661Constant `GL.PACK.INVERT.MESA`

`VAL INT GL.PACK.INVERT.MESA`

C constant turned into a VAL INT

### `occGL.inc`:4663Constant `GL.APPLE.client.storage`

`VAL INT GL.APPLE.client.storage`

C constant turned into a VAL INT

### `occGL.inc`:4665Constant `GL.UNPACK.CLIENT.STORAGE.APPLE`

`VAL INT GL.UNPACK.CLIENT.STORAGE.APPLE`

C constant turned into a VAL INT

### `occGL.inc`:4667Constant `GL.APPLE.ycbcr.422`

`VAL INT GL.APPLE.ycbcr.422`

C constant turned into a VAL INT

### `occGL.inc`:4669Constant `GL.YCBCR.422.APPLE`

`VAL INT GL.YCBCR.422.APPLE`

C constant turned into a VAL INT

### `occGL.inc`:4671Constant `GL.UNSIGNED.SHORT.8.8.APPLE`

`VAL INT GL.UNSIGNED.SHORT.8.8.APPLE`

C constant turned into a VAL INT

### `occGL.inc`:4673Constant `GL.UNSIGNED.SHORT.8.8.REV.APPLE`

`VAL INT GL.UNSIGNED.SHORT.8.8.REV.APPLE`

C constant turned into a VAL INT

### `occGL.inc`:4675Constant `GLU.EXT.object.space.tess`

`VAL INT GLU.EXT.object.space.tess`

C constant turned into a VAL INT

### `occGL.inc`:4677Constant `GLU.EXT.nurbs.tessellator`

`VAL INT GLU.EXT.nurbs.tessellator`

C constant turned into a VAL INT

### `occGL.inc`:4679Constant `GLU.FALSE`

`VAL INT GLU.FALSE`

C constant turned into a VAL INT

### `occGL.inc`:4681Constant `GLU.TRUE`

`VAL INT GLU.TRUE`

C constant turned into a VAL INT

### `occGL.inc`:4683Constant `GLU.VERSION.1.1`

`VAL INT GLU.VERSION.1.1`

C constant turned into a VAL INT

### `occGL.inc`:4685Constant `GLU.VERSION.1.2`

`VAL INT GLU.VERSION.1.2`

C constant turned into a VAL INT

### `occGL.inc`:4687Constant `GLU.VERSION.1.3`

`VAL INT GLU.VERSION.1.3`

C constant turned into a VAL INT

### `occGL.inc`:4689Constant `GLU.VERSION`

`VAL INT GLU.VERSION`

C constant turned into a VAL INT

### `occGL.inc`:4691Constant `GLU.EXTENSIONS`

`VAL INT GLU.EXTENSIONS`

C constant turned into a VAL INT

### `occGL.inc`:4693Constant `GLU.INVALID.ENUM`

`VAL INT GLU.INVALID.ENUM`

C constant turned into a VAL INT

### `occGL.inc`:4695Constant `GLU.INVALID.VALUE`

`VAL INT GLU.INVALID.VALUE`

C constant turned into a VAL INT

### `occGL.inc`:4697Constant `GLU.OUT.OF.MEMORY`

`VAL INT GLU.OUT.OF.MEMORY`

C constant turned into a VAL INT

### `occGL.inc`:4699Constant `GLU.INVALID.OPERATION`

`VAL INT GLU.INVALID.OPERATION`

C constant turned into a VAL INT

### `occGL.inc`:4701Constant `GLU.OUTLINE.POLYGON`

`VAL INT GLU.OUTLINE.POLYGON`

C constant turned into a VAL INT

### `occGL.inc`:4703Constant `GLU.OUTLINE.PATCH`

`VAL INT GLU.OUTLINE.PATCH`

C constant turned into a VAL INT

### `occGL.inc`:4705Constant `GLU.NURBS.ERROR`

`VAL INT GLU.NURBS.ERROR`

C constant turned into a VAL INT

### `occGL.inc`:4707Constant `GLU.ERROR`

`VAL INT GLU.ERROR`

C constant turned into a VAL INT

### `occGL.inc`:4709Constant `GLU.NURBS.BEGIN`

`VAL INT GLU.NURBS.BEGIN`

C constant turned into a VAL INT

### `occGL.inc`:4711Constant `GLU.NURBS.BEGIN.EXT`

`VAL INT GLU.NURBS.BEGIN.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4713Constant `GLU.NURBS.VERTEX`

`VAL INT GLU.NURBS.VERTEX`

C constant turned into a VAL INT

### `occGL.inc`:4715Constant `GLU.NURBS.VERTEX.EXT`

`VAL INT GLU.NURBS.VERTEX.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4717Constant `GLU.NURBS.NORMAL`

`VAL INT GLU.NURBS.NORMAL`

C constant turned into a VAL INT

### `occGL.inc`:4719Constant `GLU.NURBS.NORMAL.EXT`

`VAL INT GLU.NURBS.NORMAL.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4721Constant `GLU.NURBS.COLOR`

`VAL INT GLU.NURBS.COLOR`

C constant turned into a VAL INT

### `occGL.inc`:4723Constant `GLU.NURBS.COLOR.EXT`

`VAL INT GLU.NURBS.COLOR.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4725Constant `GLU.NURBS.TEXTURE.COORD`

`VAL INT GLU.NURBS.TEXTURE.COORD`

C constant turned into a VAL INT

### `occGL.inc`:4727Constant `GLU.NURBS.TEX.COORD.EXT`

`VAL INT GLU.NURBS.TEX.COORD.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4729Constant `GLU.NURBS.END`

`VAL INT GLU.NURBS.END`

C constant turned into a VAL INT

### `occGL.inc`:4731Constant `GLU.NURBS.END.EXT`

`VAL INT GLU.NURBS.END.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4733Constant `GLU.NURBS.BEGIN.DATA`

`VAL INT GLU.NURBS.BEGIN.DATA`

C constant turned into a VAL INT

### `occGL.inc`:4735Constant `GLU.NURBS.BEGIN.DATA.EXT`

`VAL INT GLU.NURBS.BEGIN.DATA.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4737Constant `GLU.NURBS.VERTEX.DATA`

`VAL INT GLU.NURBS.VERTEX.DATA`

C constant turned into a VAL INT

### `occGL.inc`:4739Constant `GLU.NURBS.VERTEX.DATA.EXT`

`VAL INT GLU.NURBS.VERTEX.DATA.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4741Constant `GLU.NURBS.NORMAL.DATA`

`VAL INT GLU.NURBS.NORMAL.DATA`

C constant turned into a VAL INT

### `occGL.inc`:4743Constant `GLU.NURBS.NORMAL.DATA.EXT`

`VAL INT GLU.NURBS.NORMAL.DATA.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4745Constant `GLU.NURBS.COLOR.DATA`

`VAL INT GLU.NURBS.COLOR.DATA`

C constant turned into a VAL INT

### `occGL.inc`:4747Constant `GLU.NURBS.COLOR.DATA.EXT`

`VAL INT GLU.NURBS.COLOR.DATA.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4749Constant `GLU.NURBS.TEXTURE.COORD.DATA`

`VAL INT GLU.NURBS.TEXTURE.COORD.DATA`

C constant turned into a VAL INT

### `occGL.inc`:4751Constant `GLU.NURBS.TEX.COORD.DATA.EXT`

`VAL INT GLU.NURBS.TEX.COORD.DATA.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4753Constant `GLU.NURBS.END.DATA`

`VAL INT GLU.NURBS.END.DATA`

C constant turned into a VAL INT

### `occGL.inc`:4755Constant `GLU.NURBS.END.DATA.EXT`

`VAL INT GLU.NURBS.END.DATA.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4757Constant `GLU.NURBS.ERROR1`

`VAL INT GLU.NURBS.ERROR1`

C constant turned into a VAL INT

### `occGL.inc`:4759Constant `GLU.NURBS.ERROR2`

`VAL INT GLU.NURBS.ERROR2`

C constant turned into a VAL INT

### `occGL.inc`:4761Constant `GLU.NURBS.ERROR3`

`VAL INT GLU.NURBS.ERROR3`

C constant turned into a VAL INT

### `occGL.inc`:4763Constant `GLU.NURBS.ERROR4`

`VAL INT GLU.NURBS.ERROR4`

C constant turned into a VAL INT

### `occGL.inc`:4765Constant `GLU.NURBS.ERROR5`

`VAL INT GLU.NURBS.ERROR5`

C constant turned into a VAL INT

### `occGL.inc`:4767Constant `GLU.NURBS.ERROR6`

`VAL INT GLU.NURBS.ERROR6`

C constant turned into a VAL INT

### `occGL.inc`:4769Constant `GLU.NURBS.ERROR7`

`VAL INT GLU.NURBS.ERROR7`

C constant turned into a VAL INT

### `occGL.inc`:4771Constant `GLU.NURBS.ERROR8`

`VAL INT GLU.NURBS.ERROR8`

C constant turned into a VAL INT

### `occGL.inc`:4773Constant `GLU.NURBS.ERROR9`

`VAL INT GLU.NURBS.ERROR9`

C constant turned into a VAL INT

### `occGL.inc`:4775Constant `GLU.NURBS.ERROR10`

`VAL INT GLU.NURBS.ERROR10`

C constant turned into a VAL INT

### `occGL.inc`:4777Constant `GLU.NURBS.ERROR11`

`VAL INT GLU.NURBS.ERROR11`

C constant turned into a VAL INT

### `occGL.inc`:4779Constant `GLU.NURBS.ERROR12`

`VAL INT GLU.NURBS.ERROR12`

C constant turned into a VAL INT

### `occGL.inc`:4781Constant `GLU.NURBS.ERROR13`

`VAL INT GLU.NURBS.ERROR13`

C constant turned into a VAL INT

### `occGL.inc`:4783Constant `GLU.NURBS.ERROR14`

`VAL INT GLU.NURBS.ERROR14`

C constant turned into a VAL INT

### `occGL.inc`:4785Constant `GLU.NURBS.ERROR15`

`VAL INT GLU.NURBS.ERROR15`

C constant turned into a VAL INT

### `occGL.inc`:4787Constant `GLU.NURBS.ERROR16`

`VAL INT GLU.NURBS.ERROR16`

C constant turned into a VAL INT

### `occGL.inc`:4789Constant `GLU.NURBS.ERROR17`

`VAL INT GLU.NURBS.ERROR17`

C constant turned into a VAL INT

### `occGL.inc`:4791Constant `GLU.NURBS.ERROR18`

`VAL INT GLU.NURBS.ERROR18`

C constant turned into a VAL INT

### `occGL.inc`:4793Constant `GLU.NURBS.ERROR19`

`VAL INT GLU.NURBS.ERROR19`

C constant turned into a VAL INT

### `occGL.inc`:4795Constant `GLU.NURBS.ERROR20`

`VAL INT GLU.NURBS.ERROR20`

C constant turned into a VAL INT

### `occGL.inc`:4797Constant `GLU.NURBS.ERROR21`

`VAL INT GLU.NURBS.ERROR21`

C constant turned into a VAL INT

### `occGL.inc`:4799Constant `GLU.NURBS.ERROR22`

`VAL INT GLU.NURBS.ERROR22`

C constant turned into a VAL INT

### `occGL.inc`:4801Constant `GLU.NURBS.ERROR23`

`VAL INT GLU.NURBS.ERROR23`

C constant turned into a VAL INT

### `occGL.inc`:4803Constant `GLU.NURBS.ERROR24`

`VAL INT GLU.NURBS.ERROR24`

C constant turned into a VAL INT

### `occGL.inc`:4805Constant `GLU.NURBS.ERROR25`

`VAL INT GLU.NURBS.ERROR25`

C constant turned into a VAL INT

### `occGL.inc`:4807Constant `GLU.NURBS.ERROR26`

`VAL INT GLU.NURBS.ERROR26`

C constant turned into a VAL INT

### `occGL.inc`:4809Constant `GLU.NURBS.ERROR27`

`VAL INT GLU.NURBS.ERROR27`

C constant turned into a VAL INT

### `occGL.inc`:4811Constant `GLU.NURBS.ERROR28`

`VAL INT GLU.NURBS.ERROR28`

C constant turned into a VAL INT

### `occGL.inc`:4813Constant `GLU.NURBS.ERROR29`

`VAL INT GLU.NURBS.ERROR29`

C constant turned into a VAL INT

### `occGL.inc`:4815Constant `GLU.NURBS.ERROR30`

`VAL INT GLU.NURBS.ERROR30`

C constant turned into a VAL INT

### `occGL.inc`:4817Constant `GLU.NURBS.ERROR31`

`VAL INT GLU.NURBS.ERROR31`

C constant turned into a VAL INT

### `occGL.inc`:4819Constant `GLU.NURBS.ERROR32`

`VAL INT GLU.NURBS.ERROR32`

C constant turned into a VAL INT

### `occGL.inc`:4821Constant `GLU.NURBS.ERROR33`

`VAL INT GLU.NURBS.ERROR33`

C constant turned into a VAL INT

### `occGL.inc`:4823Constant `GLU.NURBS.ERROR34`

`VAL INT GLU.NURBS.ERROR34`

C constant turned into a VAL INT

### `occGL.inc`:4825Constant `GLU.NURBS.ERROR35`

`VAL INT GLU.NURBS.ERROR35`

C constant turned into a VAL INT

### `occGL.inc`:4827Constant `GLU.NURBS.ERROR36`

`VAL INT GLU.NURBS.ERROR36`

C constant turned into a VAL INT

### `occGL.inc`:4829Constant `GLU.NURBS.ERROR37`

`VAL INT GLU.NURBS.ERROR37`

C constant turned into a VAL INT

### `occGL.inc`:4831Constant `GLU.AUTO.LOAD.MATRIX`

`VAL INT GLU.AUTO.LOAD.MATRIX`

C constant turned into a VAL INT

### `occGL.inc`:4833Constant `GLU.CULLING`

`VAL INT GLU.CULLING`

C constant turned into a VAL INT

### `occGL.inc`:4835Constant `GLU.SAMPLING.TOLERANCE`

`VAL INT GLU.SAMPLING.TOLERANCE`

C constant turned into a VAL INT

### `occGL.inc`:4837Constant `GLU.DISPLAY.MODE`

`VAL INT GLU.DISPLAY.MODE`

C constant turned into a VAL INT

### `occGL.inc`:4839Constant `GLU.PARAMETRIC.TOLERANCE`

`VAL INT GLU.PARAMETRIC.TOLERANCE`

C constant turned into a VAL INT

### `occGL.inc`:4841Constant `GLU.SAMPLING.METHOD`

`VAL INT GLU.SAMPLING.METHOD`

C constant turned into a VAL INT

### `occGL.inc`:4843Constant `GLU.U.STEP`

`VAL INT GLU.U.STEP`

C constant turned into a VAL INT

### `occGL.inc`:4845Constant `GLU.V.STEP`

`VAL INT GLU.V.STEP`

C constant turned into a VAL INT

### `occGL.inc`:4847Constant `GLU.NURBS.MODE`

`VAL INT GLU.NURBS.MODE`

C constant turned into a VAL INT

### `occGL.inc`:4849Constant `GLU.NURBS.MODE.EXT`

`VAL INT GLU.NURBS.MODE.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4851Constant `GLU.NURBS.TESSELLATOR`

`VAL INT GLU.NURBS.TESSELLATOR`

C constant turned into a VAL INT

### `occGL.inc`:4853Constant `GLU.NURBS.TESSELLATOR.EXT`

`VAL INT GLU.NURBS.TESSELLATOR.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4855Constant `GLU.NURBS.RENDERER`

`VAL INT GLU.NURBS.RENDERER`

C constant turned into a VAL INT

### `occGL.inc`:4857Constant `GLU.NURBS.RENDERER.EXT`

`VAL INT GLU.NURBS.RENDERER.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4859Constant `GLU.OBJECT.PARAMETRIC.ERROR`

`VAL INT GLU.OBJECT.PARAMETRIC.ERROR`

C constant turned into a VAL INT

### `occGL.inc`:4861Constant `GLU.OBJECT.PARAMETRIC.ERROR.EXT`

`VAL INT GLU.OBJECT.PARAMETRIC.ERROR.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4863Constant `GLU.OBJECT.PATH.LENGTH`

`VAL INT GLU.OBJECT.PATH.LENGTH`

C constant turned into a VAL INT

### `occGL.inc`:4865Constant `GLU.OBJECT.PATH.LENGTH.EXT`

`VAL INT GLU.OBJECT.PATH.LENGTH.EXT`

C constant turned into a VAL INT

### `occGL.inc`:4867Constant `GLU.PATH.LENGTH`

`VAL INT GLU.PATH.LENGTH`

C constant turned into a VAL INT

### `occGL.inc`:4869Constant `GLU.PARAMETRIC.ERROR`

`VAL INT GLU.PARAMETRIC.ERROR`

C constant turned into a VAL INT

### `occGL.inc`:4871Constant `GLU.DOMAIN.DISTANCE`

`VAL INT GLU.DOMAIN.DISTANCE`

C constant turned into a VAL INT

### `occGL.inc`:4873Constant `GLU.MAP1.TRIM.2`

`VAL INT GLU.MAP1.TRIM.2`

C constant turned into a VAL INT

### `occGL.inc`:4875Constant `GLU.MAP1.TRIM.3`

`VAL INT GLU.MAP1.TRIM.3`

C constant turned into a VAL INT

### `occGL.inc`:4877Constant `GLU.POINT`

`VAL INT GLU.POINT`

C constant turned into a VAL INT

### `occGL.inc`:4879Constant `GLU.LINE`

`VAL INT GLU.LINE`

C constant turned into a VAL INT

### `occGL.inc`:4881Constant `GLU.FILL`

`VAL INT GLU.FILL`

C constant turned into a VAL INT

### `occGL.inc`:4883Constant `GLU.SILHOUETTE`

`VAL INT GLU.SILHOUETTE`

C constant turned into a VAL INT

### `occGL.inc`:4885Constant `GLU.SMOOTH`

`VAL INT GLU.SMOOTH`

C constant turned into a VAL INT

### `occGL.inc`:4887Constant `GLU.FLAT`

`VAL INT GLU.FLAT`

C constant turned into a VAL INT

### `occGL.inc`:4889Constant `GLU.NONE`

`VAL INT GLU.NONE`

C constant turned into a VAL INT

### `occGL.inc`:4891Constant `GLU.OUTSIDE`

`VAL INT GLU.OUTSIDE`

C constant turned into a VAL INT

### `occGL.inc`:4893Constant `GLU.INSIDE`

`VAL INT GLU.INSIDE`

C constant turned into a VAL INT

### `occGL.inc`:4895Constant `GLU.TESS.BEGIN`

`VAL INT GLU.TESS.BEGIN`

C constant turned into a VAL INT

### `occGL.inc`:4897Constant `GLU.BEGIN`

`VAL INT GLU.BEGIN`

C constant turned into a VAL INT

### `occGL.inc`:4899Constant `GLU.TESS.VERTEX`

`VAL INT GLU.TESS.VERTEX`

C constant turned into a VAL INT

### `occGL.inc`:4901Constant `GLU.VERTEX`

`VAL INT GLU.VERTEX`

C constant turned into a VAL INT

### `occGL.inc`:4903Constant `GLU.TESS.END`

`VAL INT GLU.TESS.END`

C constant turned into a VAL INT

### `occGL.inc`:4905Constant `GLU.END`

`VAL INT GLU.END`

C constant turned into a VAL INT

### `occGL.inc`:4907Constant `GLU.TESS.ERROR`

`VAL INT GLU.TESS.ERROR`

C constant turned into a VAL INT

### `occGL.inc`:4909Constant `GLU.TESS.EDGE.FLAG`

`VAL INT GLU.TESS.EDGE.FLAG`

C constant turned into a VAL INT

### `occGL.inc`:4911Constant `GLU.EDGE.FLAG`

`VAL INT GLU.EDGE.FLAG`

C constant turned into a VAL INT

### `occGL.inc`:4913Constant `GLU.TESS.COMBINE`

`VAL INT GLU.TESS.COMBINE`

C constant turned into a VAL INT

### `occGL.inc`:4915Constant `GLU.TESS.BEGIN.DATA`

`VAL INT GLU.TESS.BEGIN.DATA`

C constant turned into a VAL INT

### `occGL.inc`:4917Constant `GLU.TESS.VERTEX.DATA`

`VAL INT GLU.TESS.VERTEX.DATA`

C constant turned into a VAL INT

### `occGL.inc`:4919Constant `GLU.TESS.END.DATA`

`VAL INT GLU.TESS.END.DATA`

C constant turned into a VAL INT

### `occGL.inc`:4921Constant `GLU.TESS.ERROR.DATA`

`VAL INT GLU.TESS.ERROR.DATA`

C constant turned into a VAL INT

### `occGL.inc`:4923Constant `GLU.TESS.EDGE.FLAG.DATA`

`VAL INT GLU.TESS.EDGE.FLAG.DATA`

C constant turned into a VAL INT

### `occGL.inc`:4925Constant `GLU.TESS.COMBINE.DATA`

`VAL INT GLU.TESS.COMBINE.DATA`

C constant turned into a VAL INT

### `occGL.inc`:4927Constant `GLU.CW`

`VAL INT GLU.CW`

C constant turned into a VAL INT

### `occGL.inc`:4929Constant `GLU.CCW`

`VAL INT GLU.CCW`

C constant turned into a VAL INT

### `occGL.inc`:4931Constant `GLU.INTERIOR`

`VAL INT GLU.INTERIOR`

C constant turned into a VAL INT

### `occGL.inc`:4933Constant `GLU.EXTERIOR`

`VAL INT GLU.EXTERIOR`

C constant turned into a VAL INT

### `occGL.inc`:4935Constant `GLU.UNKNOWN`

`VAL INT GLU.UNKNOWN`

C constant turned into a VAL INT

### `occGL.inc`:4937Constant `GLU.TESS.WINDING.RULE`

`VAL INT GLU.TESS.WINDING.RULE`

C constant turned into a VAL INT

### `occGL.inc`:4939Constant `GLU.TESS.BOUNDARY.ONLY`

`VAL INT GLU.TESS.BOUNDARY.ONLY`

C constant turned into a VAL INT

### `occGL.inc`:4941Constant `GLU.TESS.TOLERANCE`

`VAL INT GLU.TESS.TOLERANCE`

C constant turned into a VAL INT

### `occGL.inc`:4943Constant `GLU.TESS.ERROR1`

`VAL INT GLU.TESS.ERROR1`

C constant turned into a VAL INT

### `occGL.inc`:4945Constant `GLU.TESS.ERROR2`

`VAL INT GLU.TESS.ERROR2`

C constant turned into a VAL INT

### `occGL.inc`:4947Constant `GLU.TESS.ERROR3`

`VAL INT GLU.TESS.ERROR3`

C constant turned into a VAL INT

### `occGL.inc`:4949Constant `GLU.TESS.ERROR4`

`VAL INT GLU.TESS.ERROR4`

C constant turned into a VAL INT

### `occGL.inc`:4951Constant `GLU.TESS.ERROR5`

`VAL INT GLU.TESS.ERROR5`

C constant turned into a VAL INT

### `occGL.inc`:4953Constant `GLU.TESS.ERROR6`

`VAL INT GLU.TESS.ERROR6`

C constant turned into a VAL INT

### `occGL.inc`:4955Constant `GLU.TESS.ERROR7`

`VAL INT GLU.TESS.ERROR7`

C constant turned into a VAL INT

### `occGL.inc`:4957Constant `GLU.TESS.ERROR8`

`VAL INT GLU.TESS.ERROR8`

C constant turned into a VAL INT

### `occGL.inc`:4959Constant `GLU.TESS.MISSING.BEGIN.POLYGON`

`VAL INT GLU.TESS.MISSING.BEGIN.POLYGON`

C constant turned into a VAL INT

### `occGL.inc`:4961Constant `GLU.TESS.MISSING.BEGIN.CONTOUR`

`VAL INT GLU.TESS.MISSING.BEGIN.CONTOUR`

C constant turned into a VAL INT

### `occGL.inc`:4963Constant `GLU.TESS.MISSING.END.POLYGON`

`VAL INT GLU.TESS.MISSING.END.POLYGON`

C constant turned into a VAL INT

### `occGL.inc`:4965Constant `GLU.TESS.MISSING.END.CONTOUR`

`VAL INT GLU.TESS.MISSING.END.CONTOUR`

C constant turned into a VAL INT

### `occGL.inc`:4967Constant `GLU.TESS.COORD.TOO.LARGE`

`VAL INT GLU.TESS.COORD.TOO.LARGE`

C constant turned into a VAL INT

### `occGL.inc`:4969Constant `GLU.TESS.NEED.COMBINE.CALLBACK`

`VAL INT GLU.TESS.NEED.COMBINE.CALLBACK`

C constant turned into a VAL INT

### `occGL.inc`:4971Constant `GLU.TESS.WINDING.ODD`

`VAL INT GLU.TESS.WINDING.ODD`

C constant turned into a VAL INT

### `occGL.inc`:4973Constant `GLU.TESS.WINDING.NONZERO`

`VAL INT GLU.TESS.WINDING.NONZERO`

C constant turned into a VAL INT

### `occGL.inc`:4975Constant `GLU.TESS.WINDING.POSITIVE`

`VAL INT GLU.TESS.WINDING.POSITIVE`

C constant turned into a VAL INT

### `occGL.inc`:4977Constant `GLU.TESS.WINDING.NEGATIVE`

`VAL INT GLU.TESS.WINDING.NEGATIVE`

C constant turned into a VAL INT

### `occGL.inc`:4979Constant `GLU.TESS.WINDING.ABS.GEQ.TWO`

`VAL INT GLU.TESS.WINDING.ABS.GEQ.TWO`

C constant turned into a VAL INT

### `occGL.inc`:4981Data type `GLUnurbs`

`DATA TYPE GLUnurbs`

This is a pointer to the C struct GLUnurbs

### `occGL.inc`:4984Data type `GLUquadric`

`DATA TYPE GLUquadric`

This is a pointer to the C struct GLUquadric

### `occGL.inc`:4987Data type `GLUtesselator`

`DATA TYPE GLUtesselator`

This is a pointer to the C struct GLUtesselator

### `occGL.inc`:4990Data type `GLUnurbsObj`

`DATA TYPE GLUnurbsObj`

This is a pointer to the C struct GLUnurbsObj

### `occGL.inc`:4993Data type `GLUquadricObj`

`DATA TYPE GLUquadricObj`

This is a pointer to the C struct GLUquadricObj

### `occGL.inc`:4996Data type `GLUtesselatorObj`

`DATA TYPE GLUtesselatorObj`

This is a pointer to the C struct GLUtesselatorObj

### `occGL.inc`:4999Data type `GLUtriangulatorObj`

`DATA TYPE GLUtriangulatorObj`

This is a pointer to the C struct GLUtriangulatorObj

### `occGL.inc`:5005Process `gluBeginCurve`

`INLINE PROC gluBeginCurve (GLUnurbs nurb)`

FFI interface to C function

#### Parameters:

`GLUnurbs` | `nurb` | is a pointer to a p.GLUnurbs

### `occGL.inc`:5013Process `gluBeginPolygon`

`INLINE PROC gluBeginPolygon (GLUtesselator tess)`

FFI interface to C function

#### Parameters:

`GLUtesselator` | `tess` | is a pointer to a p.GLUtesselator

### `occGL.inc`:5021Process `gluBeginSurface`

`INLINE PROC gluBeginSurface (GLUnurbs nurb)`

FFI interface to C function

#### Parameters:

`GLUnurbs` | `nurb` | is a pointer to a p.GLUnurbs

### `occGL.inc`:5029Process `gluBeginTrim`

`INLINE PROC gluBeginTrim (GLUnurbs nurb)`

FFI interface to C function

#### Parameters:

`GLUnurbs` | `nurb` | is a pointer to a p.GLUnurbs

### `occGL.inc`:5042Process `gluCylinder`

`INLINE PROC gluCylinder (GLUquadric quad, VAL REAL64 base, VAL REAL64 top, VAL REAL64 height, VAL INT slices, VAL INT stacks)`

FFI interface to C function

#### Parameters:

`GLUquadric` | `quad` | is a pointer to a p.GLUquadric
`VAL REAL64` | `base` | is a pointer to a GLdouble
`VAL REAL64` | `top` | is a pointer to a GLdouble
`VAL REAL64` | `height` | is a pointer to a GLdouble
`VAL INT` | `slices` | is a pointer to a GLint
`VAL INT` | `stacks` | is a pointer to a GLint

### `occGL.inc`:5050Process `gluDeleteNurbsRenderer`

`INLINE PROC gluDeleteNurbsRenderer (GLUnurbs nurb)`

FFI interface to C function

#### Parameters:

`GLUnurbs` | `nurb` | is a pointer to a p.GLUnurbs

### `occGL.inc`:5058Process `gluDeleteQuadric`

`INLINE PROC gluDeleteQuadric (GLUquadric quad)`

FFI interface to C function

#### Parameters:

`GLUquadric` | `quad` | is a pointer to a p.GLUquadric

### `occGL.inc`:5066Process `gluDeleteTess`

`INLINE PROC gluDeleteTess (GLUtesselator tess)`

FFI interface to C function

#### Parameters:

`GLUtesselator` | `tess` | is a pointer to a p.GLUtesselator

### `occGL.inc`:5078Process `gluDisk`

`INLINE PROC gluDisk (GLUquadric quad, VAL REAL64 inner, VAL REAL64 outer, VAL INT slices, VAL INT loops)`

FFI interface to C function

#### Parameters:

`GLUquadric` | `quad` | is a pointer to a p.GLUquadric
`VAL REAL64` | `inner` | is a pointer to a GLdouble
`VAL REAL64` | `outer` | is a pointer to a GLdouble
`VAL INT` | `slices` | is a pointer to a GLint
`VAL INT` | `loops` | is a pointer to a GLint

### `occGL.inc`:5086Process `gluEndCurve`

`INLINE PROC gluEndCurve (GLUnurbs nurb)`

FFI interface to C function

#### Parameters:

`GLUnurbs` | `nurb` | is a pointer to a p.GLUnurbs

### `occGL.inc`:5094Process `gluEndPolygon`

`INLINE PROC gluEndPolygon (GLUtesselator tess)`

FFI interface to C function

#### Parameters:

`GLUtesselator` | `tess` | is a pointer to a p.GLUtesselator

### `occGL.inc`:5102Process `gluEndSurface`

`INLINE PROC gluEndSurface (GLUnurbs nurb)`

FFI interface to C function

#### Parameters:

`GLUnurbs` | `nurb` | is a pointer to a p.GLUnurbs

### `occGL.inc`:5110Process `gluEndTrim`

`INLINE PROC gluEndTrim (GLUnurbs nurb)`

FFI interface to C function

#### Parameters:

`GLUnurbs` | `nurb` | is a pointer to a p.GLUnurbs

### `occGL.inc`:5119Process `gluErrorString`

`INLINE PROC gluErrorString (RESULT BYTE return.value, VAL INT error)`

FFI interface to C function

#### Parameters:

`RESULT BYTE` | `return.value` | contains the return value of the function and is of type p.q(const).GLubyte
`VAL INT` | `error` | is a pointer to a GLenum

### `occGL.inc`:5129Process `gluGetNurbsProperty`

`INLINE PROC gluGetNurbsProperty (GLUnurbs nurb, VAL INT property, REAL32 data)`

FFI interface to C function

#### Parameters:

`GLUnurbs` | `nurb` | is a pointer to a p.GLUnurbs
`VAL INT` | `property` | is a pointer to a GLenum
`REAL32` | `data` | is a pointer to a p.GLfloat

### `occGL.inc`:5138Process `gluGetString`

`INLINE PROC gluGetString (RESULT BYTE return.value, VAL INT name)`

FFI interface to C function

#### Parameters:

`RESULT BYTE` | `return.value` | contains the return value of the function and is of type p.q(const).GLubyte
`VAL INT` | `name` | is a pointer to a GLenum

### `occGL.inc`:5148Process `gluGetTessProperty`

`INLINE PROC gluGetTessProperty (GLUtesselator tess, VAL INT which, REAL64 data)`

FFI interface to C function

#### Parameters:

`GLUtesselator` | `tess` | is a pointer to a p.GLUtesselator
`VAL INT` | `which` | is a pointer to a GLenum
`REAL64` | `data` | is a pointer to a p.GLdouble

### `occGL.inc`:5159Process `gluLoadSamplingMatrices`

`INLINE PROC gluLoadSamplingMatrices (GLUnurbs nurb, REAL32 model, REAL32 perspective, INT view)`

FFI interface to C function

#### Parameters:

`GLUnurbs` | `nurb` | is a pointer to a p.GLUnurbs
`REAL32` | `model` | is a pointer to a p.q(const).GLfloat
`REAL32` | `perspective` | is a pointer to a p.q(const).GLfloat
`INT` | `view` | is a pointer to a p.q(const).GLint

### `occGL.inc`:5175Process `gluLookAt`

`INLINE PROC gluLookAt (VAL REAL64 eyeX, VAL REAL64 eyeY, VAL REAL64 eyeZ, VAL REAL64 centerX, VAL REAL64 centerY, VAL REAL64 centerZ, VAL REAL64 upX, VAL REAL64 upY, VAL REAL64 upZ)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `eyeX` | is a pointer to a GLdouble
`VAL REAL64` | `eyeY` | is a pointer to a GLdouble
`VAL REAL64` | `eyeZ` | is a pointer to a GLdouble
`VAL REAL64` | `centerX` | is a pointer to a GLdouble
`VAL REAL64` | `centerY` | is a pointer to a GLdouble
`VAL REAL64` | `centerZ` | is a pointer to a GLdouble
`VAL REAL64` | `upX` | is a pointer to a GLdouble
`VAL REAL64` | `upY` | is a pointer to a GLdouble
`VAL REAL64` | `upZ` | is a pointer to a GLdouble

### `occGL.inc`:5183Process `gluNewNurbsRenderer`

`INLINE PROC gluNewNurbsRenderer (GLUnurbs return.value)`

FFI interface to C function

#### Parameters:

`GLUnurbs` | `return.value` | contains the return value of the function and is of type p.GLUnurbs

### `occGL.inc`:5191Process `gluNewQuadric`

`INLINE PROC gluNewQuadric (GLUquadric return.value)`

FFI interface to C function

#### Parameters:

`GLUquadric` | `return.value` | contains the return value of the function and is of type p.GLUquadric

### `occGL.inc`:5199Process `gluNewTess`

`INLINE PROC gluNewTess (GLUtesselator return.value)`

FFI interface to C function

#### Parameters:

`GLUtesselator` | `return.value` | contains the return value of the function and is of type p.GLUtesselator

### `occGL.inc`:5208Process `gluNextContour`

`INLINE PROC gluNextContour (GLUtesselator tess, VAL INT type)`

FFI interface to C function

#### Parameters:

`GLUtesselator` | `tess` | is a pointer to a p.GLUtesselator
`VAL INT` | `type` | is a pointer to a GLenum

### `occGL.inc`:5222Process `gluNurbsCurve`

`INLINE PROC gluNurbsCurve (GLUnurbs nurb, VAL INT knotCount, REAL32 knots, VAL INT stride, REAL32 control, VAL INT order, VAL INT type)`

FFI interface to C function

#### Parameters:

`GLUnurbs` | `nurb` | is a pointer to a p.GLUnurbs
`VAL INT` | `knotCount` | is a pointer to a GLint
`REAL32` | `knots` | is a pointer to a p.GLfloat
`VAL INT` | `stride` | is a pointer to a GLint
`REAL32` | `control` | is a pointer to a p.GLfloat
`VAL INT` | `order` | is a pointer to a GLint
`VAL INT` | `type` | is a pointer to a GLenum

### `occGL.inc`:5232Process `gluNurbsProperty`

`INLINE PROC gluNurbsProperty (GLUnurbs nurb, VAL INT property, VAL REAL32 value)`

FFI interface to C function

#### Parameters:

`GLUnurbs` | `nurb` | is a pointer to a p.GLUnurbs
`VAL INT` | `property` | is a pointer to a GLenum
`VAL REAL32` | `value` | is a pointer to a GLfloat

### `occGL.inc`:5250Process `gluNurbsSurface`

`INLINE PROC gluNurbsSurface (GLUnurbs nurb, VAL INT sKnotCount, REAL32 sKnots, VAL INT tKnotCount, REAL32 tKnots, VAL INT sStride, VAL INT tStride, REAL32 control, VAL INT sOrder, VAL INT tOrder, VAL INT type)`

FFI interface to C function

#### Parameters:

`GLUnurbs` | `nurb` | is a pointer to a p.GLUnurbs
`VAL INT` | `sKnotCount` | is a pointer to a GLint
`REAL32` | `sKnots` | is a pointer to a p.GLfloat
`VAL INT` | `tKnotCount` | is a pointer to a GLint
`REAL32` | `tKnots` | is a pointer to a p.GLfloat
`VAL INT` | `sStride` | is a pointer to a GLint
`VAL INT` | `tStride` | is a pointer to a GLint
`REAL32` | `control` | is a pointer to a p.GLfloat
`VAL INT` | `sOrder` | is a pointer to a GLint
`VAL INT` | `tOrder` | is a pointer to a GLint
`VAL INT` | `type` | is a pointer to a GLenum

### `occGL.inc`:5261Process `gluOrtho2D`

`INLINE PROC gluOrtho2D (VAL REAL64 left, VAL REAL64 right, VAL REAL64 bottom, VAL REAL64 top)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `left` | is a pointer to a GLdouble
`VAL REAL64` | `right` | is a pointer to a GLdouble
`VAL REAL64` | `bottom` | is a pointer to a GLdouble
`VAL REAL64` | `top` | is a pointer to a GLdouble

### `occGL.inc`:5275Process `gluPartialDisk`

`INLINE PROC gluPartialDisk (GLUquadric quad, VAL REAL64 inner, VAL REAL64 outer, VAL INT slices, VAL INT loops, VAL REAL64 start, VAL REAL64 sweep)`

FFI interface to C function

#### Parameters:

`GLUquadric` | `quad` | is a pointer to a p.GLUquadric
`VAL REAL64` | `inner` | is a pointer to a GLdouble
`VAL REAL64` | `outer` | is a pointer to a GLdouble
`VAL INT` | `slices` | is a pointer to a GLint
`VAL INT` | `loops` | is a pointer to a GLint
`VAL REAL64` | `start` | is a pointer to a GLdouble
`VAL REAL64` | `sweep` | is a pointer to a GLdouble

### `occGL.inc`:5286Process `gluPerspective`

`INLINE PROC gluPerspective (VAL REAL64 fovy, VAL REAL64 aspect, VAL REAL64 zNear, VAL REAL64 zFar)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `fovy` | is a pointer to a GLdouble
`VAL REAL64` | `aspect` | is a pointer to a GLdouble
`VAL REAL64` | `zNear` | is a pointer to a GLdouble
`VAL REAL64` | `zFar` | is a pointer to a GLdouble

### `occGL.inc`:5298Process `gluPickMatrix`

`INLINE PROC gluPickMatrix (VAL REAL64 x, VAL REAL64 y, VAL REAL64 delX, VAL REAL64 delY, INT viewport)`

FFI interface to C function

#### Parameters:

`VAL REAL64` | `x` | is a pointer to a GLdouble
`VAL REAL64` | `y` | is a pointer to a GLdouble
`VAL REAL64` | `delX` | is a pointer to a GLdouble
`VAL REAL64` | `delY` | is a pointer to a GLdouble
`INT` | `viewport` | is a pointer to a p.GLint

### `occGL.inc`:5315Process `gluProject`

`INLINE PROC gluProject (RESULT INT return.value, VAL REAL64 objX, VAL REAL64 objY, VAL REAL64 objZ, REAL64 model, REAL64 proj, INT view, REAL64 winX, REAL64 winY, REAL64 winZ)`

FFI interface to C function

#### Parameters:

`RESULT INT` | `return.value` | contains the return value of the function and is of type GLint
`VAL REAL64` | `objX` | is a pointer to a GLdouble
`VAL REAL64` | `objY` | is a pointer to a GLdouble
`VAL REAL64` | `objZ` | is a pointer to a GLdouble
`REAL64` | `model` | is a pointer to a p.q(const).GLdouble
`REAL64` | `proj` | is a pointer to a p.q(const).GLdouble
`INT` | `view` | is a pointer to a p.q(const).GLint
`REAL64` | `winX` | is a pointer to a p.GLdouble
`REAL64` | `winY` | is a pointer to a p.GLdouble
`REAL64` | `winZ` | is a pointer to a p.GLdouble

### `occGL.inc`:5327Process `gluPwlCurve`

`INLINE PROC gluPwlCurve (GLUnurbs nurb, VAL INT count, REAL32 data, VAL INT stride, VAL INT type)`

FFI interface to C function

#### Parameters:

`GLUnurbs` | `nurb` | is a pointer to a p.GLUnurbs
`VAL INT` | `count` | is a pointer to a GLint
`REAL32` | `data` | is a pointer to a p.GLfloat
`VAL INT` | `stride` | is a pointer to a GLint
`VAL INT` | `type` | is a pointer to a GLenum

### `occGL.inc`:5336Process `gluQuadricDrawStyle`

`INLINE PROC gluQuadricDrawStyle (GLUquadric quad, VAL INT draw)`

FFI interface to C function

#### Parameters:

`GLUquadric` | `quad` | is a pointer to a p.GLUquadric
`VAL INT` | `draw` | is a pointer to a GLenum

### `occGL.inc`:5345Process `gluQuadricNormals`

`INLINE PROC gluQuadricNormals (GLUquadric quad, VAL INT normal)`

FFI interface to C function

#### Parameters:

`GLUquadric` | `quad` | is a pointer to a p.GLUquadric
`VAL INT` | `normal` | is a pointer to a GLenum

### `occGL.inc`:5354Process `gluQuadricOrientation`

`INLINE PROC gluQuadricOrientation (GLUquadric quad, VAL INT orientation)`

FFI interface to C function

#### Parameters:

`GLUquadric` | `quad` | is a pointer to a p.GLUquadric
`VAL INT` | `orientation` | is a pointer to a GLenum

### `occGL.inc`:5363Process `gluQuadricTexture`

`INLINE PROC gluQuadricTexture (GLUquadric quad, VAL BYTE texture)`

FFI interface to C function

#### Parameters:

`GLUquadric` | `quad` | is a pointer to a p.GLUquadric
`VAL BYTE` | `texture` | is a pointer to a GLboolean

### `occGL.inc`:5380Process `gluScaleImage`

`INLINE PROC gluScaleImage (RESULT INT return.value, VAL INT format, VAL INT wIn, VAL INT hIn, VAL INT typeIn, INT dataIn, VAL INT wOut, VAL INT hOut, VAL INT typeOut, INT dataOut)`

FFI interface to C function

#### Parameters:

`RESULT INT` | `return.value` | contains the return value of the function and is of type GLint
`VAL INT` | `format` | is a pointer to a GLenum
`VAL INT` | `wIn` | is a pointer to a GLsizei
`VAL INT` | `hIn` | is a pointer to a GLsizei
`VAL INT` | `typeIn` | is a pointer to a GLenum
`INT` | `dataIn` | is a pointer to a p.q(const).void
`VAL INT` | `wOut` | is a pointer to a GLsizei
`VAL INT` | `hOut` | is a pointer to a GLsizei
`VAL INT` | `typeOut` | is a pointer to a GLenum
`INT` | `dataOut` | is a pointer to a p.GLvoid

### `occGL.inc`:5391Process `gluSphere`

`INLINE PROC gluSphere (GLUquadric quad, VAL REAL64 radius, VAL INT slices, VAL INT stacks)`

FFI interface to C function

#### Parameters:

`GLUquadric` | `quad` | is a pointer to a p.GLUquadric
`VAL REAL64` | `radius` | is a pointer to a GLdouble
`VAL INT` | `slices` | is a pointer to a GLint
`VAL INT` | `stacks` | is a pointer to a GLint

### `occGL.inc`:5399Process `gluTessBeginContour`

`INLINE PROC gluTessBeginContour (GLUtesselator tess)`

FFI interface to C function

#### Parameters:

`GLUtesselator` | `tess` | is a pointer to a p.GLUtesselator

### `occGL.inc`:5408Process `gluTessBeginPolygon`

`INLINE PROC gluTessBeginPolygon (GLUtesselator tess, INT data)`

FFI interface to C function

#### Parameters:

`GLUtesselator` | `tess` | is a pointer to a p.GLUtesselator
`INT` | `data` | is a pointer to a p.GLvoid

### `occGL.inc`:5416Process `gluTessEndContour`

`INLINE PROC gluTessEndContour (GLUtesselator tess)`

FFI interface to C function

#### Parameters:

`GLUtesselator` | `tess` | is a pointer to a p.GLUtesselator

### `occGL.inc`:5424Process `gluTessEndPolygon`

`INLINE PROC gluTessEndPolygon (GLUtesselator tess)`

FFI interface to C function

#### Parameters:

`GLUtesselator` | `tess` | is a pointer to a p.GLUtesselator

### `occGL.inc`:5435Process `gluTessNormal`

`INLINE PROC gluTessNormal (GLUtesselator tess, VAL REAL64 valueX, VAL REAL64 valueY, VAL REAL64 valueZ)`

FFI interface to C function

#### Parameters:

`GLUtesselator` | `tess` | is a pointer to a p.GLUtesselator
`VAL REAL64` | `valueX` | is a pointer to a GLdouble
`VAL REAL64` | `valueY` | is a pointer to a GLdouble
`VAL REAL64` | `valueZ` | is a pointer to a GLdouble

### `occGL.inc`:5445Process `gluTessProperty`

`INLINE PROC gluTessProperty (GLUtesselator tess, VAL INT which, VAL REAL64 data)`

FFI interface to C function

#### Parameters:

`GLUtesselator` | `tess` | is a pointer to a p.GLUtesselator
`VAL INT` | `which` | is a pointer to a GLenum
`VAL REAL64` | `data` | is a pointer to a GLdouble

### `occGL.inc`:5455Process `gluTessVertex`

`INLINE PROC gluTessVertex (GLUtesselator tess, REAL64 location, INT data)`

FFI interface to C function

#### Parameters:

`GLUtesselator` | `tess` | is a pointer to a p.GLUtesselator
`REAL64` | `location` | is a pointer to a p.GLdouble
`INT` | `data` | is a pointer to a p.GLvoid

### `occGL.inc`:5472Process `gluUnProject`

`INLINE PROC gluUnProject (RESULT INT return.value, VAL REAL64 winX, VAL REAL64 winY, VAL REAL64 winZ, REAL64 model, REAL64 proj, INT view, REAL64 objX, REAL64 objY, REAL64 objZ)`

FFI interface to C function

#### Parameters:

`RESULT INT` | `return.value` | contains the return value of the function and is of type GLint
`VAL REAL64` | `winX` | is a pointer to a GLdouble
`VAL REAL64` | `winY` | is a pointer to a GLdouble
`VAL REAL64` | `winZ` | is a pointer to a GLdouble
`REAL64` | `model` | is a pointer to a p.q(const).GLdouble
`REAL64` | `proj` | is a pointer to a p.q(const).GLdouble
`INT` | `view` | is a pointer to a p.q(const).GLint
`REAL64` | `objX` | is a pointer to a p.GLdouble
`REAL64` | `objY` | is a pointer to a p.GLdouble
`REAL64` | `objZ` | is a pointer to a p.GLdouble